<?php
require_once('../joajurehegua.php');


$titulo_pag = "Pendiente de Aprobación";
include("plantilla_cabecera.php");
include("plantilla_menu.php");

$socio_id = isset($_GET['id']) ? $_GET['id'] : null;
$socio = [];

// Recuperar datos del socio si se pasa un ID
if ($socio_id) {
  $sql = "SELECT * FROM clientes WHERE id_cliente = ?";
  $stmt = $conn->prepare($sql);
  $stmt->execute([$socio_id]);
  $socio = $stmt->fetch(PDO::FETCH_ASSOC);
}

// Función para generar opciones de selects
function obtenerOpciones($tabla, $conn, $valorActual = null)
{
  $sql = "SELECT id, nombre FROM $tabla WHERE estado = 1 ORDER BY nombre ASC";
  $stmt = $conn->prepare($sql);
  $stmt->execute();
  $opciones = $stmt->fetchAll(PDO::FETCH_ASSOC);

  $html = '<option value="">Seleccione</option>';
  foreach ($opciones as $opcion) {
    $selected = $valorActual == $opcion['id'] ? 'selected' : '';
    $html .= "<option value='{$opcion['id']}' $selected>{$opcion['nombre']}</option>";
  }
  return $html;
}

function obtenerOpcionesNew($tabla, $conn)
{
  $sql = "SELECT id, nombre FROM $tabla WHERE estado = 1 ORDER BY nombre ASC";
  $stmt = $conn->prepare($sql);
  $stmt->execute();
  $opciones = $stmt->fetchAll(PDO::FETCH_ASSOC);

  $html = '<option value="">Seleccione</option>';
  foreach ($opciones as $opcion) {

    $html .= "<option value='{$opcion['id']}'>{$opcion['nombre']}</option>";
  }
  return $html;
}




function obtenerOpcionesSocios($tabla, $conn, $valorActual = null)

{
  // Consulta SQL para obtener nro_socio, primer_nombre y primer_apellido
  $sql = "SELECT nro_socio, primer_nombre, primer_apellido FROM clientes WHERE nro_socio = :nro_socio and estado = 1 ORDER BY primer_nombre ASC";
  $stmt = $conn->prepare($sql);
  //$stmt->execute();
  $stmt->execute(array(':nro_socio' => $valorActual));
  $socios = $stmt->fetchAll(PDO::FETCH_ASSOC);

  // Construcción del HTML para el select
  $html = '<option value="">Seleccione</option>';
  foreach ($socios as $socio) {
    $selected = $valorActual == $socio['nro_socio'] ? 'selected' : '';
    $nombreCompleto = "{$socio['primer_nombre']} {$socio['primer_apellido']}";
    $html .= "<option value='{$socio['nro_socio']}' $selected>{$nombreCompleto}</option>";
  }
  return $html;
}


$titulo = $socio_id ? "Editar Socio" : "Nuevo Socio";
?>

<style>
  #map {
    height: 100px;
    width: 50%;
  }
</style>

<div class="content-wrapper">
  <section class="content-header">
    <div class="container-fluid">
      <h1><?php echo $titulo; ?></h1>
    </div>
  </section>

  <section class="content">
    <form method="POST" action="guardar_socio.php" enctype="multipart/form-data" id="datosClientes">
      <input type="hidden" name="id_cliente" value="<?php echo $socio_id; ?>">

      <!-- Datos Personales -->
      <div class="card">
        <div class="card-header">Datos Personales</div>
        <div class="card-body">

          <div class="row">
            <div class="col-md-3">
              <label for="cedula">Cédula</label>
              <input type="number" class="form-control" id="cedula" name="cedula"
                value="<?php echo $socio['cedula'] ?? ''; ?>" required>
            </div>
            <div class="col-md-3">
              <label for="primer_nombre">Primer Nombre</label>
              <input type="text" class="form-control" id="primer_nombre" name="primer_nombre"
                value="<?php echo $socio['primer_nombre'] ?? ''; ?>" required>
            </div>

            <div class="col-md-3">
              <label for="segundo_nombre">Segundo Nombre</label>
              <input type="text" class="form-control" id="segundo_nombre" name="segundo_nombre"
                value="<?php echo $socio['segundo_nombre'] ?? ''; ?>">
            </div>


            <div class="col-md-3">
              <label for="primer_apellido">Primer Apellido</label>
              <input type="text" class="form-control" id="primer_apellido" name="primer_apellido"
                value="<?php echo $socio['primer_apellido'] ?? ''; ?>" required>
            </div>


          </div>

          <div class="row">

            <div class="col-md-3">
              <label for="segundo_apellido">Segundo Apellido</label>
              <input type="text" class="form-control" id="segundo_apellido" name="segundo_apellido"
                value="<?php echo $socio['segundo_apellido'] ?? ''; ?>">
            </div>


            <div class="col-md-3">
              <label for="id_genero">Género</label>
              <select id="id_genero" name="id_genero" class="form-control">
                <?php echo obtenerOpciones('tipo_genero', $conn, $socio['id_genero'] ?? null); ?>
              </select>
            </div>

            <div class="col-md-3">
              <label for="fecha_nacimiento">Fecha de Nacimiento</label>
              <input type="date" class="form-control" id="fecha_nacimiento" name="fecha_nacimiento"
                value="<?php echo $socio['fecha_nacimiento'] ?? ''; ?>" required>
            </div>
            <div class="col-md-3">
              <label for="email">Email</label>
              <input type="email" class="form-control" id="email" name="email"
                value="<?php echo $socio['email'] ?? ''; ?>">
            </div>

          </div>
          <div class="row">

            <div class="col-md-3">
              <label for="telefono">Teléfono</label>
              <input type="text" class="form-control" id="telefono" name="telefono"
                value="<?php echo $socio['telefono'] ?? ''; ?>">
            </div>

            <div class="col-md-3">
              <label for="id_estadocivil">Estado Civil</label>
              <select id="id_estadocivil" name="id_estadocivil" class="form-control">
                <?php echo obtenerOpciones('estado_civil', $conn, $socio['id_estadocivil'] ?? null); ?>
              </select>
            </div>

            <div class="col-md-3">
              <label for="celular">Celular</label>
              <input type="text" class="form-control" id="celular" name="celular"
                value="<?php echo $socio['celular'] ?? ''; ?>">
            </div>
            <div class="col-md-3">
              <label for="direccion">Dirección</label>
              <input type="text" class="form-control" id="direccion" name="direccion"
                value="<?php echo $socio['direccion'] ?? ''; ?>">
            </div>
          </div>
          <div class="row">
            <div class="col-md-3">
              <label for="id_profesion">Profesión</label>
              <select id="id_profesion" name="id_profesion" class="form-control">
                <?php echo obtenerOpciones('tipo_profesion', $conn, $socio['id_profesion'] ?? null); ?>
              </select>
            </div>
            <div class="col-md-3">
              <label for="proponente">Socio Proponente</label>
              <select id="proponente" name="proponente" class="form-control">
                <?php echo obtenerOpcionesSocios('clientes', $conn, $socio['proponente'] ?? null); ?>
              </select>
            </div>
            <div class="col-md-3">
              <label for="pep">PEP (Persona Expuesta Políticamente)</label>
              <select id="pep" name="pep" class="form-control">
                <option value="">Seleccione</option>
                <option value="SI" <?php echo $socio['pep'] == 'SI' ? 'selected' : ''; ?>>SI</option>
                <option value="NO" <?php echo $socio['pep'] == 'NO' ? 'selected' : ''; ?>>NO</option>
              </select>
            </div>
            <div class="col-md-3">
              <label for="latitud">Latitud</label>
              <input type="text" class="form-control" id="latitud" name="latitud"
                value="<?php echo $socio['latitud'] ?? ''; ?>" readonly>
            </div>
          </div>
          <div class="row">

            <div class="col-md-3">
              <label for="longitud">Longitud</label>
              <input type="text" class="form-control" id="longitud" name="longitud"
                value="<?php echo $socio['longitud'] ?? ''; ?>" readonly>
            </div>


            <div id="map"></div>
          </div>
        </div>
      </div>

      <!-- Datos Laborales -->
      <div class="card">
        <div class="card-header">Datos Laborales</div>
        <div class="card-body">
          <table class="table table-bordered" id="work_table">
            <thead>
              <tr>
                <th>Lugar de Trabajo</th>
                <th>Teléfono</th>
                <th>Email</th>
                <th>Puesto</th>
                <th>Dirección</th>
                <th>NroCasa</th>
                <th>Salario</th>

                <th>Antiguedad</th>
                <th>FechaIngreso</th>

                <th>Acciones</th>
              </tr>
            </thead>
            <tbody>
              <?php
              if ($socio_id) {
                $sql_laborales = "SELECT * FROM trabajos WHERE id_cliente = ?";
                $stmt = $conn->prepare($sql_laborales);
                $stmt->execute([$socio_id]);
                $laborales = $stmt->fetchAll(PDO::FETCH_ASSOC);

                foreach ($laborales as $laboral) {
                  echo "<tr>";
                  echo "<td><input type='text' name='trabajo_lugar[]' value='{$laboral['nombre']}' class='form-control'></td>";
                  echo "<td><input type='text' name='trabajo_telefono[]' value='{$laboral['telefono']}' class='form-control'></td>";
                  echo "<td><input type='text' name='trabajo_correo[]' value='{$laboral['correo']}' class='form-control'></td>";
                  echo "<td><input type='text' name='trabajo_puesto[]' value='{$laboral['puesto']}' class='form-control'></td>";
                  echo "<td><input type='text' name='trabajo_direccion[]' value='{$laboral['direccion']}' class='form-control'></td>";
                  echo "<td><input type='text' name='trabajo_nrocasa[]' value='{$laboral['nrocasa']}' class='form-control'></td>";
                  echo "<td><input type='text' name='trabajo_salario[]' value='{$laboral['salario']}' class='form-control'></td>";
                  echo "<td><input type='text' name='trabajo_antiguedad[]' value='{$laboral['antiguedad']}' class='form-control'></td>";
                  echo "<td><input type='date' name='trabajo_fecha_ingreso[]' value='{$laboral['fecha_ingreso']}' class='form-control'></td>";
                  echo "<td><button type='button' class='btn btn-danger' onclick='eliminarFila(this)'>Eliminar</button></td>";
                  echo "</tr>";
                }
              }
              ?>
            </tbody>
          </table>
          <button type="button" class="btn btn-success" onclick="agregarFilaLaboral()">Agregar Fila</button>
        </div>
      </div>

      <!-- Datos del Cónyuge -->
      <div class="card">
        <div class="card-header">Datos del Cónyuge</div>
        <div class="card-body">
          <?php
          if ($socio_id) {
            $sql_c = "SELECT * FROM conjuge WHERE id_cliente = ?";
            $stmt = $conn->prepare($sql_c);
            $stmt->execute([$socio_id]);
            $conjuge = $stmt->fetch(PDO::FETCH_ASSOC);
          }
          ?>

          <div class="row">

            <div class="col-md-3">
              <label for="cedula_c">Cédula</label>
              <input type="text" class="form-control" id="cedula_c" name="cedula_c"
                value="<?php echo $conjuge['cedula_c'] ?? ''; ?>">
            </div>


            <div class="col-md-3">
              <label for="primer_nombre_c">Primer Nombre</label>
              <input type="text" class="form-control" id="primer_nombre_c" name="primer_nombre_c"
                value="<?php echo $conjuge['primer_nombre_c'] ?? ''; ?>">
            </div>

            <div class="col-md-3">
              <label for="segundo_nombre_c">Segundo Nombre</label>
              <input type="text" class="form-control" id="segundo_nombre_c" name="segundo_nombre_c"
                value="<?php echo $conjuge['segundo_nombre_c'] ?? ''; ?>">
            </div>

            <div class="col-md-3">
              <label for="primer_apellido_c">Primer Apellido</label>
              <input type="text" class="form-control" id="primer_apellido_c" name="primer_apellido_c"
                value="<?php echo $conjuge['primer_apellido_c'] ?? ''; ?>">
            </div>

          </div>
          <div class="row">


            <div class="col-md-3">
              <label for="segundo_apellido_c">Segundo Apellido</label>
              <input type="text" class="form-control" id="segundo_apellido_c" name="segundo_apellido_c"
                value="<?php echo $conjuge['segundo_apellido_c'] ?? ''; ?>">
            </div>


            <div class="col-md-3">
              <label for="telefono_c">Teléfono</label>
              <input type="text" class="form-control" id="telefono_c" name="telefono_c"
                value="<?php echo $conjuge['telefono_c'] ?? ''; ?>">
            </div>

            <div class="col-md-3">
              <label for="celular_c">Celular</label>
              <input type="text" class="form-control" id="celular_c" name="celular_c"
                value="<?php echo $conjuge['celular_c'] ?? ''; ?>">
            </div>

            <div class="col-md-3">
              <label for="fecha_nacimiento_c">Fecha Nacimiento</label>
              <input type="date" class="form-control" id="fecha_nacimiento_c" name="fecha_nacimiento_c"
                value="<?php echo $conjuge['fecha_nacimiento_c'] ?? ''; ?>">
            </div>




          </div>

          <div class="row">

            <div class="col-md-3">
              <label for="lugar_trabajo_c">Lugar Trabajo</label>
              <input type="text" class="form-control" id="lugar_trabajo_c" name="lugar_trabajo_c"
                value="<?php echo $conjuge['lugar_trabajo_c'] ?? ''; ?>">
            </div>

            <div class="col-md-3">
              <label for="direccion_trabajo_c">Dirección del Trabajo</label>
              <input type="text" class="form-control" id="direccion_trabajo_c" name="direccion_trabajo_c"
                value="<?php echo $conjuge['direccion_trabajo_c'] ?? ''; ?>">
            </div>


            <div class="col-md-3">
              <label for="salario_c">Salario</label>
              <input type="text" class="form-control" id="salario_c" name="salario_c"
                value="<?php echo $conjuge['salario_c'] ?? ''; ?>">
            </div>

            <div class="col-md-3">
              <label for="ocupacion_c">Ocupación</label>
              <input type="text" class="form-control" id="ocupacion_c" name="ocupacion_c"
                value="<?php echo $conjuge['ocupacion_c'] ?? ''; ?>">
            </div>

          </div>
          <div class="row">

            <div class="col-md-3">
              <label for="email_c">Correo Electrónico</label>
              <input type="text" class="form-control" id="email_c" name="email_c"
                value="<?php echo $conjuge['email_c'] ?? ''; ?>">
            </div>


            <div class="col-md-3">
              <label for="lugar_nacimiento_c">Lugar Nacimiento</label>
              <input type="text" class="form-control" id="lugar_nacimiento_c" name="lugar_nacimiento_c"
                value="<?php echo $conjuge['lugar_nacimiento_c'] ?? ''; ?>">
            </div>

          </div>


        </div>
      </div>

      <!-- Datos Familiares -->
      <div class="card">
        <div class="card-header">Datos Familiares</div>
        <div class="card-body">
          <table class="table table-bordered" id="family_table">
            <thead>
              <tr>
                <th>Parentesco</th>
                <th>Nombre</th>
                <th>Apellido</th>
                <th>Cédula</th>
                <th>Fecha de Nacimiento</th>
                <th>Nivel Estudio</th>
                <th>Acciones</th>
              </tr>
            </thead>
            <tbody>
              <?php
              if ($socio_id) {
                $sql_familiares = "SELECT * FROM familiares WHERE id_cliente = ?";
                $stmt = $conn->prepare($sql_familiares);
                $stmt->execute([$socio_id]);
                $familiares = $stmt->fetchAll(PDO::FETCH_ASSOC);

                foreach ($familiares as $familiar) {
                  echo "<tr>";

                  echo "<td>";
                  echo "<select name='familia_tipo_relacion[]' class='form-control'>";
                  echo obtenerOpciones('tipo_familiar', $conn, $familiar['id_tipo_relacion'] ?? null);
                  echo "</select>";
                  echo "</td>";

                  echo "<td><input type='text' name='familia_nombre[]' value='{$familiar['nombres']}' class='form-control'></td>";
                  echo "<td><input type='text' name='familia_apellido[]' value='{$familiar['apellidos']}' class='form-control'></td>";
                  echo "<td><input type='text' name='familia_cedula[]' value='{$familiar['cedula']}' class='form-control'></td>";
                  echo "<td><input type='date' name='familia_nacimiento[]' value='{$familiar['fecha_nacimiento']}' class='form-control'></td>";
                  echo "<td>";
                  echo "<select name='familia_id_nivel_estudio[]' class='form-control'>";
                  echo obtenerOpciones('nivel_estudio', $conn, $familiar['id_nivel_estudio'] ?? null);
                  echo "</select>";
                  echo "</td>";
                  echo "<td><button type='button' class='btn btn-danger' onclick='eliminarFila(this)'>Eliminar</button></td>";
                  echo "</tr>";
                }
              }
              ?>
            </tbody>
          </table>
          <button type="button" class="btn btn-success" onclick="agregarFilaFamiliar()">Agregar Fila</button>
        </div>
      </div>


      <!-- Contactos/Referencias -->
      <div class="card">
        <div class="card-header">Contactos/Referencias</div>
        <div class="card-body">
          <table class="table table-bordered" id="contact_table">
            <thead>
              <tr>
                <th>Tipo de Referencia</th>
                <th>Nombre</th>
                <th>Apellido</th>
                <th>Teléfono</th>
                <th>Acciones</th>
              </tr>
            </thead>
            <tbody>
              <?php
              if ($socio_id) {
                $sql_contactos = "SELECT * FROM referencias WHERE id_cliente = ?";
                $stmt = $conn->prepare($sql_contactos);
                $stmt->execute([$socio_id]);
                $contactos = $stmt->fetchAll(PDO::FETCH_ASSOC);

                foreach ($contactos as $contacto) {
                  echo "<tr>";


                  echo "<td>";
                  echo "<select name='contacto_tipo_relacion[]' class='form-control'>";
                  echo obtenerOpciones('tipo_referencia', $conn, $contacto['id_tipo_referencia'] ?? null);
                  echo "</select>";
                  echo "</td>";

                  echo "<td><input type='text' name='contacto_nombre[]' value='{$contacto['nombres']}' class='form-control'></td>";
                  echo "<td><input type='text' name='contacto_apellido[]' value='{$contacto['apellidos']}' class='form-control'></td>";
                  echo "<td><input type='text' name='contacto_telefono[]' value='{$contacto['telefono']}' class='form-control'></td>";

                  echo "<td><button type='button' class='btn btn-danger' onclick='eliminarFila(this)'>Eliminar</button></td>";
                  echo "</tr>";
                }
              }
              ?>
            </tbody>
          </table>
          <button type="button" class="btn btn-success" onclick="agregarFilaContacto()">Agregar Fila</button>
        </div>
      </div>


      <!-- Documentos Adjuntos -->
      <div class="card">
        <div class="card-header">Documentos Adjuntos</div>
        <div class="card-body">
          <table class="table table-bordered" id="document_table">
            <thead>
              <tr>
                <th>Tipo de Documento</th>
                <th>Archivo</th>
                <th>Acciones</th>
              </tr>
            </thead>
            <tbody>
              <?php
              if ($socio_id) {
                $sql_documentos = "SELECT * FROM archivos WHERE id_cliente = ?";
                $stmt = $conn->prepare($sql_documentos);
                $stmt->execute([$socio_id]);
                $documentos = $stmt->fetchAll(PDO::FETCH_ASSOC);

                foreach ($documentos as $documento) {
                        echo "<tr>";

                        echo "<td>";
                        echo "<select name='id_tipo_documento[]' class='form-control'>";
                        echo obtenerOpciones('tipo_documento', $conn, $documento['id_tipo_documento'] ?? null);
                        echo "</select>";
                        echo "</td>";
                        echo "<td>
                       
                        <input type='file' name='document_files[]' value='{$documento['archivo']}'>
                        <a href='descargar.php?id_archivo={$documento['archivo']}' target='_blank'>Ver Documento</a>
                        </td>";
                        echo "<td><button type='button' class='btn btn-danger' onclick='eliminarFila(this)'>Eliminar</button></td>";
                        echo "</tr>";
                }
              }
              ?>
            </tbody>
          </table>
          <button type="button" class="btn btn-success" onclick="agregarFilaDocumento()">Agregar Fila</button>
        </div>
      </div>


      <!-- Botón para guardar -->
      <div class="card-footer">


        <button type="button" class="btn btn-primary" onclick="guardar()">
          <?php echo $socio_id ? 'Actualizar Socio' : 'Guardar Nuevo Socio'; ?>
        </button>
      </div>
    </form>
  </section>
</div>


<?php
include("plantilla_pie.php");
// Generar las opciones en el servidor

?>
<script>
  // Pasar las opciones a una variable de JavaScript


  function agregarFilaLaboral() {
    const table = document.getElementById("work_table").querySelector("tbody");
    const nuevaFila = `
                <tr>
                    <td><input type="text" name="trabajo_lugar[]" class="form-control"></td>
                    <td><input type="text" name="trabajo_telefono[]" class="form-control"></td>
                    <td><input type="text" name="trabajo_correo[]" class="form-control"></td>
                    <td><input type="text" name="trabajo_puesto[]" class="form-control"></td>
                    <td><input type="text" name="trabajo_direccion[]" class="form-control"></td>
                     <td><input type="text" name="trabajo_nrocasa[]" class="form-control"></td>
                     <td><input type="text" name="trabajo_salario[]" class="form-control"></td>
                     <td><input type="text" name="trabajo_antiguedad[]" class="form-control"></td>
                     <td><input type="date" name="trabajo_fecha_ingreso[]" class="form-control"></td>
                    <td><button type="button" class="btn btn-danger" onclick="eliminarFila(this)">Eliminar</button></td>
                </tr>`;
    table.insertAdjacentHTML("beforeend", nuevaFila);
  }

  function eliminarFila(boton) {
    boton.closest("tr").remove();
  }




  function agregarFilaFamiliar() {
    const table = document.getElementById("family_table").querySelector("tbody");
    <?php
    $opcionesSelect = obtenerOpcionesNew('tipo_familiar', $conn,);
    ?>
    const opcionesSelect = `<?php echo $opcionesSelect; ?>`;

    <?php
    $opcionesSelectFamilia = obtenerOpcionesNew('nivel_estudio', $conn,);
    ?>
    const opcionesSelectFamilia = `<?php echo $opcionesSelectFamilia; ?>`;



    const nuevaFila = `
        <tr>
            <td>
            <select name="familia_tipo_relacion[]" class="form-control">
            ${opcionesSelect}
            </select>
            </td>
            <td><input type="text" name="familia_nombre[]" class="form-control"></td>
            <td><input type="text" name="familia_apellido[]" class="form-control"></td>
            <td><input type="text" name="familia_cedula[]" class="form-control"></td>
            <td><input type="date" name="familia_nacimiento[]" class="form-control"></td>

            <td>
            <select name="familia_id_nivel_estudio[]" class="form-control">
            ${opcionesSelectFamilia}
            </select>
            </td>
            <td><button type="button" class="btn btn-danger" onclick="eliminarFila(this)">Eliminar</button></td>
        </tr>`;
    table.insertAdjacentHTML("beforeend", nuevaFila);
  }


  function agregarFilaContacto() {
    const table = document.getElementById("contact_table").querySelector("tbody");

    <?php
    $opcionesSelect = obtenerOpcionesNew('tipo_referencia', $conn,);
    ?>
    const opcionesSelect = `<?php echo $opcionesSelect; ?>`;

    const nuevaFila = `
        <tr>
         

         <td>
            <select name="contacto_tipo_relacion[]" class="form-control">
            ${opcionesSelect}
            </select>
            </td>


            <td><input type="text" name="contacto_nombre[]" class="form-control"></td>
            <td><input type="text" name="contacto_apellido[]" class="form-control"></td>
            <td><input type="text" name="contacto_telefono[]" class="form-control"></td>
           
            <td><button type="button" class="btn btn-danger" onclick="eliminarFila(this)">Eliminar</button></td>
        </tr>`;
    table.insertAdjacentHTML("beforeend", nuevaFila);
  }


  function agregarFilaDocumento() {
    const table = document.getElementById("document_table").querySelector("tbody");

    <?php
    $opcionesSelect = obtenerOpcionesNew('tipo_documento', $conn,);
    ?>
    const opcionesSelect = `<?php echo $opcionesSelect; ?>`;

    const nuevaFila = `
        <tr>
          <td>
         
            <select name="id_tipo_documento[]" class="form-control">
            ${opcionesSelect}
            </select>
            </td>
           
            <td><input type="file" name="document_files[]" class="form-control"></td>
            <td><button type="button" class="btn btn-danger" onclick="eliminarFila(this)">Eliminar</button></td>
        </tr>`;
    table.insertAdjacentHTML("beforeend", nuevaFila);
  }


  function guardar() {

    var formData = new FormData($('#datosClientes')[0]);

    console.log(formData);
    // Enviar los datos al servidor usando AJAX
    $.ajax({
      url: 'funciones/postEditarCliente.php', // URL del servidor donde enviar los datos
      type: 'POST',
      data: formData, // Enviar el FormData
      contentType: false, // Evitar que jQuery establezca automáticamente el tipo de contenido
      processData: false, // Evitar que jQuery procese los datos
      success: function(response) {

        var obj = jQuery.parseJSON(response);
        var retorno = obj.message;


        myNotify = new Notify({
          status: 'warning',
          title: 'Retorno',
          text: retorno,
          effect: 'slide',
          type: 'filled',
          position: 'right bottom'
        })
        // Redirige a la  página
        //window.location.href = "reporte_pais.php"; 

        //  $('#responseMessage').html('<p>Datos guardado</p>');
        //  console.log('Datos guardados con éxito:', response);


      },
      error: function(xhr, status, error) {
        $('#responseMessage').html('<p>Error al guardar los datos</p>');
        console.error('Error al guardar los datos:', error);
      }
    });





  }
</script>


<script>
  let map;
  let marker;

  function initMap() {


    const latText = document.getElementById('latitud').value;
    const lngText = document.getElementById('longitud').value;

    // Centro inicial del mapa
    const defaultLocation = {
      lat: parseFloat(latText),
      lng: parseFloat(lngText)
    }; // Cambia a tu ubicación deseada
    map = new google.maps.Map(document.getElementById("map"), {
      zoom: 8,
      center: defaultLocation,
    });

    // Colocar un marcador inicial
    marker = new google.maps.Marker({
      position: defaultLocation,
      map: map,
      draggable: true, // Permitir arrastrar el marcador
    });

    // Actualizar latitud y longitud al mover el marcador
    google.maps.event.addListener(marker, "dragend", function(event) {
      document.getElementById("latitud").value = event.latLng.lat();
      document.getElementById("longitud").value = event.latLng.lng();
    });

    // Actualizar latitud y longitud al hacer clic en el mapa
    map.addListener("click", function(event) {
      const clickedLocation = event.latLng;
      marker.setPosition(clickedLocation);
      document.getElementById("latitud").value = clickedLocation.lat();
      document.getElementById("longitud").value = clickedLocation.lng();
    });
  }
</script>
<script async
  src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBI3TP_G7n9EI0bEmuy1pQIoFIoPWNUJJg&callback=initMap">
</script>