<?php
//include("plantilla_cabecera.php");
require_once('../../joajurehegua.php');

require_once('obtenerNroDocumento.php');
require_once('guardarDatosContables.php');


if (!validateCsrfToken()) {
  echo "<center>Error: Token CSRF inválido</center>";
  echo '<h2><center><a href="../login.php">Login...</a></center></h2>';
  exit();
}

if (!empty($_GET['id'])) {
  $id = $_GET['id'];
  $sql = "SELECT  * from clientes where id_cliente = :id_cliente ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id_cliente' =>  $id));
  $resultado = $stmt->fetch();
}
?>
<!-- Content Wrapper. Contains page content -->
<div class="row">
  <div class="container-fluid">

    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Aprobar/Rechazar Socios</h3>
      </div>

      <form action="funciones/aprobar_socio.php" method="post" enctype="multipart/form-data">
        <input type="hidden" name="csrf_token" value="<?php echo $_SESSION['csrf_token']; ?>">
        <div class="card-body">
          
        <div class="form-group">
            <label for="id_solicitud">Nro Solicitud</label>
            <input type="text" class="form-control form-control-sm" id="id_solicitud" name="id_solicitud" placeholder="" value="<?php echo $resultado['id_cliente']; ?>" readonly>
          </div>

          <div class="form-group">
            <label for="nombre">Nombre</label>
            <input type="text" class="form-control form-control-sm" id="nombre" name="nombre" placeholder="" value="<?php echo $resultado['primer_nombre']; ?>" readonly>
          </div>

          <div class="form-group">
            <label for="apellido">Apellidos</label>
            <input type="text" class="form-control form-control-sm" id="apellido" name="apellido" placeholder="" value="<?php echo $resultado['primer_apellido']; ?>" readonly>
          </div>

          <div class="form-group">
            <label for="proponente">Socio Proponente</label>
            <input type="number" class="form-control form-control-sm" id="proponente" name="proponente" placeholder="" value="<?php echo $resultado['proponente']; ?>" readonly>
          </div>

          <div class="form-group">
            <label for="estado">Estado</label>
            <select type="text" name="estado" id="estado" class="form-control needValidate">
              <option value="1">Aprobado</option>
              <option value="2">Rechazado</option>
              <option value="3">Pasa al Consejo</option>
            </select>
          </div>

          <div class="form-group">
            <label for="actanro">Acta Número</label>
            <input type="number" class="form-control form-control-sm" id="actanro" name="actanro" placeholder="" value="" required>
          </div>

          <div class="form-group">
            <label for="observacion">Observación</label>
            <input type="text" class="form-control form-control-sm" id="observacion" name="observacion" placeholder="" value="">
          </div>

        </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" name="guardar" class="btn btn-primary">Guardar</button>

        </div>
      </form>
    </div>


  </div>
  <!-- /.content -->
</div>


<?php
if (isset($_POST['guardar'])) {



  $conada  = null;
  if ($_POST['estado'] === "3") {
    $conada  = 1;
  }

  $fecha_ingreso = null;
  $hora_ingreso  = null;
  $nvo_id_cliente = 0;

  if ($_POST['estado'] === "1") {
    $sql_c = "SELECT  max(nro_socio) as max_id_cliente
    from clientes 
        ";
    $stmt = $conn->prepare($sql_c);
    $stmt->execute();
    $resultado = $stmt->fetch();
    if ($resultado['max_id_cliente'] > 0) {
      $nvo_id_cliente =  $resultado['max_id_cliente'] + 1;
    } else {
      $nvo_id_cliente =  1;
    }
    $fecha_ingreso = date("Y-m-d");
    $hora_ingreso  = date("H:i:s");
  }



  $sql = "UPDATE clientes SET  estado        = :estado,
                              fecha_estado   = :fecha_estado,
                              hora_estado    = :hora_estado,
                              usuario_estado = :usuario_estado,
                              actanro        = :actanro,
                              observacion    = :observacion,
                              conad          = :conad,
                              nro_socio      = :nro_socio,
                              fecha_ingreso  = :fecha_ingreso,
                              hora_ingreso  = :hora_ingreso
                                 WHERE id_cliente    = :id_solicitud";


  try {

    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
      ':estado'          => $_POST['estado'],
      ':fecha_estado'    => date("Y-m-d"),
      ':hora_estado'     => date("H:i:s"),
      ':usuario_estado'  => $_SESSION['id_usuario'],
      ':actanro'         => $_POST['actanro'],
      ':observacion'     => $_POST['observacion'],
      ':conad'           => $conada,
      ':nro_socio'      => $nvo_id_cliente,
      ':fecha_ingreso'   => $fecha_ingreso,
      ':hora_ingreso'    => $hora_ingreso,
      ':id_solicitud'    => $_POST['id_solicitud']
    ));


    /*generar aporte solo si se aprobo como socio */
    if ($nvo_id_cliente > 0) {
      generar_ctacte($conn, $nvo_id_cliente, $_POST['id_solicitud'] );
    }
    // echo "<meta http-equiv='refresh' content='0;url=pages/dashboard.php'>";
    echo '<script language="javascript">window.location.href="../so_pendiente_aprobacion.php"</script>';
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));
    echo '<script language="javascript">window.location.href="../so_pendiente_aprobacion.php"</script>';
    var_dump($Exception);
    exit();
  }
}


function generar_ctacte($conn, $nro_socio, $id_cliente)
{


  $sql = "SELECT  a.*, b.id_cuenta_mayor, b.indicador, b.id_cuenta_mayor_h, b.indicador_h
   from aporte_inicial_coop as a  
	 INNER JOIN clase_documento as b 
	 on a.clase = b.codigo
   where a.estado = :estado 
   and vencimiento >= :vencimiento ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(
    ':estado'        =>  1,
    ':vencimiento' =>  date("Y-m-d")
  ));

  $resultado = $stmt->fetchAll();
  
  foreach ($resultado as $row) {

    
      $fechaAsociacion = date("Y-m-d");
      $tipoCuenta      = $row['clase']; // O 'Solidaridad'
      $mensual         = $row['mensual']; // O 'Solidaridad'
      $cuentas         = generarCuentas($fechaAsociacion, $tipoCuenta, $mensual);

      $nro_documento = "";
      $nro_documento = generarGrupoId($conn); // Función para generar un ID de agrupación
      // Mostrar las cuentas generadas con fecha de vencimiento
      // tabla contable
$referencia = null;
guardar_tabla_contable_cab($conn, $nro_documento, $id_cliente, $nro_socio, $row['importe'], $tipoCuenta, $referencia );
$clave_contabilizacion = 8;
//$indicador_d_h    = 'D';
$impuesto   = 10;
$id_cuenta_mayor  = $row['id_cuenta_mayor'];
$indicador_d_h   = $row['indicador'];
$total_aporte = 0;
$posicion_h  = 0;
$id_cuenta_mayor_h  = $row['id_cuenta_mayor_h'];
$indicador_h  = $row['indicador_h'];
      foreach ($cuentas as $cuenta) {
  if($row['clase'] == 'AP'){
  $total_aporte += $row['importe'];
  $posicion_h  ++;

  }
        $sql = $conn->prepare('INSERT INTO cuenta_corriente (nro_documento, id_empresa, id_cliente, nro_socio, factura, clase_documento, cuota, posicion, fecha, hora, id_usuario, clave_contabilizacion, 
       indicador_d_h, texto_posicion, moneda, importe, impuesto, id_cuenta_mayor, estado, vencimiento, referencia_documento) VALUES (:nro_documento, :id_empresa, :id_cliente, :nro_socio, :factura, :clase_documento, :cuota, 
       :posicion, :fecha, :hora, :id_usuario, :clave_contabilizacion, :indicador_d_h, :texto_posicion, :moneda, :importe, :impuesto, :id_cuenta_mayor, :estado, :vencimiento, :referencia_documento )');

        $bind =  array(
          ':nro_documento'         => $nro_documento,
          ':id_empresa'            => $_SESSION['id_empresa'],
          ':nro_socio'             => $nro_socio,
          ':id_cliente'            => $id_cliente,
          ':factura'               => '',
          ':clase_documento'       => $row['clase'],
          ':cuota'                 => $cuenta['cuota'],
          ':posicion'              => $cuenta['posicion'],
          ':fecha'                 => date("Y-m-d"),
          ':hora'                  => date("H:i:s"),
          ':id_usuario'            => $_SESSION['id_usuario'],
          ':clave_contabilizacion' => $clave_contabilizacion,
          ':indicador_d_h'         => $indicador_d_h,
          ':texto_posicion'        => $row['nombre'],
          ':moneda'                => $row['moneda'],
          ':importe'               => $row['importe'],
          ':impuesto'              => $impuesto,
          ':id_cuenta_mayor'      => $id_cuenta_mayor,
          ':estado'                => 0,
          ':vencimiento'           => $cuenta['vencimiento'],
          ':referencia_documento'  => $nro_documento,

        );




        try {
          $sql->execute($bind);
          //  $solicitud_id = $conn->lastInsertId();
          //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
          // conjuge($data, $conn, $solicitud_id);
         // echo json_encode(array("message" => "Datos guardados con exito"));

         guardar_tabla_contable_det($conn, $nro_documento,$cuenta['posicion'],$clave_contabilizacion,$id_cliente,$nro_socio,$referencia,1,$row['clase'],$indicador_d_h,$row['nombre'],$row['moneda'],$row['importe'],null,$impuesto,
$id_cuenta_mayor,null,null,null,null);

        } catch (PDOException $Exception) {
          error_log('Error insertando: ' . json_encode($Exception));
          //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
          var_dump($Exception);
          exit();
          // echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
        }
      }
      if($total_aporte > 0){

        $posicion_h  = $posicion_h + 1;
      guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,11,$id_cliente,$nro_socio,$referencia,1,'AP',$indicador_h,'APORTE','PYG',$total_aporte,null,$impuesto,
      $id_cuenta_mayor_h,null,null,null,null);
    }

  }

  
}







function generarCuentas($fechaAsociacion, $tipoCuenta, $mensual)
{
  // Convertir la fecha de asociación a un objeto DateTime
  $fecha = new DateTime($fechaAsociacion);

  // Año de la fecha de asociación
  $anioAsociacion = $fecha->format('Y');

  // Mes de la fecha de asociación
  $mesAsociacion = (int)$fecha->format('m');

  // Mes de diciembre
  $mesDiciembre = 12;

  // Crear un array para almacenar las cuentas generadas
  $cuentasGeneradas = [];
$cuota = 1;
  if($mensual == 1){
  // Loop desde el mes de asociación hasta diciembre
  for ($mes = $mesAsociacion; $mes <= $mesDiciembre; $mes++) {
    // Crear un objeto DateTime para el primer día del mes
    $fechaMes = new DateTime("$anioAsociacion-$mes-01");

    // Modificar la fecha para obtener el último día del mes
    $fechaVencimiento = $fechaMes->modify('last day of this month')->format('Y-m-d');

    // Generar cuenta con fecha de creación y vencimiento según el tipo
    // if ($tipoCuenta === 'Aporte' || $tipoCuenta === 'Solidaridad') {
    $cuentasGeneradas[] = [
      'tipo' => $tipoCuenta,
      'mes' => $mes,
      'anio' => $anioAsociacion,
      'vencimiento' => $fechaVencimiento,
      'cuota' => '1/'.$cuota,
      'posicion' => $cuota
    ];
    //}

    $cuota++;
  }

}else{
  $cuota = 1;
  for ($mes = $mesAsociacion; $mes <= $mesAsociacion; $mes++) {
    // Crear un objeto DateTime para el primer día del mes
    $fechaMes = new DateTime("$anioAsociacion-$mes-01");

    // Modificar la fecha para obtener el último día del mes
    $fechaVencimiento = $fechaMes->modify('last day of this month')->format('Y-m-d');

    // Generar cuenta con fecha de creación y vencimiento según el tipo
    // if ($tipoCuenta === 'Aporte' || $tipoCuenta === 'Solidaridad') {
    $cuentasGeneradas[] = [
      'tipo' => $tipoCuenta,
      'mes' => $mes,
      'anio' => $anioAsociacion,
      'vencimiento' => $fechaVencimiento,
      'cuota' => '1/'.$cuota,
      'posicion' => $cuota
    ];
    //}

    $cuota++;
  }


}

  return $cuentasGeneradas;
}






