<?php
header('Content-Type: application/json');

try {
    require_once('../../joajurehegua.php');
 
// Consulta SQL
$query = "
SELECT 
    fc.factura_compra_id,
    fc.factura_compra_proveedor_id,
    fc.factura_compra_timbrado_id,
    fc.factura_compra_numero_factura,
    fc.factura_compra_monto,
    fc.factura_compra_fecha,
    fc.factura_compra_estado,
    fcd.factura_compra_det_id,
    fcd.factura_compra_det_descripcion,
    fcd.factura_compra_det_monto,
    fcd.factura_compra_det_iva,
    fcd.factura_compra_det_cta_pago
FROM 
    factura_compra fc
LEFT JOIN 
    factura_compra_det fcd
ON 
    fc.factura_compra_id = fcd.factura_compra_det_cab
";

$stmt = $conn->prepare($query);
$stmt->execute();
$facturas = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Procesar los resultados y estructurarlos de manera adecuada para el frontend
$facturasData = [];
foreach ($facturas as $row) {
$factura_id = $row['factura_compra_id'];

// Si no existe la factura en el array, la agregamos
if (!isset($facturasData[$factura_id])) {
    $facturasData[$factura_id] = [
        'factura_compra_id' => $row['factura_compra_id'],
        'factura_compra_numero_factura' => $row['factura_compra_numero_factura'],
        'factura_compra_monto' => $row['factura_compra_monto'],
        'factura_compra_fecha' => $row['factura_compra_fecha'],
        'factura_compra_estado' => $row['factura_compra_estado'],
        'factura_compra_proveedor_id' => $row['factura_compra_proveedor_id'],
        'factura_compra_timbrado_id' => $row['factura_compra_timbrado_id'],
        'detalles' => []
    ];
}

// Agregar el detalle de la factura
if ($row['factura_compra_det_id']) {
    $facturasData[$factura_id]['detalles'][] = [
        'factura_compra_det_id' => $row['factura_compra_det_id'],
        'factura_compra_det_descripcion' => $row['factura_compra_det_descripcion'],
        'factura_compra_det_monto' => $row['factura_compra_det_monto'],
        'factura_compra_det_iva' => $row['factura_compra_det_iva'],
        'factura_compra_det_cta_pago' => $row['factura_compra_det_cta_pago']
    ];
}
}

// Retornar los datos en formato JSON para el frontend
echo json_encode(array_values($facturasData));
} catch (PDOException $e) {
    echo json_encode(['error' => $e->getMessage(). "ec". $sql."id". $id ]);
}
?>
