<?php

include_once('../../joajurehegua.php');
 function verClientes($cliente){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT 
    cli.*, 
    cli.id_cliente AS origina_cliente, 
    ec.nombre AS estado_civil, 
    gen.nombre AS genero, 
    pais.nombre AS pais_cliente, 
    dep.nombre AS departamento, 
    dis.nombre AS distrito, 
    ciu.nombre AS ciudad, 
    bar.nombre AS barrio,
    prof.nombre AS profesion, 
    nac.nombre AS nacionalidad_cliente, 
    ori.nombre AS origen, 
    cat.nombre AS categoria, 
    adm.nombre AS tipo_admision, 
    usu.nombres AS usuario_nombres, 
    usu.apellidos AS usuario_apellidos,
    con.*, 
    pais_ci.nombre AS nacionalidad_conyuge
FROM
    clientes AS cli
LEFT JOIN
    estado_civil AS ec ON cli.id_estadocivil = ec.id
LEFT JOIN
    tipo_genero AS gen ON cli.id_genero = gen.id
LEFT JOIN
    pais AS pais ON cli.id_pais = pais.id
LEFT JOIN
    departamento AS dep ON cli.id_departamento = dep.id
LEFT JOIN
    distrito AS dis ON cli.id_distrito = dis.id
LEFT JOIN
    ciudad AS ciu ON cli.id_ciudad = ciu.id
LEFT JOIN
    barrio AS bar ON cli.id_barrio = bar.id
LEFT JOIN
    tipo_profesion AS prof ON cli.id_profesion = prof.id
LEFT JOIN
    nacionalidad AS nac ON cli.id_nacionalidad = nac.id
LEFT JOIN
    tipo_origen AS ori ON cli.id_origen = ori.id
LEFT JOIN
    tipo_categoria AS cat ON cli.id_categoria = cat.id
LEFT JOIN
    tipo_admision AS adm ON cli.id_admision = adm.id
LEFT JOIN
    usuarios AS usu ON cli.usuario_estado = usu.id
LEFT JOIN
    conjuge AS con ON cli.id_cliente = con.id_cliente
LEFT JOIN
    pais AS pais_ci ON con.id_nacionalidad_c = pais_ci.id
WHERE cli.id_cliente = :cliente;";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':cliente' =>$cliente
    ]);
    
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC); // Devuelve el resultado como un array asociativo
    
    return $resultado; // Si no hay resultado, devuelve un arreglo vacío
}

function verDetalleEmpresa(){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro
    
    $sql = "SELECT * FROM empresas";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC); // Devuelve el resultado como un array asociativo
    
    return $resultado; // Si no hay resultado, devuelve un arreglo vacío
}

function mostrarFamiliares($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro
    $tipoFamiliar=1;
    $sql = "SELECT *
            FROM
                familiares
            INNER JOIN
                tipo_relacion ON familiares.id_tipo_relacion = tipo_relacion.id
            INNER JOIN
                nivel_estudio ON nivel_estudio.id = familiares.id_nivel_estudio
            WHERE
                familiares.id_cliente = :id AND familiares.id_tipo_relacion = :tipo";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente,
        ':tipo' => $tipoFamiliar
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}
function mostrarReferencias($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                referencias
            INNER JOIN
                tipo_referencia ON referencias.id_tipo_referencia = tipo_referencia.id
            WHERE
                referencias.id_cliente = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}
function mostrarReferenciasCredito($cliente,$id) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                referencias
            INNER JOIN
                tipo_referencia ON referencias.id_tipo_referencia = tipo_referencia.id
            WHERE
                referencias.id_cliente = :id AND referencias.id_credito= :credito";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente,
        ':credito' => $id,
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function mostrarProponente($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                clientes
            WHERE
                id_cliente = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function mostrarTrabajo($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM trabajos
            WHERE id_cliente = :id
            ORDER BY id DESC -- Ordenar por la fecha de carga o cualquier campo que indique el orden
            LIMIT 1";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente
    ]);
    
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function mostrarCoop($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM otras_cooperativas
            WHERE id_cliente = :id
            ORDER BY id DESC";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function clienteFactura($cliente) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                clientes
            WHERE
                id_cliente = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $cliente
    ]);
    
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC); // Devuelve el resultado como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function verMobCab($id) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT a.*, b.nombres, b.apellidos 
            FROM movimiento_caja_cab as a 
                inner join usuarios as  b
                on a.id_usuario = b.id 
            WHERE
                a.id= :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $id
    ]);
    
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}
function verMobItem($documento) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    $sql = "SELECT *
            FROM
                cuenta_corriente
            WHERE
                nro_compensacion= :documento ";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':documento' => $documento
    ]);
    
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC); // Recupera todos los registros como un array asociativo
    
    return $resultado; // Si no hay resultados, devuelve un array vacío
}

function numtoletras($xcifra)
{
    $xarray = array(0 => "Cero",
        1 => "UN", "DOS", "TRES", "CUATRO", "CINCO", "SEIS", "SIETE", "OCHO", "NUEVE",
        "DIEZ", "ONCE", "DOCE", "TRECE", "CATORCE", "QUINCE", "DIECISEIS", "DIECISIETE", "DIECIOCHO", "DIECINUEVE",
        "VEINTI", 30 => "TREINTA", 40 => "CUARENTA", 50 => "CINCUENTA", 60 => "SESENTA", 70 => "SETENTA", 80 => "OCHENTA", 90 => "NOVENTA",
        100 => "CIENTO", 200 => "DOSCIENTOS", 300 => "TRESCIENTOS", 400 => "CUATROCIENTOS", 500 => "QUINIENTOS", 600 => "SEISCIENTOS", 700 => "SETECIENTOS", 800 => "OCHOCIENTOS", 900 => "NOVECIENTOS"
    );
//
    $xcifra = trim($xcifra);
    $xlength = strlen($xcifra);
    $xpos_punto = strpos($xcifra, ".");
    $xaux_int = $xcifra;
    $xdecimales = "00";
    if (!($xpos_punto === false)) {
        if ($xpos_punto == 0) {
            $xcifra = "0" . $xcifra;
            $xpos_punto = strpos($xcifra, ".");
        }
        $xaux_int = substr($xcifra, 0, $xpos_punto); // obtengo el entero de la cifra a covertir
        $xdecimales = substr($xcifra . "00", $xpos_punto + 1, 2); // obtengo los valores decimales
    }

    $XAUX = str_pad($xaux_int, 18, " ", STR_PAD_LEFT); // ajusto la longitud de la cifra, para que sea divisible por centenas de miles (grupos de 6)
    $xcadena = "";
    for ($xz = 0; $xz < 3; $xz++) {
        $xaux = substr($XAUX, $xz * 6, 6);
        $xi = 0;
        $xlimite = 6; // inicializo el contador de centenas xi y establezco el límite a 6 dígitos en la parte entera
        $xexit = true; // bandera para controlar el ciclo del While
        while ($xexit) {
            if ($xi == $xlimite) { // si ya llegó al límite máximo de enteros
                break; // termina el ciclo
            }

            $x3digitos = ($xlimite - $xi) * -1; // comienzo con los tres primeros digitos de la cifra, comenzando por la izquierda
            $xaux = substr($xaux, $x3digitos, abs($x3digitos)); // obtengo la centena (los tres dígitos)
            for ($xy = 1; $xy < 4; $xy++) { // ciclo para revisar centenas, decenas y unidades, en ese orden
                switch ($xy) {
                    case 1: // checa las centenas
                        if (substr($xaux, 0, 3) < 100) { // si el grupo de tres dígitos es menor a una centena ( < 99) no hace nada y pasa a revisar las decenas
                            
                        } else {
                            $key = (int) substr($xaux, 0, 3);
                            if (TRUE === array_key_exists($key, $xarray)){  // busco si la centena es número redondo (100, 200, 300, 400, etc..)
                                $xseek = $xarray[$key];
                                $xsub = subfijo($xaux); // devuelve el subfijo correspondiente (Millón, Millones, Mil o nada)
                                if (substr($xaux, 0, 3) == 100)
                                    $xcadena = " " . $xcadena . " CIEN " . $xsub;
                                else
                                    $xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
                                $xy = 3; // la centena fue redonda, entonces termino el ciclo del for y ya no reviso decenas ni unidades
                            }
                            else { // entra aquí si la centena no fue numero redondo (101, 253, 120, 980, etc.)
                                $key = (int) substr($xaux, 0, 1) * 100;
                                $xseek = $xarray[$key]; // toma el primer caracter de la centena y lo multiplica por cien y lo busca en el arreglo (para que busque 100,200,300, etc)
                                $xcadena = " " . $xcadena . " " . $xseek;
                            } // ENDIF ($xseek)
                        } // ENDIF (substr($xaux, 0, 3) < 100)
                        break;
                    case 2: // checa las decenas (con la misma lógica que las centenas)
                        if (substr($xaux, 1, 2) < 10) {
                            
                        } else {
                            $key = (int) substr($xaux, 1, 2);
                            if (TRUE === array_key_exists($key, $xarray)) {
                                $xseek = $xarray[$key];
                                $xsub = subfijo($xaux);
                                if (substr($xaux, 1, 2) == 20)
                                    $xcadena = " " . $xcadena . " VEINTE " . $xsub;
                                else
                                    $xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
                                $xy = 3;
                            }
                            else {
                                $key = (int) substr($xaux, 1, 1) * 10;
                                $xseek = $xarray[$key];
                                if (20 == substr($xaux, 1, 1) * 10)
                                    $xcadena = " " . $xcadena . " " . $xseek;
                                else
                                    $xcadena = " " . $xcadena . " " . $xseek . " Y ";
                            } // ENDIF ($xseek)
                        } // ENDIF (substr($xaux, 1, 2) < 10)
                        break;
                    case 3: // checa las unidades
                        if (substr($xaux, 2, 1) < 1) { // si la unidad es cero, ya no hace nada
                            
                        } else {
                            $key = (int) substr($xaux, 2, 1);
                            $xseek = $xarray[$key]; // obtengo directamente el valor de la unidad (del uno al nueve)
                            $xsub = subfijo($xaux);
                            $xcadena = " " . $xcadena . " " . $xseek . " " . $xsub;
                        } // ENDIF (substr($xaux, 2, 1) < 1)
                        break;
                } // END SWITCH
            } // END FOR
            $xi = $xi + 3;
        } // ENDDO

        if (substr(trim($xcadena), -5, 5) == "ILLON") // si la cadena obtenida termina en MILLON o BILLON, entonces le agrega al final la conjuncion DE
            $xcadena.= " DE";

        if (substr(trim($xcadena), -7, 7) == "ILLONES") // si la cadena obtenida en MILLONES o BILLONES, entoncea le agrega al final la conjuncion DE
            $xcadena.= " DE";

        // ----------- esta línea la puedes cambiar de acuerdo a tus necesidades o a tu país -------
        if (trim($xaux) != "") {
            switch ($xz) {
                case 0:
                    if (trim(substr($XAUX, $xz * 6, 6)) == "1")
                        $xcadena.= "UN BILLON ";
                    else
                        $xcadena.= " BILLONES ";
                    break;
                case 1:
                    if (trim(substr($XAUX, $xz * 6, 6)) == "1")
                        $xcadena.= "UN MILLON ";
                    else
                        $xcadena.= " MILLONES ";
                    break;
                case 2:
                    if ($xcifra < 1) {
                        $xcadena = "CERO";
                    }
                    if ($xcifra >= 1 && $xcifra < 2) {
                        $xcadena = "UN";
                    }
                    if ($xcifra >= 2) {
                        $xcadena.= ""; //
                    }
                    break;
            } // endswitch ($xz)
        } // ENDIF (trim($xaux) != "")
        // ------------------      en este caso, para México se usa esta leyenda     ----------------
        $xcadena = str_replace("VEINTI ", "VEINTI", $xcadena); // quito el espacio para el VEINTI, para que quede: VEINTICUATRO, VEINTIUN, VEINTIDOS, etc
        $xcadena = str_replace("  ", " ", $xcadena); // quito espacios dobles
        $xcadena = str_replace("UN UN", "UN", $xcadena); // quito la duplicidad
        $xcadena = str_replace("  ", " ", $xcadena); // quito espacios dobles
        $xcadena = str_replace("BILLON DE MILLONES", "BILLON DE", $xcadena); // corrigo la leyenda
        $xcadena = str_replace("BILLONES DE MILLONES", "BILLONES DE", $xcadena); // corrigo la leyenda
        $xcadena = str_replace("DE UN", "UN", $xcadena); // corrigo la leyenda
    } // ENDFOR ($xz)
    return trim($xcadena);
}

// END FUNCTION

function subfijo($xx)
{ // esta función regresa un subfijo para la cifra
    $xx = trim($xx);
    $xstrlen = strlen($xx);
    if ($xstrlen == 1 || $xstrlen == 2 || $xstrlen == 3)
        $xsub = "";
    //
    if ($xstrlen == 4 || $xstrlen == 5 || $xstrlen == 6)
        $xsub = "MIL";
    //
    return $xsub;
}

function verAporteTotalSocio($id) {
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro
    $tipoPago = 'AP';
    
    // Consulta para obtener todos los importes
    $sql = "SELECT importe FROM cuenta_corriente
            WHERE id_cliente = :id AND nro_compensacion IS NOT NULL AND clase_documento = :aporte;";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $id,
        ':aporte' => $tipoPago
    ]);
    
    $totalImporte = 0; // Variable para acumular la suma de los importes
    
    // Recorremos todas las filas que devuelve la consulta
    while ($resultado = $stmt->fetch(PDO::FETCH_ASSOC)) {
        $totalImporte += $resultado['importe']; // Acumulamos el importe
    }
    
    // Devolvemos la suma total de los importes encontrados
    return $totalImporte;
}

function verIngresos($id){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro
    $tipo = 'Ingreso';
    
    // Consulta para obtener todos los importes
    $sql = "SELECT monto FROM ingreso_egreso
            WHERE id_credito = :id AND tipo = :tipo;";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $id,
        ':tipo' => $tipo
    ]);
    
    $totalImporte = 0; // Variable para acumular la suma de los importes
    
    // Recorremos todas las filas que devuelve la consulta
    while ($resultado = $stmt->fetch(PDO::FETCH_ASSOC)) {
        $totalImporte += $resultado['monto']; // Acumulamos el importe
    }
    
    // Devolvemos la suma total de los importes encontrados
    return $totalImporte;
}

function verEgresos($id){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro
    $tipo = 'Egreso';
    
    // Consulta para obtener todos los importes
    $sql = "SELECT monto FROM ingreso_egreso
            WHERE id_credito = :id AND tipo = :tipo;";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $id,
        ':tipo' => $tipo
    ]);
    
    $totalImporte = 0; // Variable para acumular la suma de los importes
    
    // Recorremos todas las filas que devuelve la consulta
    while ($resultado = $stmt->fetch(PDO::FETCH_ASSOC)) {
        $totalImporte += $resultado['monto']; // Acumulamos el importe
    }
    
    // Devolvemos la suma total de los importes encontrados
    return $totalImporte;
}

function aporteRelacion($id){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    // Consulta para obtener todos los importes
    $sql = "SELECT relacion FROM tipo_categoria
            WHERE id = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $id
    ]);
    // Recorremos todas las filas que devuelve la consulta
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC);
    
    // Devolvemos la suma total de los importes encontrados
    return $resultado;
}
function verComentarios($id){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    // Consulta para obtener todos los importes
    $sql = "SELECT * FROM analisis_comentarios
            WHERE analisis_comentarios_analisis_id  = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $id
    ]);
    // Recorremos todas las filas que devuelve la consulta
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
    // Devolvemos la suma total de los importes encontrados
    return $resultado;
}
function verAnalisis($id){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    // Consulta para obtener todos los importes
    $sql = "SELECT * FROM credito_analisis
            WHERE credito_analisis_id_credito  = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $id
    ]);
    // Recorremos todas las filas que devuelve la consulta
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
    // Devolvemos la suma total de los importes encontrados
    return $resultado;
}
function mostrarDatosAprobados($id){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro

    // Consulta para obtener todos los importes
    $sql = "SELECT * FROM credito_analisis
            WHERE credito_analisis_id_credito  = :id";
    
    $stmt = $conn->prepare($sql);
    $stmt->execute([
        ':id' => $id
    ]);
    // Recorremos todas las filas que devuelve la consulta
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
    // Devolvemos la suma total de los importes encontrados
    return $resultado;
}

function generar_ctacte_aprobacion($conn,  $id_credito)
{

  $sql = "SELECT z.*
  FROM creditos as z
  where z.id = :id
   ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(':id' =>  $id_credito));
  $resultado = $stmt->fetch();


  // detalles de creditos
  $sql_det = "SELECT  a.*
    FROM credito_detalles as a
    where id_credito = :id_credito ";
  $stmt = $conn->prepare($sql_det);
  $stmt->execute(array(':id_credito' => $id_credito));
  //$stmt->execute(array());
  $resultado_det = $stmt->fetchAll();

  $nro_documento = "";
  $nro_documento = generarGrupoId($conn); // Función para generar un ID de agrupación


  $referencia             = null;
  $clase_documento        = "PT";
  $indicador_d_h          = "D";
  $clave_contabilizacion  = 11;
  $impuesto               = 10;
  $id_cuenta_mayor            = "1.1.2.01.01.01.0002";

  guardar_tabla_contable_cab($conn, $nro_documento, $resultado['id_cliente'], $resultado['nro_socio'], $resultado['monto_total'], $clase_documento, $referencia);


$posicion_h  = 0;

  foreach ($resultado_det as $row_det) {

         $posicion_h  ++;
      
      

$cuota           = $row_det['nro_cuota'] . '/' . $resultado['plazo'];
$texto_posicion  = 'PT-' . $resultado['id'];


    $sql = $conn->prepare('INSERT INTO cuenta_corriente (nro_documento, id_empresa, id_cliente, nro_socio, factura, clase_documento, cuota, posicion, fecha, hora, id_usuario, clave_contabilizacion, 
       indicador_d_h, texto_posicion, moneda, importe, impuesto, id_cuenta_mayor, estado, vencimiento, interes, nro_credito, tipo_credito, referencia_documento) VALUES (:nro_documento, :id_empresa, :id_cliente, :nro_socio, :factura, :clase_documento, :cuota, 
       :posicion, :fecha, :hora, :id_usuario, :clave_contabilizacion, :indicador_d_h, :texto_posicion, :moneda, :importe, :impuesto, :id_cuenta_mayor, :estado, :vencimiento, :interes,
       :nro_credito, :tipo_credito, :referencia_documento )');

    $bind =  array(
      ':nro_documento'         => $nro_documento,
      ':id_empresa'            => $_SESSION['id_empresa'],
      ':nro_socio'             => $resultado['nro_socio'],
      ':id_cliente'            => $resultado['id_cliente'],
      ':factura'               => null,
      ':clase_documento'       => $clase_documento,
      ':cuota'                 => $cuota,
      ':posicion'              => $row_det['nro_cuota'],
      ':fecha'                 => date("Y-m-d"),
      ':hora'                  => date("H:i:s"),
      ':id_usuario'            => $_SESSION['id_usuario'],
      ':clave_contabilizacion' => $clave_contabilizacion,
      ':indicador_d_h'         => $indicador_d_h,
      ':texto_posicion'        => $texto_posicion,
      ':moneda'                => $row_det['moneda'],
      ':importe'               => $row_det['cuota'],
      ':impuesto'              => $impuesto,
      ':id_cuenta_mayor'           => $id_cuenta_mayor,
      ':estado'                => 0,
      ':vencimiento'           => $row_det['vencimiento'],
      ':interes'               => $row_det['interes'],
      ':nro_credito'           => $row_det['id_credito'],
      ':tipo_credito'          => $resultado['id_tipo_credito'],
      ':referencia_documento'  => $nro_documento


    );




    try {
      $sql->execute($bind);
      
      guardar_tabla_contable_det($conn, $nro_documento,$row_det['nro_cuota'],$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,$cuota,$clase_documento,$indicador_d_h,$texto_posicion,$row_det['moneda'],$row_det['cuota'],$row_det['interes'],$impuesto,$id_cuenta_mayor,null,null,null,null );
      //  $solicitud_id = $conn->lastInsertId();
      //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
      // conjuge($data, $conn, $solicitud_id);
      // echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
      var_dump($Exception);
      exit();
      // echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
    }
  }


    /*
PT-SOCIO-1	PYG	406.410		I0	1.1.2.03.01.01.0003
PT-SOCIO-1 - Capital Suscripto	PYG	30.000		I0	3.1.1.01.01.01.0001
PT-SOCIO-1 - Comisiones s/ Préstamos Amortizables	PYG	150.000		I0	4.1.1.01.02.01.0001
PT-SOCIO-1 - Fondo p/ Protección de Préstamos	PYG	60.000		I0	2.1.2.03.02.03.0001
PT-SOCIO-1 - Fondo para Prestamos	PYG	3.000.000		I0	1.1.1.01.01.02.0001
*/
$total_aporte = 0;

//PT-SOCIO
  if($resultado['monto_total'] > 0){

    $posicion_h  = $posicion_h + 1;
    $cuenta ="1.1.2.03.01.01.0003";
    $monto_h = $resultado['monto_total'];
    $clave_contabilizacion = 11;
    $texto_aux = 'PT-SOCIO'."-".$resultado['id'];
    $texto_posicion = $texto_aux;
  guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}

//Capital Suscripto
if($resultado['monto_solicitado'] > 0){

  $posicion_h  = $posicion_h + 1;
  $cuenta ="3.1.1.01.01.01.0001";
  $monto_h = $resultado['monto_solicitado'];
  $clave_contabilizacion = 11;
  $texto_posicion = $texto_aux.'-'.'Capital Suscripto';

guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}


//Comisiones s/ Préstamos Amortizables
if($resultado['gasto_admin'] > 0){

  $posicion_h  = $posicion_h + 1;
  $cuenta ="4.1.1.01.02.01.0001";
  $monto_h = (($resultado['monto_solicitado'] * $resultado['gasto_admin']) / 100);
  $clave_contabilizacion = 11;
  $texto_posicion = $texto_aux.'-'.'Comisiones s/ Préstamos Amortizables';

guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}

//Fondo p/ Protección de Préstamos
if($resultado['seguro_credito'] > 0){

  $posicion_h  = $posicion_h + 1;
  $cuenta ="2.1.2.03.02.03.0001";
  $monto_h =  (($resultado['monto_solicitado'] * $resultado['seguro_credito']) / 100);
  $clave_contabilizacion = 11;
  $texto_posicion = $texto_aux.'-'.'Fondo p/ Protección de Préstamos';

guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}


//Fondo para Prestamos
if($resultado['gasto_operacion'] > 0){

  $posicion_h  = $posicion_h + 1;
  $cuenta ="1.1.1.01.01.02.0001";
  $monto_h = (($resultado['monto_solicitado'] * $resultado['gasto_operacion']) / 100);
  $clave_contabilizacion = 11;
  $texto_posicion = $texto_aux.'-'.'Fondo para Prestamos';

guardar_tabla_contable_det($conn, $nro_documento,$posicion_h,$clave_contabilizacion,$resultado['id_cliente'], $resultado['nro_socio'],$referencia,null,'PT','H',$texto_posicion,'PYG',$monto_h,null,'10',$cuenta,null,null,null,null );
}


}



function generarGrupoId($conn)
{
  $sql = $conn->prepare('INSERT INTO nro_documento_aux (fecha) VALUES(:fecha)');
  $bind =  array(':fecha' => date("Y-m-d"));
  try {
    $sql->execute($bind);
    $nro_documento = $conn->lastInsertId();
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));
  }
  return $nro_documento; // Un número aleatorio, puedes usar otro método más robusto
}






function guardar_tabla_contable_cab($conn, $nro_documento, $id_cliente, $nro_socio, $importe, $clase_documento, $referencia)
{
  $sql = $conn->prepare('INSERT INTO cabecera_contable (
id_empresa,
nro_documento,
id_cliente,
nro_socio,
importe,
fecha_doc,
ejercicio,
clase_documento,
referencia,
fecha,
hora,

id_usuario
) VALUES (
:id_empresa,
:nro_documento,
:id_cliente,
:nro_socio,
:importe,
:fecha_doc,
:ejercicio,
:clase_documento,
:referencia,
:fecha,
:hora,

:id_usuario
 )');

  $bind =  array(

    ':id_empresa'            => $_SESSION['id_empresa'],
    ':nro_documento'         => $nro_documento,
    ':id_cliente'            => $id_cliente,
    ':nro_socio'             => $nro_socio,
    ':importe'               => $importe,
    ':fecha_doc'             => date("Y-m-d"),
    ':ejercicio'             => date("Y"),
    ':clase_documento'       => $clase_documento,
    ':referencia'            => $referencia,

    ':fecha'                 => date("Y-m-d"),
    ':hora'                  => date("H:i:s"),

    ':id_usuario'            => $_SESSION['id_usuario']


  );




  try {
    $sql->execute($bind);
    //  $solicitud_id = $conn->lastInsertId();
    //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
    // conjuge($data, $conn, $solicitud_id);
    // echo json_encode(array("message" => "Datos guardados con exito"));
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));
    //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
    var_dump($Exception);
    exit();
    // echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
  }
}




function guardar_tabla_contable_det($conn, $nro_documento,$posicion,$clave_contabilizacion,$id_cliente,$nro_socio,$referencia,$cuota,$clase_documento,$indicador_d_h,$texto_posicion,$moneda,$importe,$interes,$impuesto,
$id_cuenta_mayor,$indicador_cme,$nro_compensacion,$fecha_compensacion,$hora_compensacion ){
  $sql = $conn->prepare('INSERT INTO detalles_contable (

id_empresa,
nro_documento,
posicion,
clave_contabilizacion,
fecha,
hora,
id_cliente,
nro_socio,
referencia,
cuota,
clase_documento,
indicador_d_h,
texto_posicion,
moneda,
importe,
interes,
impuesto,
id_cuenta_mayor,
indicador_cme,
nro_compensacion,
fecha_compensacion,
hora_compensacion,
id_usuario


) VALUES (
:id_empresa,
:nro_documento,
:posicion,
:clave_contabilizacion,
:fecha,
:hora,
:id_cliente,
:nro_socio,
:referencia,
:cuota,
:clase_documento,
:indicador_d_h,
:texto_posicion,
:moneda,
:importe,
:interes,
:impuesto,
:id_cuenta_mayor,
:indicador_cme,
:nro_compensacion,
:fecha_compensacion,
:hora_compensacion,
:id_usuario

 )');

   $bind =  array(
    
     ':id_empresa'            => $_SESSION['id_empresa'],
     ':nro_documento'         => $nro_documento,
     ':posicion'              => $posicion,
     ':clave_contabilizacion' => $clave_contabilizacion,
     ':fecha'                 => date("Y-m-d"),
     ':hora'                  => date("H:i:s"),
     ':id_cliente'            => $id_cliente,
     ':nro_socio'             => $nro_socio,
     ':referencia'            => $referencia,
     ':cuota'                 => $cuota,
     ':clase_documento'       => $clase_documento,
     ':indicador_d_h'         => $indicador_d_h,
     ':texto_posicion'        => $texto_posicion,
     ':moneda'                => $moneda,
     ':importe'               => $importe,
     ':interes'               => $interes,
     ':impuesto'              => $impuesto,
     ':id_cuenta_mayor'       => $id_cuenta_mayor,
     ':indicador_cme'         => $indicador_cme,
     ':nro_compensacion'      => $nro_compensacion,
     ':fecha_compensacion'    => $fecha_compensacion,
     ':hora_compensacion'     => $hora_compensacion,
     ':id_usuario'            => $_SESSION['id_usuario']
     

   );




   try {
     $sql->execute($bind);
     //  $solicitud_id = $conn->lastInsertId();
     //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
     // conjuge($data, $conn, $solicitud_id);
    // echo json_encode(array("message" => "Datos guardados con exito"));
   } catch (PDOException $Exception) {
     error_log('Error insertando: ' . json_encode($Exception));
     //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
     //var_dump($Exception);
     //exit();
      echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
   }
}
function cuotasDetalles($id){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro
    // detalles de creditos
    $sql_det = "SELECT  a.*
    FROM credito_detalles as a
    where id_credito = :id_credito";
    $stmt = $conn->prepare($sql_det);
    $stmt->execute(array(':id_credito' => $id));
    //$stmt->execute(array());
    $resultado_det = $stmt->fetchAll();

    return($resultado_det);
}
function cabCredito($id){
    global $conn; // Asegúrate de que $conn esté disponible globalmente o pásalo como parámetro
    // detalles de creditos
    $sql_det = "SELECT a.*, tg.nombre as t_garantia, td.nombre as t_destino, tc.nombre as t_credito
    FROM creditos as a
    INNER JOIN tipo_garantia as tg ON a.id_garantia = tg.id
    INNER JOIN tipo_destino as td ON a.id_destino = td.id
    INNER JOIN tipo_credito as tc ON a.id_tipo_credito = tc.id
    where a.id =  :id_credito";
    $stmt = $conn->prepare($sql_det);
    $stmt->execute(array(':id_credito' => $id));
    //$stmt->execute(array());
    $resultado = $stmt->fetch();

    return($resultado);
}


function numeroALetras($numero) {
    // Arrays para los números en letras
    $unidades = ['cero', 'uno', 'dos', 'tres', 'cuatro', 'cinco', 'seis', 'siete', 'ocho', 'nueve'];
    $decenas = ['diez', 'once', 'doce', 'trece', 'catorce', 'quince', 'dieciséis', 'diecisiete', 'dieciocho', 'diecinueve'];
    $decenasVeinte = ['veinte', 'veinti', 'treinta', 'cuarenta', 'cincuenta', 'sesenta', 'setenta', 'ochenta', 'noventa'];
    $centenas = ['cien', 'ciento', 'doscientos', 'trescientos', 'cuatrocientos', 'quinientos', 'seiscientos', 'setecientos', 'ochocientos', 'novecientos'];

    // Separar la parte entera y decimal del número
    $partes = explode('.', number_format($numero, 2, '.', ''));
    $entero = intval($partes[0]);
    $decimal = isset($partes[1]) ? intval($partes[1]) : 0;

    // Función auxiliar para convertir una parte del número a letras
    function convertirParte($n) {
        global $unidades, $decenas, $decenasVeinte, $centenas;

        if ($n < 10) {
            return $unidades[$n];
        } elseif ($n < 20) {
            return $decenas[$n - 10];
        } elseif ($n < 100) {
            $unidad = $n % 10;
            $decena = intval($n / 10);
            if ($unidad == 0) {
                return $decenasVeinte[$decena - 2];
            } elseif ($decena == 2) {
                return $decenasVeinte[1] . $unidades[$unidad];
            } else {
                return $decenasVeinte[$decena - 2] . ' y ' . $unidades[$unidad];
            }
        } elseif ($n < 1000) {
            $decenaUnidad = $n % 100;
            $centena = intval($n / 100);
            if ($decenaUnidad == 0) {
                return $centenas[$centena - 1];
            } else {
                return $centenas[$centena - 1] . ' ' . convertirParte($decenaUnidad);
            }
        }
    }

    // Convertir la parte entera y la parte decimal a letras
    $enteroLetras = convertirParte($entero);
    $decimalLetras = convertirParte($decimal);

    // Resultado final con el formato: "ocho coma cinco por ciento"
    return $enteroLetras . ' coma ' . $decimalLetras . ' por ciento';
}

?>

