<?php
require_once('../../joajurehegua.php');


// Obtener los datos enviados desde AJAX
$data = json_decode(file_get_contents("php://input"), true);

switch ($data['tipo']) {
  case "datos_socios":

    $socio_cedula =  htmlspecialchars($data['socio_cedula']);

    $sql = "SELECT  id_cliente, nro_socio,  primer_nombre, segundo_nombre,  primer_apellido, segundo_apellido, celular
    from clientes 
    where cedula = :cedula 
    and estado = 1";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(':cedula' =>  $socio_cedula));
    $resultado = $stmt->fetch();
    if ($resultado) {
      $echo[] = array(
        'ack'              => 0,
        'socio_nro'        => $resultado['nro_socio'],
        'id_cliente'        => $resultado['id_cliente'],
        'primer_nombre'    => $resultado['primer_nombre'],
        'segundo_nombre'   => $resultado['segundo_nombre'],
        'primer_apellido'  => $resultado['primer_apellido'],
        'segundo_apellido' => $resultado['segundo_apellido'],
        'socio_celular'    => $resultado['celular']

      );
      echo json_encode($echo);
    } else {
      $echo[] = array(
        'ack'              => 1


      );
      echo json_encode($echo);
    }




    break;
  case "buscar_deuda":

    $socio_nro =  htmlspecialchars($data['socio_nro']);

    $sql = "SELECT  *
      from cuenta_corriente 
      where nro_socio = :id_cliente
      and id_empresa   = :id_empresa 
      and estado = 0";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
      ':id_cliente' =>  $socio_nro,
      ':id_empresa' =>  $_SESSION['id_empresa']
    ));
    $tabla = $stmt->fetchAll();
    if ($tabla) {
      // Filtrar los pagos parciales
      $pagos_parciales = array_filter($tabla, function ($fila) {
        return $fila['clave_contabilizacion'] == '28';
      });

// Agrupar pagos parciales por referencia_documento y referencia_posicion
$pagos_agrupados = [];
foreach ($pagos_parciales as $pago) {
    $key = $pago['referencia_documento'] . '-' . $pago['referencia_posicion'];
    if (!isset($pagos_agrupados[$key])) {
        $pagos_agrupados[$key] = [
            "referencia_documento" => $pago['referencia_documento'],
            "referencia_posicion" => $pago['referencia_posicion'],
            "total_pagado" => 0,
        ];
    }
    $pagos_agrupados[$key]["total_pagado"] += $pago['importe'];
}



// Inicializar el resultado
$resultados = [];

// Crear un mapa para identificar facturas con pagos parciales
$facturasConPagos = [];

// Asociar los pagos parciales acumulados con sus facturas
foreach ($pagos_agrupados as $pago) {
    $referencia_documento = $pago['referencia_documento'];
    $referencia_posicion = $pago['referencia_posicion'];

    // Buscar la factura asociada
    foreach ($tabla as $factura) {
        if (
            $factura['nro_documento'] == $referencia_documento &&
            $factura['posicion'] == $referencia_posicion
        ) {
            // Calcular el saldo restante
            $saldo = $factura['importe'] - $pago['total_pagado'];

            // Marcar la factura como con pagos parciales
            $facturasConPagos[$factura['id']] = true;

            // Asociar los pagos parciales acumulados con la factura
            $resultados[] = [
                "factura_asociada" => array_merge($factura, [
                    "monto_pagado" => $pago['total_pagado'],
                    "saldo" => $saldo,
                ]),
            ];
            break;
        }
    }
}

      // Mostrar las facturas que no tienen pagos parciales
      foreach ($tabla as $factura) {
        if ($factura['clave_contabilizacion'] == '8' && !isset($facturasConPagos[$factura['id']])) {
          $resultados[] = [
            "factura_sin_pago" => array_merge($factura, [
              "monto_pagado" => 0,
              "saldo" => $factura['importe'],
            ]),
          ];
        }
      }

      // Filtrar resultados para eliminar entradas nulas o vacías
      $resultados = array_filter($resultados, function ($resultado) {
        return !is_null($resultado) && !empty($resultado);
      });





      $deudas = [];
      // Mostrar los resultados
      foreach ($resultados as $resultado) {
        if (isset($resultado['factura_asociada'])) {
          $deudas[] = $resultado['factura_asociada'];
        }
        if (isset($resultado['factura_sin_pago'])) {
          $deudas[] = $resultado['factura_sin_pago'];
        }
      }

      echo json_encode($deudas);
    } else {
      $echo[] = array(
        'ack' => 1

      );
      echo json_encode($echo);
    }




    break;
  case "obtener_recursos":

    $id_rol =  htmlspecialchars($data['id_rol']);
    $sql = "SELECT a.id, a.recursos, a.titulo
                from recursos as a
                INNER JOIN rol_recurso as b 
                on a.id = b.id_recurso
                where b.id_rol = :id_rol  ";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(':id_rol' =>  $id_rol));
    $resultado = $stmt->fetchAll();
    if ($resultado) {

      $deudas = [];
      foreach ($resultado as $row) {
        $deudas[] = $row;
      }

      echo json_encode($deudas);
    } else {
      $echo[] = array(
        'ack' => 1

      );
      echo json_encode($echo);
    }

    break;

  case "datos_socio_credito":
    // Array para almacenar todos los datos del cliente
    //$data = [];
    $socio_cedula =  htmlspecialchars($data['socio_cedula']);
    $sql = "SELECT a.*, b.nombre as estado_civil, c.nombre as genero, d.nombre as pais, e.nombre as departamento, f.nombre as distrito, g.nombre as ciudad, h.nombre as barrio,
                  i.nombre as profesion, j.nombre as nacionalidad
                  FROM clientes as a 
                  inner join estado_civil as b on a.id_estadocivil = b.id
                  inner join tipo_genero as c on a.id_genero = c.id

                  inner join pais as d on a.id_pais = d.id
                  inner join departamento as e on a.id_departamento = e.id
                  inner join distrito as f on a.id_distrito = f.id
                  inner join ciudad as g on a.id_ciudad = g.id
                  inner join barrio as h on a.id_barrio = h.id
                  inner join tipo_profesion as i on a.id_profesion = i.id
                  inner join nacionalidad as j on a.id_nacionalidad = j.id
            where a.cedula = :cedula 
            and a.estado = 1";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(':cedula' =>  $socio_cedula));
    $resultado = $stmt->fetch();
    if ($resultado) {

      $sql_t = "SELECT a.*
              from trabajos as a
              where a.id_cliente = :id 
            ";
      $stmt = $conn->prepare($sql_t);
      $stmt->execute(array(':id' =>  $resultado['id_cliente']));
      $resultado_t = $stmt->fetchAll();


      $echo[] = array(
        'ack'              => 0,
        'cliente'        => $resultado,
        'trabajos'       => $resultado_t

      );



      echo json_encode($echo);
    }
    /*
      $sql = "SELECT *
      from clientes as a
     where b.id_cliente = :id_rol  ";
$stmt = $conn->prepare($sql);
$stmt->execute(array(':id_cliente' =>  $id_cliente));
$resultado = $stmt->fetchA();
if ($resultado) {
$data['cliente'] = $resultado;
}
      /*
  



      break;
/*
      case "datos_socio_credito":

        $socio_cedula =  htmlspecialchars($data['socio_cedula']);
    
        $sql = "SELECT  id_cliente, primer_nombre, segundo_nombre,  primer_apellido, segundo_apellido, celular
        from clientes 
        where cedula = :cedula 
        and estado = 1";
        $stmt = $conn->prepare($sql);
        $stmt->execute(array(':cedula' =>  $socio_cedula));
        $resultado = $stmt->fetch();
        if ($resultado) {
          $echo[] = array(
            'ack'              => 0, 
            'socio_nro'        => $resultado['id_cliente'],
            'primer_nombre'    => $resultado['primer_nombre'],
            'segundo_nombre'   => $resultado['segundo_nombre'],
            'primer_apellido'  => $resultado['primer_apellido'],
            'segundo_apellido' => $resultado['segundo_apellido'],
            'socio_celular'    => $resultado['celular']
    
          );
          echo json_encode($echo);
        } else {
          $echo[] = array('ack' => 1
    
    
          );
          echo json_encode($echo);
        }
    
    
    */

    break;
}
