<?php
// Incluir archivo de conexión a la base de datos
require_once('../../joajurehegua.php');

// Verificar si los datos llegaron por POST
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $comentario = isset($_POST['comentario']) ? $_POST['comentario'] : '';
    $creditoID = isset($_POST['credito']) ? $_POST['credito'] : 0;

    try {
        // Insertar los datos en la base de datos (esto es solo un ejemplo)
        $query = "INSERT INTO analisis_comentarios (
                    analisis_comentarios_analisis_id, 
                    analisis_comentarios_texto
                ) VALUES (
                    :creditoID, 
                    :comentario
                )";

        // Preparar la consulta
        $stmt = $conn->prepare($query);
        
        // Vincular los parámetros
        $stmt->bindParam(':creditoID', $creditoID);  
        $stmt->bindParam(':comentario', $comentario);

        // Ejecutar la consulta
        if ($stmt->execute()) {
            // Enviar una respuesta al frontend indicando que todo salió bien
            echo json_encode(['estado' => 1, 'message' => 'Análisis guardado con éxito']);
        } else {
            // Enviar un error si no se pudo guardar los datos
            echo json_encode(['estado' => 2, 'message' => 'Error al guardar el análisis.']);
        }
    } catch (PDOException $e) {
        // Capturar cualquier error de la base de datos
        echo json_encode(['estado' => 2, 'message' => 'Error en la base de datos: ' . $e->getMessage()]);
    } catch (Exception $e) {
        // Capturar cualquier otro tipo de error
        echo json_encode(['estado' => 1, 'message' => 'Error inesperado: ' . $e->getMessage()]);
    }
} else {
    // Si no se recibieron datos por POST
    echo json_encode(['estado' => 2, 'message' => 'No se recibieron datos']);
}
?>
