<?php
require_once('../../joajurehegua.php');



$data = json_decode(file_get_contents("php://input"), true);



switch ($data['tipo']) {
  case "apertura_caja":
    $nro_caja      =  htmlspecialchars($data['nro_caja']);
    $nro_rendicion =  htmlspecialchars($data['nro_rendicion']);

    $sql = "SELECT nro_rendicion
    from rendicion 
    where id_empresa    = :id_empresa
      and nro_caja      = :nro_caja
      and fecha_cierre  is null
      and fecha_apertura != :fecha_apertura
       ";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
      ':id_empresa'     =>  $_SESSION['id_empresa'],
      ':nro_caja'       =>  $nro_caja,
      ':fecha_apertura' =>  date("Y-m-d")

    ));
    $resultado = $stmt->fetch();
    if ($resultado) {
      echo json_encode(array("message" => "Falta Cerra Rendicion Anterior", "ack" => 0));
      break;
    } else {

      $sql = "SELECT nro_rendicion
      from rendicion 
      where id_empresa    = :id_empresa
        and nro_caja      = :nro_caja
        and fecha_cierre  is null
        and fecha_apertura = :fecha_apertura
         ";
      $stmt = $conn->prepare($sql);
      $stmt->execute(array(
        ':id_empresa'     =>  $_SESSION['id_empresa'],
        ':nro_caja'       =>  $nro_caja,
        ':fecha_apertura' =>  date("Y-m-d")

      ));
      $resultado = $stmt->fetch();
      if ($resultado) {
        echo json_encode(array("message" => "Caja de la fecha ya esta abierta", "ack" => 0));
        break;
      }


      $sql = $conn->prepare('INSERT INTO rendicion (
    id_empresa,
    nro_caja,
    nro_rendicion,
    id_usuario,
    fecha_apertura,
    hora_apertura
    
    ) VALUES(
    :id_empresa,
    :nro_caja,
    :nro_rendicion,
    :id_usuario,
    :fecha_apertura,
    :hora_apertura
    
    
    )');
      $bind =  array(
        ':id_empresa'     => $_SESSION['id_empresa'],
        ':nro_caja'       => $nro_caja,
        ':nro_rendicion'  => $nro_rendicion,
        ':id_usuario'     => $_SESSION['id_usuario'],
        ':fecha_apertura' => date("Y-m-d"),
        ':hora_apertura'  => date("H:i:s")

      );


      try {
        $sql->execute($bind);
        //  $solicitud_id = $conn->lastInsertId();
        //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
        // conjuge($data, $conn, $solicitud_id);
        guardar_saldo_inicial($conn, $nro_rendicion, $nro_caja);
        echo json_encode(array(
          "message" => "Datos guardados con exito",
          "ack" => 1
        ));
      } catch (PDOException $Exception) {
        error_log('Error insertando: ' . json_encode($Exception));
        //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
        echo json_encode(array("error" => "Error al guardar los datos: " . $Exception, "ack" => 1));
      }
    }



    break;

  case "cerrar_caja":
    $nro_caja =  htmlspecialchars($data['nro_caja']);

    $sql = "SELECT id, nro_rendicion
      from rendicion 
      where id_empresa    = :id_empresa
        and nro_caja      = :nro_caja
        and fecha_cierre  is null
         ";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
      ':id_empresa'     =>  $_SESSION['id_empresa'],
      ':nro_caja'       =>  $nro_caja

    ));
    $resultado = $stmt->fetch();
    if (!$resultado) {
      echo json_encode(array("message" => "No hay nada para cerrar", "ack" => 0));
      break;
    } else {
      // cerramos la rendicion
      $sql = "UPDATE rendicion SET   fecha_cierre      = :fecha_cierre,
                                     hora_cierre       = :hora_cierre,
                                     id_usuario_cierre = :id_usuario_cierre              
                              WHERE   id    = :id";


      try {

        $stmt = $conn->prepare($sql);
        $stmt->execute(array(
          ':fecha_cierre'      => date("Y-m-d"),
          ':hora_cierre'       => date("H:i:s"),
          ':id_usuario_cierre' => $_SESSION['id_usuario'],
          ':id'                => $resultado['id']
        ));
        guardar_saldo_cerrar($conn, $resultado['nro_rendicion'], $nro_caja);
        echo json_encode(array(
          "message" => "Rendición Cerrada",
          "ack" => 1
        ));
      } catch (PDOException $Exception) {
        error_log('Error insertando: ' . json_encode($Exception));
        echo json_encode(array("error" => "Error al guardar los datos: " . $Exception, "ack" => 0));
      }
    }



    break;


  case "empresa":


    $empresa           =  htmlspecialchars($data['empresa']);
    $empresa_ruc       =  htmlspecialchars($data['empresa_ruc']);
    $empresa_direccion =  htmlspecialchars($data['empresa_direccion']);
    $empresa_telefono  =  htmlspecialchars($data['empresa_telefono']);
    $correo            =  htmlspecialchars($data['correo']);
    $representante     =  htmlspecialchars($data['representante']);





    $sql = $conn->prepare('INSERT INTO empresas (nombre_empresa,ruc,direccion,telefono,correo,representante) VALUES 
                                               (:nombre_empresa,:ruc,:direccion,:telefono,:correo,:representante)');
    $bind =  array(
      ':nombre_empresa' => $empresa,
      ':ruc' => $empresa_ruc,
      ':direccion' => $empresa_direccion,
      ':telefono' => $empresa_telefono,
      ':correo' => $correo,
      ':representante' => $representante
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
      // conjuge($data, $conn, $solicitud_id);
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
      echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
    }



    break;
  case "datos_socios":

    $nro_caja           =  htmlspecialchars($data['nro_caja']);
    $sql = "SELECT  max(nro_rendicion) 
    from rendicion 
    where id_empresa = :id_empresa
      and nro_caja  = :nro_caja
       ";
    $stmt = $conn->prepare($sql);
    $stmt->execute(array(
      ':id_empresa'     =>  $_SESSION['id_empresa'],
      ':nro_caja'       =>  $nro_caja
    ));
    $resultado = $stmt->fetch();
    if ($resultado) {
      $nvo_nro_rendicion = $resultado['nro_rendicion']  + 1;
    } else {
      $nvo_nro_rendicion = 1;
    }


    $echo[] = array(
      'nombres'   => $resultado['nombres'],
      'apellidos' => $resultado['apellidos'],
      'codigo'    => $resultado['codigo'],
      'edad'      => $edad_d
    );
    echo json_encode($echo);

    break;
  case "tipo_admision":

    $nombre           =  htmlspecialchars($data['nombre']);
    $id_empresa       =  htmlspecialchars($data['id_empresa']);

    $sql = $conn->prepare('INSERT INTO tipo_admision (
id_empresa,
nombre,
estado,
id_usuario,
fecha,
hora
) VALUES(
:id_empresa,
:nombre,
:estado,
:id_usuario,
:fecha,
:hora
)');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }





    break;
  case "tipo_referencia":

    $nombre           =  htmlspecialchars($data['nombre']);
    $id_empresa       =  htmlspecialchars($data['id_empresa']);

    $sql = $conn->prepare('INSERT INTO tipo_referencia (
id_empresa,
nombre,
estado,
id_usuario,
fecha,
hora
) VALUES(
:id_empresa,
:nombre,
:estado,
:id_usuario,
:fecha,
:hora
)');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }





    break;

  case "nueva_cuenta_ahorro":

    $nro_socio       =  htmlspecialchars($data['nro_socio']);
    $id_cliente      =  htmlspecialchars($data['id_cliente']);
    $id_tipo_ahorro  =  htmlspecialchars($data['id_tipo_ahorro']);
    $interes         =  htmlspecialchars($data['interes']);
    $saldo_inicial   =  htmlspecialchars($data['saldo_inicial']);



    $sql = $conn->prepare('INSERT INTO ahorro_cuenta (
id_empresa, 
id_cliente,
nro_socio,
id_tipo_ahorro,
interes_anual,
fecha,
hora,
id_usuario,
monto,
estado
) VALUES(
:id_empresa,
 :id_cliente,
 :nro_socio,
 :id_tipo_ahorro,
 :interes_anual,
 :fecha,
:hora,
:id_usuario,
:monto,
:estado 
 )');

    $bind =  array(
      ':id_empresa'      => $_SESSION['id_empresa'],
      ':id_cliente'      => $id_cliente,
      ':nro_socio'       => $nro_socio,
      ':id_tipo_ahorro'  => $id_tipo_ahorro,
      ':interes_anual'   => $interes,
      ':monto'           => quitarPuntos($saldo_inicial),
      ':estado'          => 1,
      ':id_usuario'      => $_SESSION['id_usuario'],
      ':fecha'           => date("Y-m-d"),
      ':hora'            => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array(
        "ack" => 0,
        "message" => "Cuenta guardados con exito",
      ));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array(
        "ack" => 0,
        "message" => "Error al guardar los datos: " . $Exception
      ));
    }





    break;


  case "tipo_familiar":

    $nombre           =  htmlspecialchars($data['nombre']);
    $id_empresa       =  htmlspecialchars($data['id_empresa']);

    $sql = $conn->prepare('INSERT INTO tipo_familiar (
id_empresa,
nombre,
estado,
id_usuario,
fecha,
hora
) VALUES(
:id_empresa,
:nombre,
:estado,
:id_usuario,
:fecha,
:hora
)');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }





    break;
  case "tipo_relacion":

    $nombre           =  htmlspecialchars($data['nombre']);
    $id_empresa       =  htmlspecialchars($data['id_empresa']);

    $sql = $conn->prepare('INSERT INTO tipo_relacion (
id_empresa,
nombre,
estado,
id_usuario,
fecha,
hora
) VALUES(
:id_empresa,
:nombre,
:estado,
:id_usuario,
:fecha,
:hora
)');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;
  case "tipo_origen":

    $nombre           =  htmlspecialchars($data['nombre']);
    $id_empresa       =  htmlspecialchars($data['id_empresa']);

    $sql = $conn->prepare('INSERT INTO tipo_origen (
id_empresa,
nombre,
estado,
id_usuario,
fecha,
hora
) VALUES(
:id_empresa,
:nombre,
:estado,
:id_usuario,
:fecha,
:hora
)');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;

  case "tipo_profesion":

    $nombre           =  htmlspecialchars($data['nombre']);
    $id_empresa       =  htmlspecialchars($data['id_empresa']);

    $sql = $conn->prepare('INSERT INTO tipo_profesion (
  id_empresa,
  nombre,
  estado,
  id_usuario,
  fecha,
  hora
  ) VALUES(
  :id_empresa,
  :nombre,
  :estado,
  :id_usuario,
  :fecha,
  :hora
  )');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;
  case "nivel_estudio":

    $nombre           =  htmlspecialchars($data['nombre']);
    $id_empresa       =  htmlspecialchars($data['id_empresa']);

    $sql = $conn->prepare('INSERT INTO nivel_estudio (
  id_empresa,
  nombre,
  estado,
  id_usuario,
  fecha,
  hora
  ) VALUES(
  :id_empresa,
  :nombre,
  :estado,
  :id_usuario,
  :fecha,
  :hora
  )');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;

  case "pais":

    // si no lo hay genera otro 
    $nombre  =  htmlspecialchars($data['nombre']);
    $codigo  =  htmlspecialchars($data['codigo']);

    $sql_c = "SELECT  codigo
    from pais 
    where codigo = :codigo";
    $stmt = $conn->prepare($sql_c);
    $stmt->execute(array(':codigo'     =>  $codigo));
    $resultado = $stmt->fetch();
    if ($resultado) {
      echo json_encode(array("message" => "Ya Existe Pais"));
      break;
    }





    $sql = $conn->prepare('INSERT INTO pais (
    codigo,
    nombre,
    estado,
    id_usuario,
    fecha,
    hora
    ) VALUES(
    :codigo,
    :nombre,
    :estado,
    :id_usuario,
    :fecha,
    :hora
    )');
    $bind =  array(
      ':codigo'     => $codigo,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;


  case "departamento":

    $nombre           =  htmlspecialchars($data['nombre']);
    $codigo       =  htmlspecialchars($data['codigo']);
    $id_pais       =  htmlspecialchars($data['id_pais']);

    $sql_c = "SELECT  codigo
    from departamento 
    where codigo = :codigo";
    $stmt = $conn->prepare($sql_c);
    $stmt->execute(array(':codigo'     =>  $codigo));
    $resultado = $stmt->fetch();
    if ($resultado) {
      echo json_encode(array("message" => "Ya existe departamento"));
      break;
    }


    $sql = $conn->prepare('INSERT INTO departamento (
          id_pais,
      codigo,
      nombre,
      estado,
      id_usuario,
      fecha,
      hora
      ) VALUES(
      :id_pais,
      :codigo,
      :nombre,
      :estado,
      :id_usuario,
      :fecha,
      :hora
      )');
    $bind =  array(
      ':id_pais'      => $id_pais,
      ':codigo'       => $codigo,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;

  case "distrito":

    $nombre           =  htmlspecialchars($data['nombre']);
    $codigo       =  htmlspecialchars($data['codigo']);
    $id_departamento       =  htmlspecialchars($data['id_departamento']);


    $sql_c = "SELECT  codigo
    from distrito 
    where codigo = :codigo";
    $stmt = $conn->prepare($sql_c);
    $stmt->execute(array(':codigo'     =>  $codigo));
    $resultado = $stmt->fetch();
    if ($resultado) {
      echo json_encode(array("message" => "Ya existe distrito"));
      break;
    }


    $sql = $conn->prepare('INSERT INTO distrito (
            id_departamento,
        codigo,
        nombre,
        estado,
        id_usuario,
        fecha,
        hora
        ) VALUES(
        :id_departamento,
        :codigo,
        :nombre,
        :estado,
        :id_usuario,
        :fecha,
        :hora
        )');
    $bind =  array(
      ':id_departamento'      => $id_departamento,
      ':codigo'       => $codigo,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;

  case "ciudad":

    $nombre           =  htmlspecialchars($data['nombre']);
    $codigo       =  htmlspecialchars($data['codigo']);
    $id_distrito       =  htmlspecialchars($data['id_distrito']);


    $sql_c = "SELECT  codigo
    from ciudad 
    where codigo = :codigo";
    $stmt = $conn->prepare($sql_c);
    $stmt->execute(array(':codigo'     =>  $codigo));
    $resultado = $stmt->fetch();
    if ($resultado) {
      echo json_encode(array("message" => "Ya existe ciudad"));
      break;
    }

    $sql = $conn->prepare('INSERT INTO ciudad (
              id_distrito,
          codigo,
          nombre,
          estado,
          id_usuario,
          fecha,
          hora
          ) VALUES(
          :id_distrito,
          :codigo,
          :nombre,
          :estado,
          :id_usuario,
          :fecha,
          :hora
          )');
    $bind =  array(
      ':id_distrito'      => $id_distrito,
      ':codigo'       => $codigo,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;

  case "barrio":


    $nombre           =  htmlspecialchars($data['nombre']);
    $codigo       =  htmlspecialchars($data['codigo']);
    $id_ciudad       =  htmlspecialchars($data['id_ciudad']);


    $sql_c = "SELECT  codigo
    from barrio 
    where codigo = :codigo";
    $stmt = $conn->prepare($sql_c);
    $stmt->execute(array(':codigo'     =>  $codigo));
    $resultado = $stmt->fetch();
    if ($resultado) {
      echo json_encode(array("message" => "Ya existe barrio"));
      break;
    }



    $sql = $conn->prepare('INSERT INTO barrio (
                id_ciudad,
            codigo,
            nombre,
            estado,
            id_usuario,
            fecha,
            hora
            ) VALUES(
            :id_ciudad,
            :codigo,
            :nombre,
            :estado,
            :id_usuario,
            :fecha,
            :hora
            )');
    $bind =  array(
      ':id_ciudad'      => $id_ciudad,
      ':codigo'       => $codigo,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;
  case "nuevo_usuario":

    $id_empresa =  htmlspecialchars($data['id_empresa']);
    $id_sucursal =  htmlspecialchars($data['id_sucursal']);
    $cedula     =  htmlspecialchars($data['cedula']);
    $nombre     =  htmlspecialchars($data['nombre']);
    $apellido   =  htmlspecialchars($data['apellido']);
    $id_rol     =  htmlspecialchars($data['id_rol']);
    $hash       =  password_hash($cedula, PASSWORD_DEFAULT);



    $sql_c = "SELECT  usuario
      from usuarios 
      where usuario = :usuario";
    $stmt = $conn->prepare($sql_c);
    $stmt->execute(array(':usuario'     =>  $cedula));
    $resultado = $stmt->fetch();
    if ($resultado) {
      echo json_encode(array("message" => "Ya existe usuario"));
      break;
    }


    $sql = $conn->prepare('INSERT INTO usuarios (id_empresa, usuario, cedula, nombres, apellidos, password, estado, id_rol, id_usuario, fecha, hora, id_sucursal) VALUES(
             :id_empresa, :usuario, :cedula, :nombres, :apellidos, :password, :estado, :id_rol, :id_usuario, :fecha, :hora, :id_sucursal )');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':usuario'      => $cedula,
      ':cedula'       => $cedula,
      ':nombres'      => $nombre,
      ':apellidos'    => $apellido,
      ':password'     => $hash,
      ':estado'       => 1,
      ':id_rol'       => $id_rol,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s"),
      ':id_sucursal'  => $id_sucursal
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;

  case "nuevo_rol":

    $nombre           =  htmlspecialchars($data['nombre']);
    $id_empresa       =  htmlspecialchars($data['id_empresa']);

    $sql = $conn->prepare('INSERT INTO rol (
      id_empresa,
      nombre,
      estado,
      id_usuario,
      fecha,
      hora
      ) VALUES(
      :id_empresa,
      :nombre,
      :estado,
      :id_usuario,
      :fecha,
      :hora
      )');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':nombre'       => $nombre,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;
  case "guardar_recursos":

    $id_rol   =  htmlspecialchars($data['rol']);
    $cantidad = 0;
    foreach ($data['recursos'] as $id_recurso) {

      $sql_c = "SELECT  id_usuario
      from rol_recurso 
      where id_rol = :id_rol and id_recurso = :id_recurso ";
      $stmt = $conn->prepare($sql_c);
      $stmt->execute(array(':id_rol'     =>  $id_rol, ':id_recurso'  =>  $id_recurso));
      $resultado = $stmt->fetch();
      if ($resultado) {
        // echo json_encode(array("message" => "Ya existe usuario"));
        // break;
      } else {

        $sql = $conn->prepare('INSERT INTO rol_recurso (id_rol, id_recurso, id_empresa, fecha, hora ) VALUES(:id_rol, :id_recurso, :id_empresa, :fecha, :hora )');
        $bind =  array(
          ':id_rol'      => $id_rol,
          ':id_recurso'   => $id_recurso,
          ':id_empresa'   => $_SESSION['id_empresa'],
          ':fecha'        => date("Y-m-d"),
          ':hora'         => date("H:i:s")
        );


        try {
          $sql->execute($bind);
          $cantidad++;
          //  $solicitud_id = $conn->lastInsertId();
          //  echo json_encode(array("message" => "Datos guardados con exito"));
        } catch (PDOException $Exception) {
          error_log('Error insertando: ' . json_encode($Exception));
          //  echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
        }
      }
    }

    // echo json_encode(array("message" => "Datos guardados con exito" . " Total" . $cantidad));
    if ($cantidad > 0) {
      echo json_encode(array(
        "message" => "Datos guardados con exito" . " Total" . $cantidad,
        "ack" => 0
      ));
    } else {
      echo json_encode(array(
        "message" => "No se guardo",
        "ack" => 1
      ));
    }

    break;
  case "gasto_inicial":



    $clase       =  htmlspecialchars($data['clase']);
    $nombre       =  htmlspecialchars($data['nombre']);
    $importe      =  htmlspecialchars($data['importe']);
    $vencimiento  =  htmlspecialchars($data['vencimiento']);
    $mensual      =  htmlspecialchars($data['mensual']);

    $sql_c = "SELECT  clase
      from aporte_inicial_coop 
      where clase = :clase";
    $stmt = $conn->prepare($sql_c);
    $stmt->execute(array(':clase'     =>  $clase));
    $resultado = $stmt->fetch();
    if ($resultado) {
      echo json_encode(array("message" => "Ya existe Gasto Inicial"));
      break;
    }



    $sql = $conn->prepare('INSERT INTO aporte_inicial_coop (
             
              clase,
              nombre,
              importe,
              vencimiento,
              mensual,
              estado,
              id_usuario,
              fecha,
              hora,
              moneda
              ) VALUES(
              
              :clase,
              :nombre,
              :importe,
              :vencimiento,
              :mensual,
              :estado,
              :id_usuario,
              :fecha,
              :hora,
              :moneda
              )');
    $bind =  array(

      ':clase'       => $clase,
      ':nombre'       => $nombre,
      ':importe'       => $importe,
      ':vencimiento'   => $vencimiento,
      ':mensual'       => $mensual,
      ':estado'       => 1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s"),
      ':moneda'       => 'PYG',
    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;

  case "tipo_credito":

    $nombre           =  htmlspecialchars($data['nombre']);
    $id_empresa       =  htmlspecialchars($data['id_empresa']);
    $tipo_calculo     =  htmlspecialchars($data['tipo_calculo']);
    $interes_anual    =  htmlspecialchars($data['interes_anual']);
    $minimo           =  htmlspecialchars($data['minimo']);
    $maximo           =  htmlspecialchars($data['maximo']);
    $porcentaje_ga    =  htmlspecialchars($data['porcentaje_ga']);
    $dias_vencimiento =  htmlspecialchars($data['dias_vencimiento']);
    $plazo            =  htmlspecialchars($data['plazo']);
    $porc_go          =  htmlspecialchars($data['porc_go']);
    $porc_sc          =  htmlspecialchars($data['porc_sc']);


    $sql = $conn->prepare('INSERT INTO tipo_credito (
 
id_empresa,
nombre,
dias_vencimiento,
tipo_calculo,
estado,
id_usuario,
fecha,
hora,
minimo,
maximo,
plazo,
porc_interes,
porc_ga,
porc_go,
porc_sc




  ) VALUES(
 
:id_empresa,
:nombre,
:dias_vencimiento,
:tipo_calculo,
:estado,
:id_usuario,
:fecha,
:hora,
:minimo,
:maximo,
:plazo,
:porc_interes,
:porc_ga,
:porc_go,
:porc_sc

  )');
    $bind =  array(
      ':id_empresa'   => $id_empresa,
      ':nombre'       => $nombre,
      ':dias_vencimiento'   => $dias_vencimiento,
      ':tipo_calculo'   => $tipo_calculo,
      ':estado'   =>  1,
      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'   => date("Y-m-d"),
      ':hora'   => date("H:i:s"),
      ':minimo'   => quitarPuntos($minimo),
      ':maximo'   => quitarPuntos($maximo),
      ':plazo'   => $plazo,
      ':porc_interes'   => $interes_anual,
      ':porc_ga'   => $porcentaje_ga,
      ':porc_go'   => $porc_go,
      ':porc_sc'   => $porc_sc

    );


    try {
      $sql->execute($bind);
      //  $solicitud_id = $conn->lastInsertId();
      echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }

    break;
}





function guardar_saldo_inicial($conn, $nro_rendicion, $nro_caja)
{

  //$socio_nro =  htmlspecialchars($data['socio_nro']);
  if ($nro_rendicion != 1) {
    $nro_rendicion_anterior = $nro_rendicion - 1;
  } else {
    $nro_rendicion_anterior  = 1;
  }

  $sql_si = "SELECT
                  id_empresa,
                  nro_caja,
                  nro_rendicion,
                  concepto,
                  importe,
                  moneda 
FROM  saldo_inicial as  a
WHERE
  a.nro_rendicion = :nro_rendicion 
  and 
  a.nro_caja      = :nro_caja 
  and 
  a.id_empresa    = :id_empresa   
  and 
  a.estado       = 1           
  ";
  $stmt = $conn->prepare($sql_si);
  $stmt->execute(array(
    ':nro_rendicion' => $nro_rendicion_anterior,
    ':nro_caja'      => $nro_caja,
    ':id_empresa'    => $_SESSION['id_empresa']
  ));
  $resultado_si = $stmt->fetchAll();

  if ($resultado_si) {
    foreach ($resultado_si as $row) {
      if ($row['concepto'] != '') {
        $sql = $conn->prepare('INSERT INTO saldo_inicial (id_empresa,   nro_caja, nro_rendicion, concepto, moneda, estado, importe, id_usuario, fecha, hora ) VALUES
      (:id_empresa,   :nro_caja, :nro_rendicion, :concepto, :moneda, :estado, :importe, :id_usuario, :fecha, :hora)');
        $bind =  array(
          ':id_empresa'    => $_SESSION['id_empresa'],
          ':nro_caja'      => $nro_caja,
          ':nro_rendicion' => $nro_rendicion,
          ':concepto'      => $row['concepto'],
          ':moneda'        => $row['moneda'],
          ':estado'        => 0,
          ':importe'       => $row['importe'],


          ':id_usuario'   => $_SESSION['id_usuario'],
          ':fecha'        => date("Y-m-d"),
          ':hora'         => date("H:i:s")
        );


        try {
          $sql->execute($bind);

          //  $solicitud_id = $conn->lastInsertId();
          //  echo json_encode(array("message" => "Datos guardados con exito"));
        } catch (PDOException $Exception) {
          error_log('Error insertando: ' . json_encode($Exception));
          echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
        }
      }
    }
  } else {

    $sql = $conn->prepare('INSERT INTO saldo_inicial (id_empresa,   nro_caja, nro_rendicion,  estado,  id_usuario, fecha, hora ) VALUES
    (:id_empresa,   :nro_caja, :nro_rendicion,  :estado,  :id_usuario, :fecha, :hora)');
    $bind =  array(
      ':id_empresa'    => $_SESSION['id_empresa'],
      ':nro_caja'      => $nro_caja,
      ':nro_rendicion' => $nro_rendicion_anterior,

      ':estado'        => 0,



      ':id_usuario'   => $_SESSION['id_usuario'],
      ':fecha'        => date("Y-m-d"),
      ':hora'         => date("H:i:s")
    );


    try {
      $sql->execute($bind);

      //  $solicitud_id = $conn->lastInsertId();
      //  echo json_encode(array("message" => "Datos guardados con exito"));
    } catch (PDOException $Exception) {
      error_log('Error insertando: ' . json_encode($Exception));
      echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
    }
  }
}



function guardar_saldo_cerrar($conn, $nro_rendicion, $nro_caja)
{


  $sql = "SELECT
    b.concepto,            
    a.moneda,                     
    SUM(b.importe) AS total_importe 
FROM
    movimiento_caja_cab AS a
INNER JOIN
    movimiento_caja_det AS b ON a.nro_caja = b.nro_caja
    AND a.nro_rendicion = b.nro_rendicion
    AND a.movimiento = b.movimiento
INNER JOIN
    usuarios AS c ON a.id_usuario = c.id
WHERE
    a.nro_rendicion = :nro_rendicion 
    and 
    a.nro_caja      = :nro_caja 
    and 
    a.id_empresa    = :id_empresa           
GROUP BY
    b.concepto,            
    a.moneda                      
ORDER BY
    b.concepto,            
    a.moneda  ";
  $stmt = $conn->prepare($sql);
  $stmt->execute(array(
    ':nro_rendicion' => $nro_rendicion,
    ':nro_caja'      => $nro_caja,
    ':id_empresa'    => $_SESSION['id_empresa']
  ));
  $resultado = $stmt->fetchAll();
  if ($resultado) {
  }


  $sql_si = "SELECT
id_empresa,
nro_caja,
nro_rendicion,
concepto,
importe,
moneda 
FROM  saldo_inicial as  a
WHERE
  a.nro_rendicion = :nro_rendicion 
  and 
  a.nro_caja      = :nro_caja 
  and 
  a.id_empresa    = :id_empresa
  and 
  a.estado       = 0             
  ";
  $stmt = $conn->prepare($sql_si);
  $stmt->execute(array(
    ':nro_rendicion' => $nro_rendicion,
    ':nro_caja'      => $nro_caja,
    ':id_empresa'    => $_SESSION['id_empresa']
  ));
  $resultado_si = $stmt->fetchAll();
  if ($resultado_si) {
  }

  // Combinar los dos arrays
  $combined = array_merge($resultado, $resultado_si);

  // Inicializar un array para almacenar los totales
  $totales = [];

  // Recorrer el array combinado
  foreach ($combined as $item) {
    $key = $item['concepto'] . '|' . $item['moneda']; // Crear una clave única

    if (!isset($totales[$key])) {
      // Si no existe, inicializar
      $totales[$key] = [
        'concepto' => $item['concepto'],
        'importe' => 0,
        'moneda' => $item['moneda'],
      ];
    }

    // Sumar el importe
    $totales[$key]['importe'] += isset($item['total_importe']) ? $item['total_importe'] : $item['importe'];
  }

  // Convertir el resultado a un array normal
  $resultado = array_values($totales);



  if ($resultado) {


    foreach ($resultado as $row) {
      if ($row['concepto'] != '') {
        $sql = $conn->prepare('INSERT INTO saldo_inicial (id_empresa,   nro_caja, nro_rendicion, concepto, moneda, estado, importe, id_usuario, fecha, hora ) VALUES
      (:id_empresa,   :nro_caja, :nro_rendicion, :concepto, :moneda, :estado, :importe, :id_usuario, :fecha, :hora)');
        $bind =  array(
          ':id_empresa'    => $_SESSION['id_empresa'],
          ':nro_caja'      => $nro_caja,
          ':nro_rendicion' => $nro_rendicion,
          ':concepto'      => $row['concepto'],
          ':moneda'        => $row['moneda'],
          ':estado'        => 1,
          ':importe'       => $row['importe'],


          ':id_usuario'   => $_SESSION['id_usuario'],
          ':fecha'        => date("Y-m-d"),
          ':hora'         => date("H:i:s")
        );


        try {
          $sql->execute($bind);

          //  $solicitud_id = $conn->lastInsertId();
          //  echo json_encode(array("message" => "Datos guardados con exito"));
        } catch (PDOException $Exception) {
          error_log('Error insertando: ' . json_encode($Exception));
          echo json_encode(array("message" => "Error al guardar los datos: " . $Exception));
        }
      }
    }
  }
}



function quitarPuntos($input)
{
  // Utilizamos str_replace para reemplazar los puntos con una cadena vacía
  return str_replace('.', '', $input);
}


/*

function conjuge($data, $conn, $solicitud_id)
{

  $cedula_c             = htmlspecialchars($data['cedula_c']);
  $primer_nombre_c      = htmlspecialchars($data['primer_nombre_c']);
  $segundo_nombre_c     = htmlspecialchars($data['segundo_nombre_c']);
  $primer_apellido_c    = htmlspecialchars($data['primer_apellido_c']);
  $segundo_apellidos_c  = htmlspecialchars($data['segundo_apellidos_c']);
  $fecha_nacimiento_c   = htmlspecialchars($data['fecha_nacimiento_c']);
  $id_nacionalidad_c    = htmlspecialchars($data['id_nacionalidad_c']);
  $lugar_trabajo_c      = htmlspecialchars($data['lugar_trabajo_c']);
  $direccion_laboral_c  = htmlspecialchars($data['direccion_laboral_c']);
  $salario_c            = htmlspecialchars($data['salario_c']);
  $ocupacion_c          = htmlspecialchars($data['ocupacion_c']);
  $telefono_c           = htmlspecialchars($data['telefono_c']);
  $celular_c            = htmlspecialchars($data['celular_c']);
  $email_c              = htmlspecialchars($data['email_c']);


  

  $sql = $conn->prepare('INSERT INTO conjuge (
  id_cliente,
  cedula_c,
  primer_nombre_c,
  segundo_nombre_c,
  primer_apellido_c,
  segundo_apellidos_c,
  fecha_nacimiento_c,
  id_nacionalidad_c,
  lugar_trabajo_c,
  direccion_laboral_c,
  salario_c,
  ocupacion_c,
  telefono_c,
  celular_c,
  email_c
  ) VALUES (
  :id_cliente,
  :cedula_c,
  :primer_nombre_c,
  :segundo_nombre_c,
  :primer_apellido_c,
  :segundo_apellidos_c,
  :fecha_nacimiento_c,
  :id_nacionalidad_c,
  :lugar_trabajo_c,
  :direccion_laboral_c,
  :salario_c,
  :ocupacion_c,
  :telefono_c,
  :celular_c,
  :email_c
  )');
  $bind =  array(

    ':id_cliente'         => $solicitud_id,
    ':cedula_c'           => $cedula_c,
    ':primer_nombre_c'    => $primer_nombre_c,
    ':segundo_nombre_c'   => $segundo_nombre_c,
    ':primer_apellido_c'  => $primer_apellido_c,
    ':segundo_apellidos_c' => $segundo_apellidos_c,
    ':fecha_nacimiento_c'  => $fecha_nacimiento_c,
    ':id_nacionalidad_c'   => $id_nacionalidad_c,
    ':lugar_trabajo_c'     => $lugar_trabajo_c,
    ':direccion_laboral_c' => $direccion_laboral_c,
    ':salario_c'           => $salario_c,
    ':ocupacion_c'         => $ocupacion_c,
    ':telefono_c'          => $telefono_c,
    ':celular_c'           => $celular_c,
    ':email_c'             => $email_c
  );

  try {
    $sql->execute($bind);
    //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
    echo json_encode(array("message" => "Datos guardados con éxito Conjuge"));
  } catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));
    //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
    echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
  }
}
*/
