<?php
require_once('../../joajurehegua.php');

$id_cliente         =  htmlspecialchars($_POST['id_cliente']);
$nro_socio          =  htmlspecialchars($_POST['nro_socio']);
$id_tipo_credito    =  htmlspecialchars($_POST['tipoCredito']);
$id_destino         =  htmlspecialchars($_POST['id_destino']);
$id_tipo_garantia   =  htmlspecialchars($_POST['id_tipo_garantia']);


$id_clasificacion   =  htmlspecialchars($_POST['id_clasificacion']);
$tipoCalculo        =  htmlspecialchars($_POST['tipoCalculo']);
$tasa_interes       =  htmlspecialchars($_POST['tasaInteres']);
$gadministrativo    =  htmlspecialchars($_POST['gastosAdministrativos']);
$fondo_sc           =  htmlspecialchars($_POST['seguro_cre']);
$gasto_operacion    =  htmlspecialchars($_POST['gastosFondo']);
$plazo              =  htmlspecialchars($_POST['plazo']);
$fecha_desembolso   =  htmlspecialchars($_POST['fechaDesembolso']);
$fecha_pri_vencieinto   =  htmlspecialchars($_POST['fechaPrimerVencimiento']);
$monto_solicitado   =  htmlspecialchars($_POST['montoSolicitado']);
$monto_cuota        =  htmlspecialchars($_POST['cuotaMensual']);
$monto_total        =  htmlspecialchars($_POST['montoConGastos']);
$int_mensual        =  htmlspecialchars($_POST['interesMensual']);
$int_total          =  htmlspecialchars($_POST['interesTotal']);
$diasVencimiento    =  htmlspecialchars($_POST['diasVencimiento']);






$sql = $conn->prepare('INSERT INTO creditos (
id_empresa,
id_cliente,
nro_socio,
id_tipo_credito,
id_destino,
id_garantia,
id_clasificacion,
fecha,
hora,
id_usuario,
estado,
tasa_interes,
gasto_admin,
seguro_credito,
gasto_operacion,
plazo,
fecha_desembolso,
fecha_vencimiento,
monto_solicitado,
monto_cuota,
monto_total,
int_mensual,
int_total,
tipo_calculo,
dias_vencimiento
) VALUES (
:id_empresa,
:id_cliente,
:nro_socio,
:id_tipo_credito,
:id_destino,
:id_garantia,
:id_clasificacion,
:fecha,
:hora,
:id_usuario,
:estado,
:tasa_interes,
:gasto_admin,
:seguro_credito,
:gasto_operacion,
:plazo,
:fecha_desembolso,
:fecha_vencimiento,
:monto_solicitado,
:monto_cuota,
:monto_total,
:int_mensual,
:int_total,
:tipo_calculo,
:dias_vencimiento
)');

$bind =  array(
    ':id_empresa'         => $_SESSION['id_empresa'],
    ':id_cliente'         => $id_cliente,
    ':nro_socio'          => $nro_socio,
    ':id_tipo_credito'    => $id_tipo_credito,
    ':id_destino'         => $id_destino,
    ':id_garantia'        => $id_tipo_garantia,
    ':id_clasificacion'   => $id_clasificacion,
    ':fecha'              => date("Y-m-d"),
    ':hora'               => date("H:i:s"),
    ':id_usuario'         => $_SESSION['id_usuario'],
    ':estado'             => 1,
    ':tasa_interes'       => reemplazarComaPorPunto($tasa_interes),
    ':gasto_admin'        => reemplazarComaPorPunto($gadministrativo),
    ':seguro_credito'     => reemplazarComaPorPunto($fondo_sc),
    ':gasto_operacion'    => reemplazarComaPorPunto($gasto_operacion),
    ':plazo'              => $plazo,
    ':fecha_desembolso'   => $fecha_desembolso,
    ':fecha_vencimiento'  => $fecha_pri_vencieinto,
    ':monto_solicitado'   => quitarPunto($monto_solicitado),
    ':monto_cuota'        => quitarPunto($monto_cuota),
    ':monto_total'        => quitarPunto($monto_total),
    ':int_mensual'        => reemplazarComaPorPunto($int_mensual),
    ':int_total'          => reemplazarComaPorPunto(quitarPunto($int_total)),
    ':tipo_calculo'       => $tipoCalculo,
    ':dias_vencimiento'    => $diasVencimiento



);


try {
    $sql->execute($bind);
    $id_credito = $conn->lastInsertId();
    //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
    //   conjuge($data, $conn, $solicitud_id);
    echo json_encode(array(
        "message" => "Datos guardados con éxito",
        "ack" => 0,
        "prestamos" => $id_credito
    ));
} catch (PDOException $Exception) {
    error_log('Error insertando: ' . json_encode($Exception));
    //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
    echo json_encode(array("error" => "Error al guardar prestamos: " . $Exception));
}

if ($id_credito) {
} else {
    exit();
}


if (isset($_POST['vencimiento']) && is_array($_POST['vencimiento'])) {
    // Recorre el array utilizando el índice
    for ($i = 0; $i < count($_POST['vencimiento']); $i++) {

        $vencimiento   = DateTime::createFromFormat('d/m/Y', $_POST['vencimiento'][$i])->format('Y-m-d'); 
        $cuota         = reemplazarComaPorPunto(quitarPunto($_POST['cuota'][$i]));
        $amortizacion  = reemplazarComaPorPunto(quitarPunto($_POST['amortizacion'][$i]));
        $interes       = reemplazarComaPorPunto(quitarPunto($_POST['interes'][$i]));
        $saldo         = reemplazarComaPorPunto(quitarPunto($_POST['saldo'][$i]));
        $nro_cuota     = $_POST['id'][$i];
        $moneda  = "PYG";

        $sql = $conn->prepare('INSERT INTO credito_detalles (id_credito, nro_cuota, cuota,amortizacion,interes,saldo,vencimiento, moneda) VALUES (:id_credito, :nro_cuota,  :cuota,:amortizacion,:interes,:saldo,:vencimiento,
        :moneda)');
        $bind =  array( ':id_credito'   =>  $id_credito,
                         ':nro_cuota'   =>  $nro_cuota,
                        ':cuota'        =>  $cuota,
                        ':amortizacion' =>  $amortizacion,
                        ':interes'      =>  $interes,
                        ':saldo'        =>  $saldo,
                        ':vencimiento'  =>  $vencimiento,
                        ':moneda'  =>  $moneda

        );

        try {
            $sql->execute($bind);
            //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
           // echo json_encode(array("message" => "Detalles guardados con éxito"));
        } catch (PDOException $Exception) {
            error_log('Error insertando: ' . json_encode($Exception));
            //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
            echo json_encode(array("error" => "Error al guardar los datos: " . $Exception));
        }
    }
} else {
    // echo "No se han recibido datos de lugares de trabajo.";
}




if (isset($_POST['ingreso_tipo']) && is_array($_POST['ingreso_tipo'])) {
    // Recorre el array utilizando el índice
    for ($i = 0; $i < count($_POST['ingreso_tipo']); $i++) {

        $tipo   = $_POST['ingreso_tipo'][$i];
        $nombre = $_POST['ingreso_nombre'][$i];
        $monto  = $_POST['ingreso_monto'][$i];
        // Remover puntos del número
        $montoSinPuntos = str_replace('.', '', $monto);

        $sql = $conn->prepare('INSERT INTO ingreso_egreso (id_credito,id_cliente,nro_socio,tipo,nombre,monto) 
VALUES (:id_credito,:id_cliente,:nro_socio,:tipo,:nombre,:monto)');

        $bind =  array(
            ':id_credito'         => $id_credito,
            ':id_cliente'         => $id_cliente,
            ':nro_socio'          => $nro_socio,
            ':tipo'               => $tipo,
            ':nombre'             => $nombre,
            ':monto'              => $montoSinPuntos

        );


        try {
            $sql->execute($bind);
            $solicitud_id = $conn->lastInsertId();
            //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
            //   conjuge($data, $conn, $solicitud_id);
            //echo json_encode(array("message" => "Datos guardados con éxito"));
        } catch (PDOException $Exception) {
            error_log('Error insertando: ' . json_encode($Exception));
            //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
            echo json_encode(array("error" => "Error al guardar los ingresos: " . $Exception));
        }
    }
}


if (isset($_POST['id_tipo_referencia']) && is_array($_POST['id_tipo_referencia'])) {
    // Recorre el array utilizando el índice
    for ($i = 0; $i < count($_POST['id_tipo_referencia']); $i++) {

        $tipo      = $_POST['id_tipo_referencia'][$i];
        $nombre    = $_POST['referencia_nombre'][$i];
        $apellido  = $_POST['referencia_apellido'][$i];
        $telefono  = $_POST['referencia_telefono'][$i];


        $sql = $conn->prepare('INSERT INTO referencias (id_cliente,id_tipo_referencia,nombres,apellidos,telefono,id_credito,nro_socio) 
VALUES (:id_cliente,:id_tipo_referencia,:nombre,:apellido,:telefono,:id_credito,:nro_socio)');

        $bind =  array(
            ':id_cliente'         => $id_cliente,
            ':id_tipo_referencia' => $tipo,
            ':nombre'             => $nombre,
            ':apellido'           => $apellido,
            ':telefono'           => $telefono,
            ':id_credito'         => $id_credito,
            ':nro_socio'          => $nro_socio
        );


        try {
            $sql->execute($bind);
            //$solicitud_id = $conn->lastInsertId();
            //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
            //   conjuge($data, $conn, $solicitud_id);
            //echo json_encode(array("message" => "Datos guardados con éxito"));
        } catch (PDOException $Exception) {
            error_log('Error insertando: ' . json_encode($Exception));
            //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
            echo json_encode(array("error" => "Error al guardar los referencias: " . $Exception));
        }
    }
}


if (isset($_POST['comercial_nombre']) && is_array($_POST['comercial_nombre'])) {
    // Recorre el array utilizando el índice
    for ($i = 0; $i < count($_POST['comercial_nombre']); $i++) {

        $comercial_nombre             = $_POST['comercial_nombre'][$i];
        $comercial_telefono           = $_POST['comercial_telefono'][$i];
        $comercial_cuenta_activa      = $_POST['comercial_cuenta_activa'][$i];
        $comercial_saldo_vigente = isset($_POST['comercial_saldo_vigente'][$i]) && $_POST['comercial_saldo_vigente'][$i] !== '' 
        ? str_replace('.', '', $_POST['comercial_saldo_vigente'][$i]) 
        : null;
    
    $comercial_monto_cuota = isset($_POST['comercial_monto_cuota'][$i]) && $_POST['comercial_monto_cuota'][$i] !== '' 
        ? str_replace('.', '', $_POST['comercial_monto_cuota'][$i]) 
        : null;
    
        $comercial_fecha_cancelacion  = isset($_POST['comercial_fecha_cancelacion'][$i]) &&  $_POST['comercial_fecha_cancelacion'][$i] !== '' ? $_POST['comercial_fecha_cancelacion'][$i] : null;
        // $salario = isset($_POST['salario']) && $_POST['salario'] !== '' ? $_POST['salario'] : NULL;

        $sql = $conn->prepare('INSERT INTO referencia_comerciales (id_credito,id_cliente,nro_socio,nombre,telefono,
cuenta_activa,saldo_vigente,cuota_credito,fecha_cancelacion) VALUES (:id_credito,:id_cliente,:nro_socio,
:nombre,:telefono,:cuenta_activa,:saldo_vigente,:cuota_credito,:fecha_cancelacion)');

        $bind =  array(
            ':id_credito'         => $id_credito,
            ':id_cliente'         => $id_cliente,
            ':nro_socio'          => $nro_socio,
            ':nombre'             => $comercial_nombre,
            ':telefono'           => $comercial_telefono,
            ':cuenta_activa'       => $comercial_cuenta_activa,
            ':saldo_vigente'       => $comercial_saldo_vigente,
            ':cuota_credito'      => $comercial_monto_cuota,
            ':fecha_cancelacion'  => $comercial_fecha_cancelacion,


        );


        try {
            $sql->execute($bind);
            //$solicitud_id = $conn->lastInsertId();
            //echo '<script language="javascript">alert("Guardado");window.location.href="../reportes/reporte_reloj.php"</script>';
            //   conjuge($data, $conn, $solicitud_id);
            // echo json_encode(array("message" => "Datos guardados con éxito"));
        } catch (PDOException $Exception) {
            error_log('Error insertando: ' . json_encode($Exception));
            //echo '<script language="javascript">alert("No se pudo Guardar");window.location.href="../reportes/reporte_reloj.php"</script>';
            echo json_encode(array("error" => "Error al guardar los referencia comercial: " . $Exception));
        }
    }
}



function reemplazarComaPorPunto($valor)
{
    return str_replace(",", ".", $valor);
}

function quitarPunto($valor)
{
    return str_replace(".", "", $valor);
}
