
<?php
require_once('../joajurehegua.php');

require('../fpdf/fpdf.php'); // Asegúrate de que el archivo fpdf.php esté en tu proyecto

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

//cabecera
  $sql_ca = "SELECT a.*, c.nombres, c.apellidos, b.primer_nombre, b.primer_apellido, b.cedula, a.fecha, a.hora, b.telefono, d.nombre as ndocumento
             FROM movimiento_caja_cab AS a
             INNER JOIN clientes AS b ON a.id_cliente = b.id_cliente
             INNER JOIN usuarios AS c ON a.id_usuario = c.id
             INNER JOIN clase_documento AS d ON a.clase_documento = d.codigo
             where a.nro_documento = :nro_documento
             and a.id_empresa =  :id_empresa ";
  $stmt = $conn->prepare($sql_ca);
  $stmt->execute(array(':nro_documento' =>  $_POST['nro_documento'],
                       ':id_empresa'    =>  $_SESSION['id_empresa']));
  $resultado_ca = $stmt->fetch();

  $numero_recibo  = htmlspecialchars($_POST['nro_documento']);
  $fecha_emision  = htmlspecialchars($resultado_ca['fecha']);
  $cedula         = htmlspecialchars($resultado_ca['cedula']);
  $nombre_cliente = htmlspecialchars($resultado_ca['primer_nombre']);
  $telefono       = htmlspecialchars($resultado_ca['telefono']);
  $id_cliente     = htmlspecialchars($resultado_ca['id_cliente']);



  //$totalimporte = number_format($resultado_ca['importe'], 0, '', '.');
$totalimporte =  number_format($resultado_ca['importe'], 0, '', '.');
              $sql_det = "SELECT  a.*, b.nombre
                       FROM cuenta_corriente as a
                       inner join clase_documento as b 
                       on a.clase_documento = b.codigo
                       where a.id_cliente = :id_cliente
                       and a.nro_compensacion = :nro_compensacion
                       ";
  $stmt = $conn->prepare($sql_det);
  $stmt->execute(array(':id_cliente'    => $id_cliente,
                       ':nro_compensacion' => $numero_recibo ));
   $resultado_det = $stmt->fetchAll();


 
  // Crear un nuevo PDF
  $pdf = new FPDF();
  $pdf->AddPage();
  $pdf->SetFont('Arial', 'B', 12);

  // Encabezado del recibo
  $pdf->Cell(190, 10, 'COOPERATIVA 28 DE FEBRERO Ltda.', 0, 1, 'C');
  $pdf->SetFont('Arial', '', 10);
  $pdf->Cell(190, 5, 'RUC: 80109320-1', 0, 1, 'C');
  $pdf->Cell(190, 5, "Recibo de Dinero Nro: $numero_recibo", 0, 1, 'C');
  $pdf->Ln(10); // Salto de línea

  // Datos del cliente
  $pdf->Cell(95, 10, "Fecha de Emision: $fecha_emision", 0, 0);
  $pdf->Cell(95, 10, "Cedula / RUC: $cedula", 0, 1);
  $pdf->Cell(95, 10, "Nombre o Razon Social: $nombre_cliente", 0, 0);
  $pdf->Cell(95, 10, "Telefono: $telefono", 0, 1);
  $pdf->Ln(10); // Salto de línea

  


// Detalles del concepto
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(30, 10, 'Codigo', 1, 0, 'C');
$pdf->Cell(100, 10, 'Decripcion', 1, 0, 'C');
$pdf->Cell(60, 10, 'Importe', 1, 1, 'C');
foreach ($resultado_det as $row_det) {
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(30, 10, $row_det['clase_documento'], 1, 0, 'C');
$pdf->Cell(100, 10, $row_det['nombre'], 1, 0, 'C');
$pdf->Cell(60, 10, $row_det['importe'], 1, 1, 'C');
}
// Total a pagar
$pdf->Ln(10); // Salto de línea
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(190, 10, "Total a Pagar: $importe", 0, 1, 'R');

// Salvar el archivo PDF y ofrecerlo para descargar
$pdf->Output('I', 'Recibo.pdf'); // 'I' para mostrar el PDF en el navegador, 'D' para forzar la descarga

}
