<?php
require_once('../joajurehegua.php');
include_once('funciones/funciones.php');
if (in_array(basename(__FILE__), $_SESSION['recursos'])) {
  $titulo_pag = "Reporte Créditos a Procesar";
  include("plantilla_cabecera.php");
  include("plantilla_menu.php");
} else {
  echo "<center><h1>Favor Identificarse</h1></center><br>";
  echo "<h2><center><a href='../login.html'>Login</a> </center></h2>";
  exit();
}
?>




<div class="content-wrapper">


  <!-- Main content -->
  <section class="content">


    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Reporte Créditos a Procesar </h3>
      </div>


      <div class="card-header">

        <form method="POST" action="<?php echo basename(__FILE__); ?>" class="form-inline">
          <div class="form-group">
            <label for="nro_socio">Nro Socio:</label>
            <input type="text" name="nro_socio" id="nro_socio" class="form-control mx-sm-2" value="">
          </div>

          <div class="form-group">
            <label for="cedula_cliente">Nro Cedula:</label>
            <input type="text" name="cedula_cliente" id="cedula_cliente" class="form-control mx-sm-2" value="">
          </div>
          <div class="form-group">
            <label for="nombre">Nombre :</label>
            <input type="text" name="nombre" id="nombre" class="form-control mx-sm-2" value="">
          </div>
          <button type="submit" name="buscar" class="btn btn-primary">Filtrar</button>
        </form>

      </div>

      <!-- /.card-header -->
      <div class="card-body">
        <table id="example1" class="table table-bordered table-striped">
          <thead>
            <tr>
              <th>NroCredito</th>

              <th>Nombres</th>
              <th>NroSocio</th>
              <th>Tipo de Crédito</th>
              <th>Destino</th>
              <th>Garantia</th>
              <th>Estado</th>
             
              <th>Usuario</th>
              <th>Fecha</th>
              <th>Hora</th>



            </tr>
          </thead>
          <tbody>
            <?php
            if (isset($_POST['buscar'])) {
              // Obtener los filtros del formulario
              $nro_socio = isset($_POST['nro_socio']) ? $_POST['nro_socio'] : '';
              $nombre     = isset($_POST['nombre']) ? $_POST['nombre'] : '';
              $cedula_cliente     = isset($_POST['cedula_cliente']) ? $_POST['cedula_cliente'] : '';

              $sql = "SELECT a.*,  b.primer_nombre, b.primer_apellido, b.cedula, c.nombre as tipo_credito, d.nombre as destino,
                      e.nombre as garantia, f.nombres, f.apellidos, g.nombre as n_estado
                      from creditos as a
                      INNER JOIN clientes as b on a.id_cliente = b.id_cliente
                      INNER join tipo_credito as c on a.id_tipo_credito = c.id
                      INNER JOIN tipo_destino as d on a.id_destino = d.id 
                      INNER JOIN tipo_garantia as e on a.id_garantia = e.id 
                      INNER JOIN usuarios as f on a.id_usuario = f.id 
                      INNER JOIN estado_credito as g on a.estado = g.id 
                      WHERE 1=1";

              // Agregar condiciones a la consulta SQL según los filtros

          

              if (!empty($nro_socio)) {
                $sql .= " AND a.nro_socio = :nro_socio";
              }

              if (!empty($nombre)) {
                $sql .= " AND (b.primer_nombre LIKE :nombre OR b.primer_apellido LIKE :nombre)";
              }

              if (!empty($cedula_cliente)) {
                $sql .= " AND (b.cedula LIKE :cedula_cliente)";
              }

              $stmt = $conn->prepare($sql);

              // Asignar parámetros a la consulta
              if (!empty($nro_socio)) {
                $stmt->bindValue(':nro_socio', $nro_socio, PDO::PARAM_INT);
              }

              if (!empty($nombre)) {
                $stmt->bindValue(':nombre', '%' . $nombre . '%', PDO::PARAM_STR);
              }


              if (!empty($cedula_cliente)) {
                $stmt->bindValue(':cedula_cliente', $cedula_cliente, PDO::PARAM_INT);
              }

              $stmt->execute();
              $resultado = $stmt->fetchAll();

              foreach ($resultado as $row) {


            ?>


                <tr>

                  <td>
                    <?php echo $row['id']; ?>
                  </td>


                  <td>
                    <?php echo $row['primer_nombre'] . " " . $row['primer_apellido']; ?>
                  </td>

                  <td>
                    <?php echo $row['nro_socio']; ?>
                  </td>

                  <td>
                    <?php echo $row['tipo_credito']; ?>
                  </td>

                  <td>
                    <?php echo $row['destino']; ?>
                  </td>
                  <td>
                    <?php echo $row['garantia']; ?>
                  </td>


                  <td>
                    <?php echo $row['n_estado']; ?>
                  </td>





                  <td>
                    <?php echo $row['nombres'] . " " . $row['apellidos']; ?>
                  </td>


                  <td>
                    <?php echo date("d/m/Y", strtotime($row['fecha'])); ?>
                  </td>


                  <td>
                    <?php echo $row['hora']; ?>
                  </td>



                </tr>

            <?php
              }
            }
            ?>

          </tbody>


          <tfoot>
            <tr>
              <th>NroCredito</th>

              <th>Nombres</th>
              <th>NroSocio</th>
              <th>Tipo de Crédito</th>
              <th>Destino</th>
              <th>Garantia</th>
              <th>Estado</th>
              <th>Procesar</th>
              <th>Usuario</th>
              <th>Fecha</th>
              <th>Hora</th>

            </tr>
          </tfoot>
        </table>




      </div>
      <!-- /.card-body -->
    </div>


    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include("plantilla_pie.php");

?>



<script>
  $(function() {
    $("#example1").DataTable({
      "responsive": true,
      "lengthChange": false,
      "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],

      "language": {
        "lengthMenu": "Mostrando _MENU_ datos por pagina",
        "zeroRecords": "No se encontro nada",
        "info": "Mostrando pagina _PAGE_ de _PAGES_",
        "infoEmpty": "No hay datos",
        "infoFiltered": "(Filtrado de _MAX_ registros)",
        "search": "Buscar",
        "paginate": {
          "previous": "Anterior",
          "next": "Siguiente"
        }
      }

    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>