<?php
require('../../fpdf/fpdf.php');
require('../funciones/funciones.php');
// inicializar variables
$detallesCuotas=cuotasDetalles(1);
$creditoCab=cabCredito(1);
$empresa = verDetalleEmpresa();
$data= verClientes($creditoCab['id_cliente']);
$aportes= verAporteTotalSocio($creditoCab['id_cliente']);
$gastosAdminstrativos = $creditoCab['monto_solicitado'] * ($creditoCab['gasto_admin'] / 100);
$seguroCredito = $creditoCab['seguro_credito'] / 100; // Convertir seguro_credito a decimal
$gastoOperacion = $creditoCab['gasto_operacion'] / 100; // Convertir gasto_operacion a decimal
$vencimiento = trim($creditoCab['fecha_vencimiento']);
setlocale(LC_TIME, 'es_ES.UTF-8'); // Establece la localización en español
$vencimientoTxt = strftime('%d de %B de %Y', strtotime($vencimiento));
// Sumar los porcentajes
$porcentajeTotal = $seguroCredito + $gastoOperacion;

// Calcular el valor total sumando ambos porcentajes al monto solicitado
$totalGastos = $creditoCab['monto_solicitado'] * $porcentajeTotal;

class PDF extends FPDF
{
    // Cabecera
    function Header() {
        // Logo
       //  $this->Image('http://localhost/adminlte/imagenes/logo_documento.png', 10, 6, 40);
        $this->Image('https://cbgweb.ddns.net/qpro-main/imagenes/logo_documento.png', 15, 12, 20);
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(190, 5, 'AHORRO, CREDITO. PRODUCCION, CONSUMO Y SERVICIOS', 0, 1, 'C');
        $this->SetFont('Arial', '', 10);
        $this->Cell(190, 5,  'Personeria Juridica N 20.313/19 - Cert. Inscripcion INCOOP N 1.776', 0, 1, 'C');
        $this->Cell(190, 5,  'Calle Roberto Kosch y Narciso Colman - San Lorenzo - Paraguay', 0, 1, 'C');
        $this->Cell(190, 5,  'Telefono: 0985 28 56 31 - Correo: coop28febrero@gmail.com', 0, 1, 'C');
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(190, 5,  'RUC:'.$this->empresa['ruc'], 0, 1, 'C');
        $this->SetFont('Arial', 'B', 14);
        $this->SetTextColor(0, 128, 0); // Color verde (RGB: 0, 128, 0)
        $this->Cell(190, 8, utf8_decode('Diseñamos el futuro'), 0, 1, 'C');
           // Línea horizontal de lado a lado
    $this->Line(10, $this->GetY(), 200, $this->GetY());
    }
    // Pie de página
    function Footer()
    {
        $this->SetY(-15);
        $this->SetFont('Arial', 'I', 8);
        $this->Cell(0, 10, utf8_decode('Página ') . $this->PageNo(), 0, 0, 'C');
    }
}


foreach ($detallesCuotas as $row_det) {
    // Acumular totales
    $total_cuota += $row_det['cuota'];
    $total_amortizacion += $row_det['amortizacion'];
    $interes += $row_det['interes'];
}
// Crear instancia de FPDF
$pdf = new PDF();
$pdf->AddPage();

// Encabezado del documento
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(0, 10, 'Reporte de Prestamo', 0, 1, 'C');

// Información del Socio y préstamo
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(15, 5, 'Socio ID:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(30, 5, $data['nro_socio'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(25, 5, 'Nombre Socio:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(60, 5, $data['primer_nombre'].' '.$data['segundo_nombre'].' '.$data['primer_apellido'].' '.$data['segundo_apellido'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Telefono:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(20, 5, $data['telefono'], 0, 1); // Variable de BD
//segunda linea
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Fecha Oper:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(25, 5, $data['fecha'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(30, 5, 'Direc. Particular:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(55, 5, $data['direccion'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Celular:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(20, 5, $data['direccion'], 0, 1); // Variable de BD
//tercera linea
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(17, 5, 'C.I/R.U.C:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(28, 5, $data['cedula'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Oficial CTA:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(65, 5, 'COOPERATIVA 28 DE FEBRERO', 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Garantia:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(20, 5, $creditoCab['t_garantia'], 0, 1); // Variable de BD
//cuarta linea
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Tipo Desc:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(25, 5, $creditoCab['t_garantia'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'F. Pago:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(20, 5, 'Ventanilla', 0, 1); // Variable de BD
//5 linea
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Plazo:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(25, 5, $creditoCab['plazo'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Codeudor:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(20, 5, 'Sin Nombre', 0, 1); // Variable de BD
//6 linea
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Tasa:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(25, 5, $creditoCab['tasa_interes'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(25, 5, 'Tipo Credito:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(60, 5, $creditoCab['t_credito'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Tipo Oper.:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(30, 5, 'Prestamo', 0, 1); // Variable de BD
//7 linea
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Monto:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(25, 5, number_format($creditoCab['monto_solicitado'],0,'','.'), 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(25, 5, 'Primer Venci.:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(60, 5, $creditoCab['fecha_vencimiento'], 0, 0); // Variable de BD 
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Aporte Op.', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(30, 5, number_format($aportes, 0, '', '.'), 0, 1); // Variable de BD
//8 linea
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(23, 5, 'Gastos Adm.', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(22, 5, number_format($gastosAdminstrativos, 0, '', '.'), 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(55, 5, 'Fondo Proteccion de Credito.:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(30, 5, number_format($totalGastos, 0, '', '.'), 0, 0); // Variable de BD 
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(21, 5, 'Monto Total', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(30, 5, number_format($creditoCab['monto_total'], 0, '', '.'), 0, 1); // Variable de BD
//9 linea
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Cuota:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(25, 5, number_format($creditoCab['monto_cuota'], 0, '', '.'), 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'Destino:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(20, 5, $creditoCab['t_destino'], 0, 1); // Variable de BD
//10 linea
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'N. Solicitud:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(25, 5, $creditoCab['id'], 0, 0); // Variable de BD
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(20, 5, 'N. Credito:', 0, 0);
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(20, 5, $creditoCab['actanro'], 0, 1); // Variable de BD
$pdf->Ln(1); // Espacio adicional
// Tabla de cuotas
// Dividir las cuotas en dos mitades
$cuotas_por_columna = array_chunk($detallesCuotas, ceil(count($detallesCuotas) / 2));
$pdf->SetFont('Arial', 'b', 8);
// Establecer encabezado con índice
$pdf->Cell(6, 5, '#', 1, 0, 'C'); // Índice
$pdf->Cell(20, 5, 'Vencimiento', 1, 0, 'C');
$pdf->Cell(16, 5, 'Cuota', 1, 0, 'C');
$pdf->Cell(16, 5, 'Capital', 1, 0, 'C');
$pdf->Cell(16, 5, 'Interes', 1, 0, 'C');
$pdf->Cell(16, 5, 'Acces', 1, 0, 'C');
$pdf->Cell(2); // Espacio pequeño entre columnas
$pdf->Cell(6, 5, '#', 1, 0, 'C'); // Índice segunda columna
$pdf->Cell(20, 5, 'Vencimiento', 1, 0, 'C');
$pdf->Cell(16, 5, 'Cuota', 1, 0, 'C');
$pdf->Cell(16, 5, 'Capital', 1, 0, 'C');
$pdf->Cell(16, 5, 'Interes', 1, 0, 'C');
$pdf->Cell(16, 5, 'Acces', 1, 1, 'C');

// Iterar las cuotas, mostrando las dos columnas
$pdf->SetFont('Arial', '', 6); // Tamaño de fuente más pequeño para ajustar mejor
$max_filas = max(count($cuotas_por_columna[0]), count($cuotas_por_columna[1]));

// Inicializar variables para las sumas de cada columna
$suma_cuota_1 = $suma_amortizacion_1 = $suma_interes_1 = $suma_saldo_1 = 0;
$suma_cuota_2 = $suma_amortizacion_2 = $suma_interes_2 = $suma_saldo_2 = 0;

for ($i = 0; $i < $max_filas; $i++) {
    // Primera columna (primera mitad)
    if (isset($cuotas_por_columna[0][$i])) {
        $cuota = $cuotas_por_columna[0][$i];
        $pdf->Cell(6, 5, $i + 1, 1, 0, 'C'); // Índice
        $pdf->Cell(20, 5, $cuota['vencimiento'], 1, 0, 'C'); // Fecha Vencimiento
        $pdf->Cell(16, 5, number_format($cuota['cuota'], 0, '', '.'), 1, 0, 'C'); // Cuota
        $pdf->Cell(16, 5, number_format($cuota['amortizacion'], 0, '', '.'), 1, 0, 'C'); // Capital
        $pdf->Cell(16, 5, number_format($cuota['interes'], 0, '', '.'), 1, 0, 'C'); // Interes
        $pdf->Cell(16, 5, number_format($cuota['saldo'], 0, '', '.'), 1, 0, 'C'); // Saldo

        // Sumar los valores de la primera columna
        $suma_cuota_1 += $cuota['cuota'];
        $suma_amortizacion_1 += $cuota['amortizacion'];
        $suma_interes_1 += $cuota['interes'];
        $suma_saldo_1 += $cuota['saldo'];
    } else {
        // Celdas vacías si no hay más datos en la primera columna
        $pdf->Cell(6, 5, '', 1, 0, 'C');
        $pdf->Cell(20, 5, '', 1, 0, 'C');
        $pdf->Cell(16, 5, '', 1, 0, 'C');
        $pdf->Cell(16, 5, '', 1, 0, 'C');
        $pdf->Cell(16, 5, '', 1, 0, 'C');
        $pdf->Cell(16, 5, '', 1, 0, 'C');
    }

    $pdf->Cell(2); // Espacio pequeño entre columnas

    // Segunda columna (segunda mitad)
    if (isset($cuotas_por_columna[1][$i])) {
        $cuota = $cuotas_por_columna[1][$i];
        $pdf->Cell(6, 5, $i + ceil(count($detallesCuotas) / 2) + 1, 1, 0, 'C'); // Índice segunda columna
        $pdf->Cell(20, 5, $cuota['vencimiento'], 1, 0, 'C'); // Fecha Vencimiento
        $pdf->Cell(16, 5, number_format($cuota['cuota'], 0, '', '.'), 1, 0, 'C'); // Cuota
        $pdf->Cell(16, 5, number_format($cuota['amortizacion'], 0, '', '.'), 1, 0, 'C'); // Capital
        $pdf->Cell(16, 5, number_format($cuota['interes'], 0, '', '.'), 1, 0, 'C'); // Interes
        $pdf->Cell(16, 5, number_format($cuota['saldo'], 0, '', '.'), 1, 1, 'C'); // Saldo

        // Sumar los valores de la segunda columna
        $suma_cuota_2 += $cuota['cuota'];
        $suma_amortizacion_2 += $cuota['amortizacion'];
        $suma_interes_2 += $cuota['interes'];
        $suma_saldo_2 += $cuota['saldo'];
    } else {
        // Celdas vacías si no hay más datos en la segunda columna
        $pdf->Cell(6, 5, '', 1, 0, 'C');
        $pdf->Cell(20, 5, '', 1, 0, 'C');
        $pdf->Cell(16, 5, '', 1, 0, 'C');
        $pdf->Cell(16, 5, '', 1, 0, 'C');
        $pdf->Cell(16, 5, '', 1, 0, 'C');
        $pdf->Cell(16, 5, '', 1, 1, 'C');
    }
}
$pdf->SetFont('Arial', 'b', 6);
// Imprimir la fila con los totales para la primera columna
$pdf->Cell(6, 5, '', 0, 0, 'C'); // Índice vacío sin borde
$pdf->Cell(20, 5, '', 0, 0, 'C'); // Sin borde
$pdf->Cell(16, 5, number_format($suma_cuota_1, 0, '', '.'), 0, 0, 'C'); // Sin borde
$pdf->Cell(16, 5, number_format($suma_amortizacion_1, 0, '', '.'), 0, 0, 'C'); // Sin borde
$pdf->Cell(16, 5, number_format($suma_interes_1, 0, '', '.'), 0, 0, 'C'); // Sin borde
$pdf->Cell(16, 5, number_format($suma_saldo_1, 0, '', '.'), 0, 0, 'C'); // Sin borde

$pdf->Cell(2); // Espacio entre columnas

// Imprimir la fila con los totales para la segunda columna
$pdf->Cell(6, 5, '', 0, 0, 'C'); // Índice vacío sin borde
$pdf->Cell(20, 5, '', 0, 0, 'C'); // Sin borde
$pdf->Cell(16, 5, number_format($suma_cuota_2, 0, '', '.'), 0, 0, 'C'); // Sin borde
$pdf->Cell(16, 5, number_format($suma_amortizacion_2, 0, '', '.'), 0, 0, 'C'); // Sin borde
$pdf->Cell(16, 5, number_format($suma_interes_2, 0, '', '.'), 0, 0, 'C'); // Sin borde
$pdf->Cell(16, 5, number_format($suma_saldo_2, 0, '', '.'), 0, 1, 'C'); // Sin borde y con salto de línea
$pdf->Ln(1); // Espacio adicional

// Totales
// $pdf->Cell(40, 10, 'Totales', 1, 0, 'C');
// $pdf->Cell(30, 10, , 1, 0, 'C');
// $pdf->Cell(30, 10, number_format($total_amortizacion, 0, '', '.'), 1, 0, 'C');
// $pdf->Cell(30, 10, number_format($interes, 0, '', '.'), 1, 1, 'C');

// Resumen total
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(60, 5, 'Total Cuotas:', 0, 0);
$pdf->Cell(40, 5, number_format($total_cuota, 0, '', '.'), 0, 1); // Variable de BD

$pdf->Cell(60, 5, 'Total Capital:', 0, 0);
$pdf->Cell(40, 5, number_format($total_amortizacion, 0, '', '.'), 0, 1); // Variable de BD

$pdf->Cell(60, 5, 'Total Interes:', 0, 0);
$pdf->Cell(40, 5, number_format($interes, 0, '', '.'), 0, 1); // Variable de BD

$pdf->Cell(60, 5, 'Total Accessorios:', 0, 0);
$pdf->Cell(40, 5, '0', 0, 1); // Variable de BD

$pdf->Cell(60, 5, 'Total Aporte:', 0, 0);
$pdf->Cell(40, 5, '0', 0, 1); // Variable de BD

$pdf->Ln(1); // Espacio adicional
// Obtener la posición actual de la Y
$current_y = $pdf->GetY(); 
// Ajustar el grosor de la línea (por ejemplo, 1.5 mm)
$pdf->SetLineWidth(0.5);
// Dibujar la línea justo debajo del contenido anterior
$pdf->Line(10, $current_y, 200, $current_y);
// Segunda mitad del documento: "Nro. Orden Pago Generado" hacia abajo
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(60, 5, 'MONTO DESEMBOLSO', 0, 0);
$pdf->Cell(40, 5, number_format($creditoCab['monto_total'], 0, '', '.'), 0, 1); // Variable de BD

$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(60, 5, 'Emitir Cheque A Nombre de:', 0, 0); // Título para el campo
$pdf->Cell(60, 5, $data['primer_nombre'].' '.$data['segundo_nombre'].' '.$data['primer_apellido'].' '.$data['segundo_apellido'], 0, 1); // Espacio para el cheque

// Establecer color de fondo (gris claro)
$pdf->SetFillColor(230, 230, 230);

// Concatenar el texto y el número
$texto = 'Nro. Orden Pago Generado: 1848 - ?';

// Imprimir la celda ocupando todo el ancho
$pdf->Cell(0, 5, $texto, 1, 1, '', true);

$pdf->Ln(1); // Espacio adicional

// Detalles
$pdf->SetFont('Arial', 'B', 8);

// Configurar ancho para cada columna
$col1_width = 55; // Primera columna
$col2_width = 25; // Segunda columna

// Primera columna
$pdf->Cell($col1_width, 5, 'Intereses:', 0, 0);
$pdf->Cell($col2_width, 5, number_format($creditoCab['int_total'], 0, '', '.'), 0, 0);

$pdf->Cell(80, 5, 'RECIBO CONFORMA EL IMPORTE ACORDADO', 0, 1); 

$pdf->Cell($col1_width, 5, 'Accesorios:', 0, 0);
$pdf->Cell($col2_width, 5, '0', 0, 1);
$pdf->Cell($col1_width, 5, 'Aporte Operacional:', 0, 0);
$pdf->Cell($col2_width, 5, number_format($aportes, 0, '', '.'), 0, 1);

$pdf->Cell($col1_width, 5, 'Fondo Proteccion de Credito:', 0, 0);
$pdf->Cell($col2_width, 5, number_format($totalGastos, 0, '', '.'), 0, 0);
$pdf->Cell(80, 5, '( ) Efectivo   ( ) Cheque Nro __________ Banco: ______________________', 0, 1);

$pdf->Cell($col1_width, 5, 'Comisiones:', 0, 0);
$pdf->Cell($col2_width, 5, '60.000', 0, 1);

// Segunda columna (siguiente grupo de datos)
$pdf->Cell($col1_width, 5, 'Gastos Adm. Cred:', 0, 0);
$pdf->Cell($col2_width, 5, '150.000', 0, 0);

$pdf->Cell(80, 5, 'Firma: ____________________ Cedula Nro: ______________________', 0, 1);

$pdf->Cell($col1_width, 5, 'Gastos Adm. Social:', 0, 0);
$pdf->Cell($col2_width, 5, '150.000', 0, 1);

$pdf->Cell($col1_width, 5, 'Deuda Aporte Social:', 0, 0);
$pdf->Cell($col2_width, 5, '150.000', 0, 1);

$pdf->Cell($col1_width, 5, 'Deuda Solidaria:', 0, 0);
$pdf->Cell($col2_width, 5, '150.000', 0, 0);

$pdf->Cell(80, 5, 'Firma frente a: ____________________ Hecho por: ______________________', 0, 1);
$pdf->Cell($col1_width, 5, 'Creditos a Cancelar:', 0, 0);
$pdf->Cell($col2_width, 5, '150.000', 0, 1);


// Continúa con los demás elementos...

// TOTAL DESCUENTO y TOTAL A COBRAR
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(80, 5, '__________________________________________', 0, 1);
$pdf->Cell(55, 5, 'TOTAL DESCUENTO:', 0, 0);
$pdf->Cell(25, 5, '640.669', 0, 1); // Variable de BD
$pdf->Cell(80, 5, '__________________________________________', 0, 1);
$pdf->Cell(55, 2, 'TOTAL A COBRAR:', 0, 0);
$pdf->Cell(25, 2, '3.000.000', 0, 1); // Variable de BD

$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 8);
// Agregar datos al formato
$pdf->Ln(1);
$pdf->Cell(30, 4, 'Fecha:', 0, 0);
$pdf->Cell(100, 4, '03/10/2024', 0, 0);
$pdf->Cell(30, 4, utf8_decode('Solicitud N°:'), 0, 0);
$pdf->Cell(80, 4, $creditoCab['id'], 0, 1);

$pdf->Cell(30, 4, utf8_decode('Pagaré N°:'), 0, 0);
$pdf->Cell(30, 4, '1.143 -?', 0, 0);
$pdf->Cell(30, 4, utf8_decode('Socio N°:'), 0, 0);
$pdf->Cell(40, 4, $data['nro_socio'], 0, 0);
$pdf->Cell(30, 4, utf8_decode('Tasa Interés %:'), 0, 0);
$pdf->Cell(30, 4, $creditoCab['tasa_interes'], 0, 1);
$pdf->Cell(30, 5, utf8_decode('Tipo de Crédito:'), 0, 0);
$pdf->Cell(30, 5, $creditoCab['t_credito'], 0, 1);

$pdf->Cell(30, 5, 'Por Gs.:', 0, 0);
$pdf->Cell(30, 5, number_format($creditoCab['monto_total'], 0, '', '.'), 0, 0);
$pdf->Cell(30, 5, utf8_decode('Préstamo N°:'), 0, 0);
$pdf->Cell(30, 5, $creditoCab['actanro'], 0, 0);
$pdf->Cell(30, 5, 'Vencimiento:', 0, 1);
$pdf->Ln(1);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(0, 10, utf8_decode('PAGARÉ A LA ORDEN'), 0, 1, 'C');
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY());
$pdf->SetFont('Arial', 'B', 8);
$pdf->Ln(1);
$pdf->MultiCell(0, 4, utf8_decode("Por igual valor recibido en dinero, PAGARE/MOS, SOLIDARIAMENTE Y LIBRE DE GASTOS a la orden de la COOPERATIVA 28 DE FEBRERO LTDA., en su domicilio de Ciudad de San Lorenzo, Julia Miranda Cueto c/ Gral. Genes, la suma de Gs. ".number_format($creditoCab['monto_total'], 0, '', '.')." (".numtoletras($creditoCab['monto_total'])." Guaranies), a ".$creditoCab['plazo']." (".numtoletras($creditoCab['plazo']).") mes/es, mensuales y consecutivos conforme a la liquidación del préstamo el día ".$vencimientoTxt." y las restantes el mismo día fijado en los meses subsiguientes."));

$pdf->Ln(5);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(0, 7, 'De la tasa de interes:', 0, 1);
$pdf->SetFont('Arial', 'B', 8);
$pdf->MultiCell(0, 4, utf8_decode("Queda expresamente convenido para esta operación una tasa de interés compensatorio del ".$creditoCab['tasa_interes']."% (".numeroALetras(8.5)." por ciento anual), el cual comenzará a devengarse a partir de la firma del presente instrumento. La falta de pago a la fecha de su vencimiento de una o más de las cuotas de capital y accesorios devengará un interés moratorio de 26,50% anual y un interés punitorio equivalente al 30% del interés moratorio estipulado y así mismo producirá de pleno derecho el vencimiento del plazo de las restantes cuotas no vencidas y de cualquier otra obligación que tenga asumida el deudor con la COOPERATIVA, sin necesidad de interpelación extrajudicial o judicial, quedando facultada la acreedora a exigir el pago inmediato del saldo total adeudado. 
Con el pago de los intereses moratorios y punitorios no se extingue la obligación principal que subsistirá hasta su completa cancelación, quedando la acreedora facultada a exigir el pago inmediato del saldo total de la deuda e imputar los pagos realizados primeramente a los gastos o comisiones, luego a los intereses y por último la amortización del capital. El pago de los intereses moratorios y punitorios no implicará novación de la deuda ni su remisión, quita o espera."));

$pdf->Ln(1);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(0, 7, 'De los domicilios:', 0, 1);

$pdf->SetFont('Arial', 'B', 8);
$pdf->MultiCell(0, 4, utf8_decode("A los efectos del cumplimiento de todas o cualquier de las obligaciones emergentes de este documento el (los) librador (es) fija (n) domicilio especial en el (los) correspondiente (s) lugar (es) indicado (s) más abajo, quedando entendido que cualquier notificación extrajudicial o judicial practicada en la misma será válida como efectuada personalmente, sometiéndose los partes voluntariamente a la jurisdicción de los juzgados y tribunales ordinarios de Asunción."));
// Agregar sección de firmas
$pdf->Ln(5);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(100, 10, 'DEUDOR:', 0, 0, 'L');
$pdf->Cell(100, 10, 'CONYUGE:', 0, 1, 'L');
$pdf->Cell(100, 5, 'Firma: ___________________________________', 0, 0, 'L');
$pdf->Cell(100, 5, 'Firma: ___________________________________', 0, 1, 'L');
$pdf->Cell(100, 5, 'Nombre y Apellido: ________________________', 0, 0, 'L');
$pdf->Cell(100, 5, 'Nombre y Apellido: ________________________', 0, 1, 'L');
$pdf->Cell(100, 5,  utf8_decode('C.I. N°: ___________________________________'), 0, 0, 'L');
$pdf->Cell(100, 5,  utf8_decode('C.I. N°: ___________________________________'), 0, 1, 'L');
$pdf->Cell(100, 5, 'Direccion: ________________________________', 0, 0, 'L');
$pdf->Cell(100, 5, 'Direccion: ________________________________', 0, 1, 'L');
$pdf->Ln(5);
$pdf->AddPage();
$pdf->SetFont('Arial', 'b', 8);
$pdf->SetMargins(10, 10, 8);
$pdf->Cell(180, 10, '1   de   2', 0, 1, 'R');
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(180, 3, 'CONTRATO DE PRESTAMO', 0, 1, 'C');
$pdf->Ln(2);
$pdf->SetFont('Arial', 'b', 8);
$pdf->Cell(90, 3, 'Socio N:', 0, 0, 'L');
$pdf->Cell(90, 3, 'Credito N:', 0, 1, 'L');
$pdf->Ln(1);
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY());
$pdf->Ln(1);
$text = utf8_decode("PRELIMINAR (A - PARTES)
En la ciudad de San Lorenzo República del Paraguay, a los 3 días del mes de octubre del año 2024, entre la Cooperativa Multiactiva de Ahorro, Crédito, Consumo, Producción y Servicios “28 de Febrero” Ltda., con RUC 80109320-1, en adelante LA COOPERATIVA, con domicilio en la calle Julia Miranda Cueto c/ Gral. Genes de la Ciudad de San Lorenzo, Paraguay, por una parte y por el/la otro(a), (la/el) señor/a ".$data['primer_nombre'].' '.$data['segundo_nombre'].' '.$data['primer_apellido'].' '.$data['segundo_apellido'].", en adelante EL SOCIO/A con domicilio en ".$data['direccion']." de la localidad de ".$data['ciudad'].", se celebra el presente contrato de préstamo que se regirá por las siguientes cláusulas y condiciones siguientes:

PRIMERA (I - OBJETO)
LA COOPERATIVA otorga al socio prestatario un préstamo de dinero por la suma de Gs. ".number_format($creditoCab['monto_total'], 0, '', '.')." (".numtoletras($creditoCab['monto_total'])." Guaranies), el cual es desembolsado con la suscripción del presente documento y pagará el correspondiente capital. El interés compensatorio estipulado es de 26,50 % (VEINTE Y SEIS CON 50/100 por ciento anual). Para el caso de mora se cobrará un interés moratorio igual a la tasa de interés de préstamo concedido e igualmente un interés punitorio del ".$creditoCab['tasa_interes']."% (treinta por ciento) que será calculado sobre el interés moratorio, el cálculo del interés moratorio se aplicará sobre el saldo del capital de la/s cuota/s vencida/s e impaga/s.

SEGUNDA (II - FORMA DE PAGO)
EL SOCIO prestatario se compromete a reembolsar a LA COOPERATIVA el préstamo otorgado en ".$creditoCab['plazo']." cuotas consecutivas de periodicidad mensual en la modalidad del Sistema Francés, cuyo importe y vencimiento se expresan en la correspondiente liquidación del préstamo y pagará que asumen por la totalidad de la deuda el/los prestatario/s y el/los codeudor/es que asumen/solidariamente la obligación, suscriben a la orden de LA COOPERATIVA. El pago de la/s cuota/s deberá ser realizado en el domicilio de LA COOPERATIVA y/o lugares habilitados. A partir del atraso del pago, o mora del mismo, cae todas las cuotas y son totalmente exigibles en su totalidad.

TERCERA (III - OBLIGACIONES DEL SOCIO)
3.1 La dirección declarada en la solicitud de crédito servirá suficientemente para todos los efectos legales y procesales, quedando entendido que cualquier notificación judicial o extrajudicial que en ello se practique será válida y se tendrá como efectuada personalmente;
3.2 Todo cambio de domicilio particular que EL SOCIO realice deberá ser comunicado a LA COOPERATIVA por escrito acompañado de un croquis de ubicación;
3.3 Por el presente documento autoriza suficientemente a realizar todo acto que ejecute para el cumplimiento de su cometido autorizando a LA COOPERATIVA a debitar de más haberes mensuales o cualquier otro emolumento, cuenta de ahorro a la vista, a plazo fijo, y mi consentimiento para proceder a la ruptura del contrato a plazo fijo para el débito de la misma del importe correspondiente para la actualización de la/s cuota/s vencida/s de la presente obligación, así como todas las obligaciones asumidas con LA COOPERATIVA;
3.4 Los pagos adelantados obligan a EL SOCIO a abonar la cuota siguiente a los 30 (treinta) días a fin de evitar recargos por atrasos.
3.5 Autoriza suficientemente a LA COOPERATIVA a descontar de su cuenta de ahorro a la vista parte de las cuotas de créditos para completar la totalidad del monto a pagar;
3.6 Retirar el pagaré y antecedentes del presente crédito una vez cancelado capital e intereses a ser entregado en el Archivo de la Cooperativa en un plazo de 30 días, cumplido el plazo, la Cooperativa procederá a su destrucción;
3.7 La Cooperativa se reserva el derecho de negociar aquellos documentos (Pagaré), los que destruyeron sus vencimientos mensuales, esto a fin de precautelar el patrimonio de la Cooperativa, sin perjuicio de aplicar las sanciones establecidas en el Estatuto Social vigente.

CUARTA (IV - OBLIGACIONES DE LA COOPERATIVA)
4.1 Establecer mora con 5 días de atraso en adelante a partir del día posterior a la fecha de vencimiento de pago de cuotas;
4.2 Sancionar con cobro de interés moratorio y punitorio conforme a lo previsto en la cláusula primera;
4.3 Declarar el incumplimiento por parte de los deudores prestatarios y de los codeudores de cualquiera de las cláusulas del presente contrato y de las prescripciones del reglamento de crédito vigente, dicho incumplimiento hará decaer de pleno derecho el plazo de todas las cuotas y faculta a LA COOPERATIVA a exigir el pago de la totalidad de la deuda, incluyendo los intereses compensatorios devengados y los intereses moratorios y punitorios y a denegar hasta la cancelación definitiva;
4.4 Constituye también cláusula del presente contrato, todas las prescripciones contenidas en el Reglamento de Crédito vigente, apartado relacionado con Crédito, Marco General de Regulación del INCOOP (Capítulo referente a Crédito), Ley 1334/98 (Ley del Consumidor) y el procedimiento general de crédito practicado por LA COOPERATIVA;
4.5 Serán de valor rendidos los plazos y/o cuotas del SOCIO para proceder a la destrucción del pagaré cancelado, capital e intereses, posterior a los 30 (treinta) días de producirse el pago total.");

$pdf->MultiCell(0, 4, $text);
$pdf->AddPage();
$pdf->SetFont('Arial', 'b', 8);
$pdf->SetMargins(10, 10, 8);
// Texto estructurado
$pdf->Cell(180, 10, '2   de   2', 0, 1, 'R');
$pdf->SetFont('Arial', 'b', 10);
$pdf->Cell(180, 3, 'CONTRATO DE PRESTAMO', 0, 1, 'C');
$pdf->Ln(2);
$pdf->SetFont('Arial', 'b', 8);
$pdf->Cell(90, 3, 'Socio N:', 0, 0, 'L');
$pdf->Cell(90, 3, 'Credito N:', 0, 1, 'L');
$pdf->Ln(1);
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY());
$pdf->Ln(1);
$content = utf8_decode("QUINTA (V - CLÁUSULA PENAL)
Cada socio/a deudor/a, como codeudor/a asume la calidad de deudor solidario y principal pagador del presente crédito y acepta que, si la operación se instrumentase en varios documentos, de vencimiento distinto o único, la falta de pago de uno de ellos a su vencimiento provocará el desistimiento de los plazos pactados para los otros pagarés sin necesidad de protesto e interpelación judicial o extrajudicial alguna, pudiendo LA COOPERATIVA iniciar las posteriores acciones judiciales ejecutivas para el cobro de la totalidad de la deuda, en donde LA COOPERATIVA utilizará todos los medios necesarios para el cobro de la misma.

SEXTA (VI - AUTORIZACIÓN)
Por la presente autorizamos suficientemente a la Cooperativa Multiactiva de Ahorro, Crédito, Consumo, Producción y Servicios '28 DE FEBRERO' Ltda., para que por propia cuenta y a través de empresas especializadas de nuestro medio puedan recabar información en plaza referente a mi (nuestra) situación patrimonial, solvencia económica, o el cumplimiento de mi (nuestras) obligaciones comerciales, como así también a la verificación y/o certificación de datos de mi (nosotros) proveídos, a fin de que puedan contar con los elementos de juicio y análisis necesarios para la concesión del crédito que me encuentro (nos encontramos) gestionando ante nuestra Cooperativa. De igual manera y en los mismos términos les autorizo (amos) para que en caso de un atraso superior a los 90 días en el pago del presente crédito o cualquier otra deuda pendiente que mantenga (mos) con la Cooperativa, incluya mi (nuestros) nombre(s) personal(es) o Razón Social que represento (amos), en el Registro General de Morosos de Empresas que prestan servicios de información, como así también proporcionar dicha información a terceros interesados. La eliminación de dicho Registro se realizará de acuerdo a los términos establecidos en la ley 1682.

SEPTIMA (VII - CONSTITUCIÓN DE DOMICILIOS)
A todos los efectos legales y procesales, las partes aceptan, la jurisdicción de los tribunales de ASUNCIÓN o cualquier otra que pudiera corresponder, constituye domicilio el socio en las calles PASEO DE FÁTIMA C/ SAN CAMILO B° SANTA LIBRADA- MARIANO ROQUE ALONSO de la localidad de MARIANO ROQUE ALONSO, quedando entendido que cualquier notificación judicial y extrajudicial que en ellos se practique será válida y se tendrá como efectuada personalmente.

OCTAVA (VIII - LUGAR Y FECHA)
Dado en SAN LORENZO, a los 3 días del mes de octubre del año 2024.");

// Agregar contenido
$pdf->MultiCell(0, 4, $content);

// Agregar sección de firmas
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(100, 10, 'DEUDOR:', 0, 0, 'L');
$pdf->Cell(100, 10, 'CONYUGE:', 0, 1, 'L');
$pdf->Cell(100, 5, 'Firma: ___________________________________', 0, 0, 'L');
$pdf->Cell(100, 5, 'Firma: ___________________________________', 0, 1, 'L');
$pdf->Cell(100, 5, 'Nombre y Apellido: ________________________', 0, 0, 'L');
$pdf->Cell(100, 5, 'Nombre y Apellido: ________________________', 0, 1, 'L');
$pdf->Cell(100, 5,  utf8_decode('C.I. N°: ___________________________________'), 0, 0, 'L');
$pdf->Cell(100, 5,  utf8_decode('C.I. N°: ___________________________________'), 0, 1, 'L');
$pdf->Cell(100, 5, 'Direccion: ________________________________', 0, 0, 'L');
$pdf->Cell(100, 5, 'Direccion: ________________________________', 0, 1, 'L');
$pdf->Ln(5);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(0, 10, '"POR LA COOPERATIVA"', 0, 1, 'C');

$pdf->Ln(15);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(90, 4, 'Maria Eva Mercado de Sanchez', 0, 0, 'L');
$pdf->Cell(90, 4, 'Venfrido Concepcion Pavon Escobar', 0, 1, 'L');
$pdf->Cell(90, 4, 'C.I. N° 4.294.361', 0, 0, 'L');
$pdf->Cell(90, 4, 'C.I. N° 2.283.098', 0, 1, 'L');
$pdf->Cell(90, 4, 'Tesorero', 0, 0, 'L');
$pdf->Cell(90, 4, 'Presidente Consejo de Administracion', 0, 1, 'L');
// $pdf->Output();
ob_start();
$pdfContent = $pdf->Output('S'); // Captura el contenido generado como cadena

// Limpia el buffer de salida para eliminar cualquier salida accidental
if (ob_get_length()) {
    ob_end_clean();
}

// Establece el encabezado JSON
header('Content-Type: application/json; charset=utf-8');

// Envía la respuesta JSON
echo json_encode([
    "ack" => 0,
    "message" => "PDF generado correctamente",
    "pdfContent" => base64_encode($pdfContent),
]);
