<?php
require('../../fpdf/fpdf.php');
require('../funciones/funciones.php');
class PDF extends FPDF {
    private $empresa;  
    private $parientes;
    private $referencias;
    private $proponente;
    private $trabajo;
    private $cooperativas;

    public function setEmpresa($empresa)
    {
        $this->empresa = $empresa;
    }
    public function setPariente($parientes)
    {
        $this->parientes = $parientes;
    }
    public function setReferencia($referencias)
    {
        $this->referencias = $referencias;
    }
    public function setProponente($proponente)
    {
        $this->proponente = $proponente;
    }
    
    public function setTrabajo($trabajo)
    {
        $this->trabajo = $trabajo;
    }
    
    public function setCoop($cooperativas)
    {
        $this->cooperativas = $cooperativas;
    }
    function Header() {
        // Logo
       //  $this->Image('http://localhost/adminlte/imagenes/logo_documento.png', 10, 6, 40);
       // $this->Image('https://cbgweb.ddns.net/qpro-main/imagenes/logo_documento.png', 15, 12, 20);
        $this->Image('http://localhost/adminlte/imagenes/logo_documento.png', 15, 12, 20); // Cambia 'logo.png' por el nombre de tu archivo de logo
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(190, 5, 'AHORRO, CREDITO. PRODUCCION, CONSUMO Y SERVICIOS', 0, 1, 'C');
        $this->SetFont('Arial', '', 10);
        $this->Cell(190, 5,  'Personeria Juridica N 20.313/19 - Cert. Inscripcion INCOOP N 1.776', 0, 1, 'C');
        $this->Cell(190, 5,  'Calle Roberto Kosch y Narciso Colman - San Lorenzo - Paraguay', 0, 1, 'C');
        $this->Cell(190, 5,  'Telefono: 0985 28 56 31 - Correo: coop28febrero@gmail.com', 0, 1, 'C');
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(190, 5,  'RUC:'.$this->empresa['ruc'], 0, 1, 'C');
        $this->SetFont('Arial', 'B', 14);
        $this->SetTextColor(0, 128, 0); // Color verde (RGB: 0, 128, 0)
        $this->Cell(190, 8, utf8_decode('Diseñamos el futuro'), 0, 1, 'C');
           // Línea horizontal de lado a lado
    $this->Line(10, $this->GetY(), 200, $this->GetY());
    }

    // Sobrescribir el método Footer
    function Footer()
    {
        // Posicionamos a 20 unidades desde el fondo de la página
        $this->SetY(-20); // Esto coloca el pie de página más cerca del fondo
        $this->SetFont('Arial', '', 9); // Fuente Arial, tamaño 9

        // Color verde para la línea
        $this->SetDrawColor(0, 128, 0); // RGB: Verde
        $this->SetLineWidth(1); // Ancho de la línea
        $this->Line(10, $this->GetY(), 200, $this->GetY()); // Línea verde desde el margen izquierdo hasta el derecho

        // Espaciado después de la línea
        $this->Ln(1); // Espacio de 8 unidades después de la línea

        // Primera columna de requisitos
        $this->SetX(10); // Posición horizontal de la primera columna
        $this->SetTextColor(0, 128, 0); // Color verde (RGB: 0, 128, 0)
        $this->SetFont('Arial', 'B', 10); // Negrita para "REQUISITOS"
        $this->MultiCell(100, 5, utf8_decode("REQUISITOS\n"));
        $this->SetFont('Arial', '', 8); // Fuente normal para el resto del texto
        $this->MultiCell(100, 5, utf8_decode(
    "- Llenar la solicitud de admisión con firma de socio proponente.\n" .
            "- Factura de ANDE o ESSAP.\n" .
            "- Certificado de ingreso o IVA."
        ), 0, 'L');

        // Segunda columna de requisitos
        $this->SetXY(110, $this->GetY() - 15); // Posición horizontal y vertical ajustada para la segunda columna
        $this->MultiCell(90, 5, utf8_decode(
            "- Fotocopia de C.I. (Actualizada).\n" .
            "- No contar con operaciones morosas (informconf).\n" .
            "- Croquis de domicilio o Google Maps."
        ), 0, 'L');
        // Restaurar color por defecto (negro) si es necesario para el siguiente contenido
        $this->SetTextColor(0, 0, 0);
    }
    function Formulario($data) {
        $this->Ln(h: 20);
        $this->SetFont('Arial', 'BU', 12);
        // Título de la sección
        $this->Cell(190, 10, 'SOLICITUD DE INGRESO', 0, 1, 'C');
        $this->Ln(1);
        // Campos con líneas horizontales
        $this->SetFont('Arial', '', 10);
        $this->SetX(127); // Cambia "50" según cuánto quieras desplazar hacia la derecha
        $this->Cell(40, 8, 'Solicitud de Ingreso Nro:', 0, 0);
        if ($data && isset($data['id_admision'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(40, 8, $data['id_admision'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line(165, $this->GetY() + 6, 190, $this->GetY() + 6); // Dibuja la línea si no hay datos
        }
        
        $this->Ln();

        // fecha 
        // Línea para DD
        $this->SetX(127); // Cambia "50" según cuánto quieras desplazar hacia la derecha
        $this->Cell(12, 8, 'Fecha:', 0, 0);
        if ($data && isset($data['fecha_solicitud'])) {
            $this->Cell(40, 8, $data['fecha_solicitud'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line(140, $this->GetY() + 6, 150, $this->GetY() + 6); // Línea para "DD"
            $this->SetX(151); // Posición para la barra "\"
            $this->Cell(5, 8, '\\', 0, 0, 'C');
            // Línea para MM
            $this->Line(155, $this->GetY() + 6, 165, $this->GetY() + 6); // Línea para "MM"
            $this->SetX(166); // Posición para la barra "\"
            $this->Cell(5, 8, '\\', 0, 0, 'C');
            // Línea para YY
            $this->Line(170, $this->GetY() + 6, 190, $this->GetY() + 6); // Línea para "YY"
            $this->Ln(1); // Salto de línea
        }

    // Posiciona el cursor donde deseas iniciar el texto
    $this->SetX(30); // Cambia "30" según el margen deseado
    $this->SetY($this->GetY() + 10); // Ajusta la posición vertical

    // Establece fuente
    $this->SetFont('Arial', '', 8); // Fuente normal, tamaño 12

    // Agrega el texto con MultiCell
    $this->MultiCell(0, 4,
        utf8_decode("Señor\n") .
        utf8_decode("Presidente del Consejo de Administración\n") .
        utf8_decode("Presente:\n\n") .
        utf8_decode("Por la presente, solicito mi admisión como socio de la Cooperativa \"28 de Febrero\" Ltda., ") .
        utf8_decode("comprometiéndome a conocer su Estatuto Social, Reglamentos y Enmiendas si la hubieren; cumplir con ") .
        utf8_decode("puntualidad mis obligaciones con la Entidad, como también comunicar cualquier cambio de información ") .
        utf8_decode("que declare en la presente.")
    );

    // Salto de línea después del párrafo
    $this->Ln(1);

        // Datos del solicitante
        $this->SetFont('Arial', 'BU', 10); // B: Negrita, U: Subrayado
        $this->Cell(0, 8, 'DATOS DEL SOLICITANTE', 0, 1, 'C'); // 0: Ancho automático, C: Centrado        
        $this->SetFont('Arial', '', 10);
        // Etiqueta "C.I. Nro."
        $this->Cell(35, 8, 'Nombre y Apellidos:', 0, 0);
        if ($data && isset($data['primer_nombre'])) {
            $campos = [
                $data['primer_nombre'],
                $data['segundo_nombre'],
                $data['primer_apellido'],
                $data['segundo_apellido'],
                $data['apellido_casado'] ?? '' // Maneja si el valor no existe
            ];
            $nombreCompleto = implode(' ', array_filter($campos));
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(40, 8, $nombreCompleto, 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 168, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
        // Etiqueta "C.I. Nro."
        $this->Cell(20, 8, 'C.I. Nro.:', 0, 0);
        if ($data && isset($data['cedula'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['cedula'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 40, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        $this->SetX($this->GetX() + 10); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(30, 8, 'Nacionalidad:', 0, 0);
        if ($data && isset($data['nacionalidad_cliente'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(40, 8, $data['nacionalidad_cliente'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 40, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
      
        $this->SetX($this->GetX() + 20); // Ajustar posición tras la línea
        // Etiqueta "Fecha de Nac."
        $this->Cell(27, 8, 'Fecha de Nac.:', 0, 0);
        if ($data && isset($data['fecha_nacimiento'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['fecha_nacimiento'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 10, $this->GetY() + 6); // Línea para "DD"
            $this->SetX($this->GetX() + 8); // Ajustar posición para barra inclinada
            $this->Cell(5, 8, '/', 0, 0, 'C');
            $this->Line($this->GetX() + 2, $this->GetY() + 6, $this->GetX() + 10, $this->GetY() + 6); // Línea para "MM"
            $this->SetX($this->GetX() + 10); // Ajustar posición para barra inclinada
            $this->Cell(5, 8, '/', 0, 0, 'C');
            $this->Line($this->GetX() + 2, $this->GetY() + 6, $this->GetX() + 10, $this->GetY() + 6); // Línea para "YYYY"
        }
        $this->Ln(10); // Línea para "YYYY"
        // Etiqueta "C.I. Nro."
        $this->Cell(25, 8, 'Lugar de nac:', 0, 0);
        if ($data && isset($data['pais_cliente'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['pais_cliente'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 39, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        
        
        $this->SetX($this->GetX() + 20); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(20, 8, 'Estado Civil:', 0, 0);
        if ($data && isset($data['estado_civil'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['estado_civil'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 40, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        
        $this->SetX($this->GetX() + 20); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(20, 8, utf8_decode('Profesión:'), 0, 0);
        if ($data && isset($data['profesion'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['profesion'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 51, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
        //TERCERA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(18, 8, 'Domicilio:', 0, 0);
        if ($data && isset($data['direccion'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['direccion'].' '.$data['nro_casa'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 177, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"

        //CUARTA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(12, 8, 'Barrio:', 0, 0);
        if ($data && isset($data['barrio'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['barrio'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 39, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        
        $this->SetX($this->GetX() + 30); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(15, 8, 'Ciudad:', 0, 0);
        if ($data && isset($data['ciudad'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['ciudad'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 40, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        
        $this->SetX($this->GetX() + 30); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(25, 8, 'Departamento:', 0, 0);
        if ($data && isset($data['departamento'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['departamento'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 63, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
        //QUINTA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(15, 8, 'Tel Part:', 0, 0);
        if ($data && isset($data['telefono'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['telefono'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 80, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        
        $this->SetX($this->GetX() + 80); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(20, 8, 'Celular Nro:', 0, 0);
        if ($data && isset($data['celular'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['celular'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 80, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
        //QUINTA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(30, 8, 'Lugar de Trabajo:', 0, 0);
        if (!empty($this->trabajo)) {
            $this->Cell(20, 8, $this->trabajo['nombre'], 0, 0); // Muestra el valor con un ancho más pequeño
        }else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 100, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        $this->SetX($this->GetX() + 80); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(17, 8, 'Cargo:', 0, 0);
        if (!empty($this->trabajo)) {
            $this->Cell(20, 8, $this->trabajo['puesto'], 0, 0); // Muestra el valor con un ancho más pequeño
        }else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 53, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
      
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
        //SEXTA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(12, 8, 'Salario:', 0, 0);
        if (!empty($this->trabajo)) {
            $this->Cell(20, 8, $this->trabajo['salario'], 0, 0); // Muestra el valor con un ancho más pequeño
        }else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 39, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }

        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(20, 8, utf8_decode('Antigüedad:'), 0, 0);
        if (!empty($this->trabajo)) {
            $this->Cell(20, 8, $this->trabajo['antiguedad'], 0, 0); // Muestra el valor con un ancho más pequeño
        }else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 40, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(8, 8, 'TEL:', 0, 0);
        if (!empty($this->trabajo)) {
            $this->Cell(20, 8, $this->trabajo['telefono'], 0, 0); // Muestra el valor con un ancho más pequeño
        }else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 75, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
       
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
        //7 LINEA
        $this->Cell(30, 8, 'Domicilio Laboral:', 0, 0);
        if (!empty($this->trabajo)) {
            $this->Cell(120, 8, $this->trabajo['direccion'], 0, 0); // Muestra el valor con un ancho más pequeño
        }else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 177, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
        //8 LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(7, 8, 'Tel:', 0, 0);
        if (!empty($this->trabajo)) {
            $this->Cell(20, 8, $this->trabajo['telefono'], 0, 0); // Muestra el valor con un ancho más pequeño
        }else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 100, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        
        $this->SetX($this->GetX() + 100); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(7, 8, 'Mail:', 0, 0);
        if (!empty($this->trabajo)) {
            $this->Cell(20, 8, $this->trabajo['correo'], 0, 0); // Muestra el valor con un ancho más pequeño
        }else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 81, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        // Salto de línea después del párrafo
        $this->Ln(10);

        // Datos del solicitante
        $this->SetFont('Arial', 'BU', 10); // B: Negrita, U: Subrayado
        $this->Cell(0, 8, 'DATOS FAMILIARES', 0, 1, 'C'); // 0: Ancho automático, C: Centrado        
        $this->SetFont('Arial', '', 10);
        //TERCERA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(55, 8, 'Nombres y Apellidos del Conyuge:', 0, 0);
        if ($data && isset($data['primer_nombre_c'])  && ($data['primer_nombre_c'] !== NULL)) {
            $campos_c = [
                $data['primer_nombre_c'],
                $data['segundo_nombre_c'],
                $data['primer_apellido_c'],
                $data['segundo_apellido_c'] // Maneja si el valor no existe
            ];
            $nombreCompleto_c = implode(' ', array_filter($campos_c));
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(40, 8, $nombreCompleto_c, 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 135, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
        //SEXTA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(12, 8, 'C.I.Nro:', 0, 0);
        if ($data && isset($data['cedula_c'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['cedula_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 39, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(25, 8, 'Nacionalidad:', 0, 0);
        if ($data && isset($data['nacionalidad_conyuge']) && ($data['nacionalidad_conyuge'] !== NULL)) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['nacionalidad_conyuge'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 40, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(25, 8, 'Fecha de Nac.:', 0, 0);
        if ($data && isset($data['fecha_nacimiento_c']) && ($data['fecha_nacimiento_c'] !== NULL)) {
            $this->Cell(40, 8, $data['fecha_nacimiento_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line(140, $this->GetY() + 6, 150, $this->GetY() + 6); // Línea para "DD"
            $this->SetX(151); // Posición para la barra "\"
            $this->Cell(5, 8, '\\', 0, 0, 'C');
            // Línea para MM
            $this->Line(155, $this->GetY() + 6, 165, $this->GetY() + 6); // Línea para "MM"
            $this->SetX(166); // Posición para la barra "\"
            $this->Cell(5, 8, '\\', 0, 0, 'C');
            // Línea para YY
            $this->Line(170, $this->GetY() + 6, 190, $this->GetY() + 6); // Línea para "YY"
            $this->Ln(1); // Salto de línea
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
                //SEXTA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(25, 8, 'Lugar de Nac.:', 0, 0);
        
        if ($data && isset($data['lugar_nacimiento_c']) && ($data['lugar_nacimiento_c'] !== NULL)) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['lugar_nacimiento_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 39, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        
        $this->SetX($this->GetX() + 10); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(20, 8, 'Profesion:', 0, 0);
        if ($data && isset($data['ocupacion_c'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['ocupacion_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 40, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(30, 8, 'Lugar de Trabajo:', 0, 0);
        if ($data && isset($data['lugar_trabajo_c'])) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['lugar_trabajo_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 75, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }

        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
                //SEXTA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(15, 8, 'Cargo:', 0, 0);
        if ($data && isset($data['ocupacion_c']) && ($data['ocupacion_c'] !== NULL)) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['ocupacion_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 35, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(20, 8, utf8_decode('Salario:'), 0, 0);
        if ($data && isset($data['salario_c']) && ($data['salario_c'] !== NULL)) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['salario_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 40, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        
        $this->SetX($this->GetX() + 10); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(25, 8, 'Antiguedad:', 0, 0);
        $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 45, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
        // Etiqueta "C.I. Nro."
        $this->Cell(30, 8, 'Direccion Laboral:', 0, 0);
        if ($data && isset($data['direccion_trabajo_c']) && ($data['direccion_trabajo_c'] !== NULL)) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['direccion_trabajo_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 40, $this->GetY() + 6); // Línea para el campo de "Nacionalidad"
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(10); // Línea para "YYYY"
         //QUINTA LINEA
        // Etiqueta "C.I. Nro."
        $this->Cell(25, 8, 'Tel./Cel.Nro.:', 0, 0);

        if ($data && isset($data['telefono_c']) && ($data['telefono_c'] !== NULL)) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['telefono_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 100, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        
        $this->SetX($this->GetX() + 100); // Ajustar posición tras la línea
        // Etiqueta "Nacionalidad"
        $this->Cell(15, 8, 'Mail:', 0, 0);

        if ($data && isset($data['email_c']) && ($data['email_c'] !== NULL)) {
            // Ajusta el ancho de la celda para que el texto se ajuste
            $this->Cell(20, 8, $data['email_c'], 0, 0); // Muestra el valor con un ancho más pequeño
        } else {
            $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 100, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        }
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->Ln(15); // Línea para "YYYY"
        // Etiqueta "C.I. Nro."
        $this->Cell(35, 8, 'Firma del solicitante:', 0, 0);
        $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 50, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->AddPage('P', 'Legal'); // 'P' es para orientación vertical, 'Legal' para tamaño oficio (215.9 x 330.2 mm)
        
        // Título de la sección
        // Datos del solicitante
        $this->SetFont('Arial', 'BU', 10); // B: Negrita, U: Subrayado
        $this->Cell(0, 8, 'Numero de Hijos', 0, 1, 'C'); // 0: Ancho automático, C: Centrado        
        $this->SetFont('Arial', '', 8);
        $this->Ln(1);
        // Títulos de las columnas
        $this->Cell(60, 10, 'NOMBRES', 0, 0, 'C');
        $this->Cell(30, 10, 'FECHA DE NACIMIENTO', 0, 0, 'C');
        $this->Cell(90, 10, 'PREPARACION ACADEMICA', 0, 1, 'C');
      // Verificamos si el array tiene contenido
        // Mostrar datos de los parientes
        if (!empty($this->parientes)) {
            foreach ($this->parientes as $pariente) {
                $this->Cell(60, 4, $pariente['nombres'].' '.$pariente['apellidos'], 0, 0, 'C'); // Mostramos el nombre
                $this->Cell(30, 4, $pariente['fecha_nacimiento'], 0, 0, 'C'); // Ejemplo: Apellidos
                $this->Cell(90, 4, $pariente['nombre'], 0, 1, 'C'); // Ejemplo: Nivel de estudio
            }
        }else {
            // Generamos las filas predeterminadas si el array está vacío
            for ($i = 1; $i <= 4; $i++) {
                $this->Cell(60, 4, $i . '. ____________________________', 0, 0, 'C');
                $this->Cell(30, 4, '. ____________________________', 0, 0, 'C');
                $this->Cell(90, 4, '____________________________________', 0, 1, 'C');
            }
        }

        $this->Ln(3); // Línea para "YYYY"
        // Agregar el texto con MultiCell
        $this->SetFont('Arial', '', 10); // Fuente Arial, tamaño 10

        $this->MultiCell(0, 5, 
            utf8_decode("Autorizo a la Cooperativa 28 de Febrero Ltda., conforme a lo dispuesto por el Art. 47 de la Ley No. 438/94\n") .
            utf8_decode("de Cooperativas y el Art. 240, inciso D de la Ley 213/93 Código del Trabajo, a descontar mensualmente de\n") .
            utf8_decode("mis salario, jubilación y pensiones para el pago de mis obligaciones contraídas con la Cooperativa.\n\n") .
            utf8_decode("Así mismo autorizo suficientemente a la Cooperativa 28 de Febrero Ltda que los certificados de aportaciones\n") .
            utf8_decode("a mi nombre, en el momento de reintegro sean distribuidos de conformidad al Art. Nº 36 del Estatuto Social de\n") .
            utf8_decode("la Cooperativa.\n\n") .
            utf8_decode("De conformidad a lo establecido en el Art. 5°. inc A y concordante de la Ley 1.682, autorizo/autorizamos\n") .
            utf8_decode("suficientemente y otorgo/otorgamos mandato suficiente a la Cooperativa 28 de Febrero Ltda. sobre\n") .
            utf8_decode("mi/nuestra persona/s de cualquier persona o entidad que almacena, procesa y difunde este tipo de\n") .
            utf8_decode("información con carácter de declaración jurada expreso que los datos consignados precedentemente son\n") .
            utf8_decode("verídicos y podrán ser verificados por la Cooperativa, si así lo desea.")
        );
        $this->Ln(3); // Línea para "YYYY"
        // DATOS DE INTERES
        $this->SetFont('Arial', 'BU', 10);
        $this->Cell(0, 10, 'DATOS DE INTERES', 0, 1, 'C'); // Título "DATOS DE INTERES"
        $this->SetFont('Arial', '', 10);
        $this->Cell(0, 10, 'Es socio/a de otras cooperativas: Si ( ) No ( ) en caso de "Si" cuales cooperativas:', 0, 1, 'L'); // Título "DATOS DE INTERES"cuales cooperativas:
// Primera fila: Cooperativas 1 a 2 (izquierda) y 3 a 4 (derecha)
$this->SetX(10); // Posición inicial de la primera fila

if (!empty($this->cooperativas)) {
    $totalCooperativas = count($this->cooperativas);

    // Iterar sobre las cooperativas existentes
    foreach ($this->cooperativas as $index => $cooperativa) {
        $this->Cell(10, 8, ($index + 1).'-', 0, 0, 'L'); // Numeración
        $this->Cell(90, 8, $cooperativa['nombre'], 0, 0, 'L'); // Nombre

        // Mover a la siguiente línea si se llega a la mitad de la tabla
        if (($index + 1) == 2) {
            $this->Ln(8);
            $this->SetX(10);
        }
    }

    // Rellenar filas vacías si hay menos de 4 cooperativas
    for ($i = $totalCooperativas + 1; $i <= 4; $i++) {
        $this->Cell(10, 8, "-", 0, 0, 'L'); // Numeración
        $this->Cell(90, 8, '__________________________________________', 0, 0, 'L'); // Línea para el campo de cooperativa

        // Si es la fila 2, mueve a la siguiente línea
        if ($i == 2) {
            $this->Ln(8);
            $this->SetX(10);
        }
    }
} else {
    // Generar filas predeterminadas si no hay cooperativas
    for ($i = 1; $i <= 4; $i++) {
        $this->Cell(10, 8, "-", 0, 0, 'L'); // Numeración
        $this->Cell(90, 8, '__________________________________________', 0, 0, 'L'); // Línea para el campo de cooperativa

        // Si es la fila 2, mueve a la siguiente línea
        if ($i == 2) {
            $this->Ln(8);
            $this->SetX(10);
        }
    }
}



// Segunda fila: Cooperativas 5 a 6 (izquierda) y 7 a 8 (derecha)
$this->Ln(8); // Salto de línea para la siguiente fila
$this->SetX(10); // Posición inicial de la segunda fila
for ($i = 5; $i <= 8; $i++) {
    $this->Cell(10, 8, "-", 0, 0, 'L'); // Numeración
    $this->Cell(90, 8, '__________________________________________', 0, 0, 'L'); // Línea para el campo de cooperativa

    // Si es la cooperativa 6, mueve a la siguiente línea
    if ($i == 6) {
        $this->Ln(8);
        $this->SetX(10); // Restablecer posición para la siguiente fila
    }
}

        // REFERENCIAS PERSONALES
        $this->Ln(8); // Espacio entre secciones
        $this->SetFont('Arial', 'BU', 10);
        $this->Cell(0, 10, 'REFERENCIAS PERSONALES', 0, 1, 'C'); // Título "REFERENCIAS PERSONALES"
        $this->SetFont('Arial', '', 10);
          // Mostrar datos de los parientes
          if (!empty($this->referencias)) {
            $i=1;
            foreach ($this->referencias as $referencia) {
                $this->Cell(10, 8, "$i.", 0, 0, 'L'); // Numeración
                $this->Cell(0, 8, $referencia['nombres'].' '.$referencia['apellidos'].'      Tel./Cel. Nro.        .'.$referencia['telefono'], 0, 1, 'Lborder: '); // Línea para 
                $i++;
            }
        }else {
            // Generamos las filas predeterminadas si el array está vacío
            for ($i = 1; $i <= 4; $i++) {
                $this->Cell(10, 8, "$i.", 0, 0, 'L'); // Numeración
                $this->Cell(0, 8, '_________________________________ Tel./Cel. Nro.: ________________________________________', 0, 1, 'L'); // Línea para 
            }
        }
        $this->Ln(15); // Línea para "YYYY"
        // Etiqueta "C.I. Nro."
        $this->Cell(35, 8, 'Firma del solicitante:', 0, 0);
        $this->Line($this->GetX(), $this->GetY() + 6, $this->GetX() + 50, $this->GetY() + 6); // Línea para el campo de "C.I. Nro."
        $this->SetX($this->GetX() + 40); // Ajustar posición tras la línea
        $this->AddPage('P', 'Legal'); // 'P' es para orientación vertical, 'Legal' para tamaño oficio (215.9 x 330.2 mm)

 // Título 1: Ubicación Particular
$this->SetFont('Arial', 'BU', 10);
$this->Cell(0, 10, 'DETALLES DE UBICACION PARTICULAR (DOMICILIO)', 0, 1, 'C');
// Ajustar la posición inicial vertical ($yStart) después del título
$yStart = $this->GetY() + 10; // Posición actual + margen

if ($data && isset($data['latitud']) && isset($data['longitud']) && $data['latitud'] !== NULL && $data['longitud'] !== NULL) {
    $apiKey = "AIzaSyAeeWvRs0L7U_7Er7mz2gsnrsBzPy4AhHc";
    $latitude = $data['latitud'];
    $longitude = $data['longitud'];
    
    // Generar la URL del mapa estático de Google
    $mapUrl = "https://maps.googleapis.com/maps/api/staticmap?center=$latitude,$longitude&zoom=15&size=600x300&maptype=roadmap&markers=color:red%7C$latitude,$longitude&key=$apiKey";
    
    // Ruta temporal para guardar la imagen
    $tempImage = 'images/tmp_map/temp_map.png';

    // Descargar la imagen desde la URL y guardarla localmente
    file_put_contents($tempImage, file_get_contents($mapUrl));

    // Verificar si la imagen se descargó correctamente
    if (file_exists($tempImage)) {
        // Incluir la imagen en el PDF
        $this->Image($tempImage, 10, $yStart, 190); // Ajusta posición y ancho según el diseño
        // Eliminar la imagen temporal después de agregarla
        unlink($tempImage);
        $yStart += 90; // Ajusta este valor según el alto de la imagen para dejar espacio suficiente
        // Eliminar la imagen temporal después de agregarla
    } else {
        $this->Cell(0, 10, 'No se pudo cargar el mapa', 0, 1, 'C');
    }
} else {
    // Dibujar cuadros de "Ubicación Particular"
    $xStart = 10; // Margen izquierdo
    $boxWidth = 40; // Ancho de cada box
    $boxHeight = 10; // Alto de cada box
    $spacingX = 10; // Espaciado horizontal entre boxes
    $spacingY = 10; // Espaciado vertical entre filas

    // Cantidad de filas y columnas
    $rows = 3;
    $cols = 4;

    // Dibujar los cuadros
    for ($row = 0; $row < $rows; $row++) {
        for ($col = 0; $col < $cols; $col++) {
            $x = $xStart + ($col * ($boxWidth + $spacingX));
            $y = $yStart + ($row * ($boxHeight + $spacingY));
            $this->Rect($x, $y, $boxWidth, $boxHeight); // Dibujar rectángulo
        }
    }
}

// Continuar con el diseño del PDF


// Ajustar la posición para el segundo título (Ubicación Laboral)
$yStart += ($rows * ($boxHeight + $spacingY)) + 10; // Posición final de los cuadros + margen adicional

// Título 2: Ubicación Laboral
$this->SetFont('Arial', 'BU', 10);
$this->SetY($yStart); // Mover el cursor a la nueva posición
$this->Cell(0, 10, 'DETALLES DE UBICACION LABORAL', 0, 1, 'C');

// Ajustar la posición inicial para los cuadros de "Ubicación Laboral"
$yStart = $this->GetY() + 10; // Posición actual + margen adicional
    // Dibujar cuadros de "Ubicación Particular"
    $xStart = 10; // Margen izquierdo
    $boxWidth = 40; // Ancho de cada box
    $boxHeight = 10; // Alto de cada box
    $spacingX = 10; // Espaciado horizontal entre boxes
    $spacingY = 10; // Espaciado vertical entre filas

    // Cantidad de filas y columnas
    $rows = 3;
    $cols = 4;

// Dibujar los cuadros para "Ubicación Laboral"
for ($row = 0; $row < $rows; $row++) {
    for ($col = 0; $col < $cols; $col++) {
        $x = $xStart + ($col * ($boxWidth + $spacingX));
        $y = $yStart + ($row * ($boxHeight + $spacingY));
        $this->Rect($x, $y, $boxWidth, $boxHeight); // Dibujar rectángulo
    }
}

// Ajustar la posición para las firmas
$yStart += ($rows * ($boxHeight + $spacingY)); // Posicionar después de los cuadros de "Ubicación Laboral"

// Texto y firmas
$this->SetFont('Arial', '', 10);
if (!empty($this->proponente)) {
    foreach ($this->proponente as $proponente) {
        $campos = [
            $proponente['primer_nombre'],
            $proponente['segundo_nombre'],
            $proponente['primer_apellido'],
            $proponente['segundo_apellido'],
            $proponente['apellido_casado'] ?? '' // Maneja si el valor no existe
        ];
        $nombreCompleto = implode(' ', array_filter($campos));
        $socioNumero=$proponente['id_cliente'];
        $ciNumero=$proponente['cedula'];
        }
    }else{
        $nombreCompleto='_________________________________';
        $socioNumero='_______';
        $ciNumero='______________________';
    }
// Texto antes de las firmas
$this->SetY($yStart); 
$this->MultiCell(0, 10, 'Nombres y Apellidos del Socio Proponente: '.$nombreCompleto.' .Socio Nro.: '.$socioNumero.' C.I.Nro.: '.$ciNumero.'. Categoria de Socio A_B_C_D_ (Art. 8 del E.S.)', 0, 'L');

// Espacio entre el texto y las firmas
$this->Ln(5);

// Firmas
$this->SetFont('Arial', 'I', 10);
$this->Cell(90, 1, '.................................................', 0, 0, 'C');
$this->Cell(90, 1, '.................................................', 0, 1, 'C');
$this->Cell(90, 10, 'Firma del Socio Proponente', 0, 0, 'C');
$this->Cell(90, 10, 'Firma del Solicitante', 0, 1, 'C');

// Espacio para el recibo y la firma
$this->Ln(1);
$this->SetFont('Arial', '', 10);
$this->Cell(0, 10, 'RECIBO POR: ______________________________', 0, 1, 'L');
$this->Cell(0, 10, 'FIRMA: ___________________________________', 0, 1, 'L');

$this->AddPage('P', 'Legal'); // 'P' es para orientación vertical, 'Legal' para tamaño oficio (215.9 x 330.2 mm)
// Título: Gerencia General
$this->SetFont('Arial', 'BU', 10);
$this->Cell(0, 10, 'GERENCIA GENERAL', 0, 1, 'C');

// Recomendación Gerencia General
$this->SetFont('Arial', '', 10);
$this->MultiCell(0, 10, 'Se recomienda: _______________________________________________________________________', 0, 'L');
$this->Ln(10);
$this->Cell(180, 1, '.................................................', 0, 1, 'C');
$this->Cell(180, 10, 'Gerente General', 0, 0, 'C');

// Espacio entre secciones
$this->Ln(10);

// Título: Comité de Admisión y Renuncias
$this->SetFont('Arial', 'BU', 10);
$this->Cell(0, 10, 'COMITE DE ADMISION Y RENUNCIAS', 0, 1, 'C');

// Información del Comité de Admisión y Renuncias
$this->SetFont('Arial', '', 10);
$this->Cell(0, 10, 'Esta Solicitud fue presentada y verificada en la sesion de fecha: _____/_____/____ Acta Nro: _________', 0, 1, 'L');
$this->MultiCell(0, 10, 'Se recomienda: ________________________________________________________________________', 0, 'L');

// Firmas del Comité de Admisión y Renuncias
$this->Ln(10); // Espacio entre texto y firmas
$this->Cell(90, 1, '.................................................', 0, 0, 'C');
$this->Cell(90, 1, '.................................................', 0, 1, 'C');
$this->Cell(90, 10, 'Secretario/a', 0, 0, 'C');
$this->Cell(90, 10, 'Presidente/a', 0, 1, 'C');

// Espacio entre secciones
$this->Ln(10);

// Título: Comité Ejecutivo
$this->SetFont('Arial', 'BU', 10);
$this->Cell(0, 10, 'COMITE EJECUTIVO', 0, 1, 'C');

// Información del Comité Ejecutivo
$this->SetFont('Arial', '', 10);
$this->Cell(0, 10, 'Esta Solicitud fue presentada y verificada en la sesion de fecha: _____/_____/____ Acta Nro: _________', 0, 1, 'L');
$this->MultiCell(0, 10, 'Se recomienda: ________________________________________________________________________', 0, 'L');

// Firmas del Comité Ejecutivo
$this->Ln(10); // Espacio entre texto y firmas
$this->Cell(90, 1, '.................................................', 0, 0, 'C');
$this->Cell(90, 1, '.................................................', 0, 1, 'C');
$this->Cell(90, 10, 'Secretario/a', 0, 0, 'C');
$this->Cell(90, 10, 'Presidente/a', 0, 1, 'C');

// Espacio entre secciones
$this->Ln(10);

// Título: Consejo de Administración
$this->SetFont('Arial', 'BU', 10);
$this->Cell(0, 10, 'CONSEJO DE ADMINISTRACION', 0, 1, 'C');

// Información del Consejo de Administración
$this->SetFont('Arial', '', 10);
$this->Cell(0, 10, 'Esta Solicitud ha sido aprobada en sesion de fecha: _____/_____/_______ Acta Nro.:________________', 0, 1, 'L');
$this->MultiCell(0, 10, 'Se recomienda: ________________________________________________________________________', 0, 'L');

        // Firmas del Consejo de Administración
        $this->Ln(10); // Espacio entre texto y firmas
        $this->Cell(90, 1, '.................................................', 0, 0, 'C');
        $this->Cell(90, 1, '.................................................', 0, 1, 'C');
        $this->Cell(90, 10, 'Secretario/a', 0, 0, 'C');
        $this->Cell(90, 10, 'Presidente/a', 0, 1, 'C');
    }    
}


$data= verClientes($_POST['id_solicitud']);
$empresa = verDetalleEmpresa();
$parientes = mostrarFamiliares($data['origina_cliente']);
$referencias = mostrarReferencias($data['origina_cliente']);
$proponente = mostrarProponente($data['proponente']);
$trabajo = mostrarTrabajo($data['origina_cliente']);
$cooperativas = mostrarCoop($data['origina_cliente']);
// Crear el PDF
$pdf = new PDF();

// Verifica si se obtuvieron datos
if (!empty($empresa)) {
    $pdf->setEmpresa($empresa); // Pasa los datos a la clase
}
// Verifica si se obtuvieron datos
if (!empty($parientes)) {
    $pdf->setPariente($parientes); // Pasa los datos a la clase
}
// Verifica si se obtuvieron datos
if (!empty($referencias)) {
    $pdf->setReferencia($referencias); // Pasa los datos a la clase
}
// Verifica si se obtuvieron datos
if (!empty($proponente)) {
    $pdf->setProponente($proponente); // Pasa los datos a la clase
}

// Verifica si se obtuvieron datos
if (!empty($trabajo)) {
    $pdf->setTrabajo($trabajo); // Pasa los datos a la clase
}

// Verifica si se obtuvieron datos
if (!empty($cooperativas)) {
    $pdf->setCoop($cooperativas); // Pasa los datos a la clase
}
$pdf->AddPage('P', 'Legal'); // 'P' es para orientación vertical, 'Legal' para tamaño oficio (215.9 x 330.2 mm)
$pdf->Formulario($data);
ob_start();
$pdfContent = $pdf->Output('S'); // Captura el contenido generado como cadena

// Limpia el buffer de salida para eliminar cualquier salida accidental
if (ob_get_length()) {
    ob_end_clean();
}

// Establece el encabezado JSON
header('Content-Type: application/json; charset=utf-8');

// Envía la respuesta JSON
echo json_encode([
    "ack" => 0,
    "message" => "PDF generado correctamente",
    "pdfContent" => base64_encode($pdfContent),
]);