<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Google Maps - Ubicación</title>
    <style>
        #map {
            height: 400px;
            width: 100%;
        }
    </style>
</head>
<body>
    <h1>Google Maps - Ubicación</h1>
    <form id="mapForm" action="guardar_datos.php" method="POST">
      
        <br><br>

        <div id="map"></div>
        <br>

        <label for="latitud">Latitud:</label>
        <input type="text" id="latitud" name="latitud" readonly required>
        <br><br>

        <label for="longitud">Longitud:</label>
        <input type="text" id="longitud" name="longitud" readonly required>
        <br><br>

        
    </form>

    <script>
        // Función para obtener parámetros de la URL
        function getQueryParam(param) {
            const urlParams = new URLSearchParams(window.location.search);
            return parseFloat(urlParams.get(param)) || null;
        }

        function initMap() {
    const lat = getQueryParam('latitud') || -25.341592193845557; // Valor predeterminado
    const lng = getQueryParam('longitud') || -57.50096002197263;  // Valor predeterminado

    const defaultLocation = { lat: lat, lng: lng };

    // Inicializar el mapa con un zoom más cercano
    const map = new google.maps.Map(document.getElementById("map"), {
        zoom: 15, // Zoom ajustado para mayor detalle
        center: defaultLocation,
    });

    const marker = new google.maps.Marker({
        position: defaultLocation,
        map: map,
        draggable: true,
    });

    // Actualizar los campos de latitud y longitud al mover el marcador
    google.maps.event.addListener(marker, "dragend", function (event) {
        document.getElementById("latitud").value = event.latLng.lat();
        document.getElementById("longitud").value = event.latLng.lng();
    });

    // Actualizar los campos al hacer clic en el mapa
    map.addListener("click", function (event) {
        const clickedLocation = event.latLng;
        marker.setPosition(clickedLocation);
        document.getElementById("latitud").value = clickedLocation.lat();
        document.getElementById("longitud").value = clickedLocation.lng();
    });

    // Establecer valores iniciales en los campos
    document.getElementById("latitud").value = lat;
    document.getElementById("longitud").value = lng;
}

    </script>
    <script async
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBI3TP_G7n9EI0bEmuy1pQIoFIoPWNUJJg&callback=initMap">
    </script>
</body>
</html>
